//-----------------------------------------------------------------------------
//  File: RTC6expl.c                           Copyright (c) 2023 SCANLAB GmbH
//-----------------------------------------------------------------------------
//
//
//
//  Abstract
//      DLL handling functions for explicitly linking to the RTC6DLL.DLL
//      or libslrtc6.so
//      This file was automatically generated on 2023-09-25
//
//  Function List
//      RTC6open
//      RTC6close
//-----------------------------------------------------------------------------

#include "RTC6expl.h"

#ifndef _WIN32
    #include <dlfcn.h>
    #include <stddef.h>
    typedef void* HINSTANCE;
    #define GetProcAddress dlsym
#endif

volatile HINSTANCE gLibRTC6 = NULL;

INIT_RTC6_DLL_FP init_rtc6_dll;
FREE_RTC6_DLL_FP free_rtc6_dll;
SET_RTC4_MODE_FP set_rtc4_mode;
SET_RTC5_MODE_FP set_rtc5_mode;
SET_RTC6_MODE_FP set_rtc6_mode;
GET_RTC_MODE_FP get_rtc_mode;
N_GET_ERROR_FP n_get_error;
N_GET_LAST_ERROR_FP n_get_last_error;
N_RESET_ERROR_FP n_reset_error;
N_SET_VERIFY_FP n_set_verify;
GET_ERROR_FP get_error;
GET_LAST_ERROR_FP get_last_error;
RESET_ERROR_FP reset_error;
SET_VERIFY_FP set_verify;
VERIFY_CHECKSUM_FP verify_checksum;
ETH_COUNT_CARDS_FP eth_count_cards;
ETH_FOUND_CARDS_FP eth_found_cards;
ETH_MAX_CARD_FP eth_max_card;
ETH_REMOVE_CARD_FP eth_remove_card;
ETH_GET_CARD_INFO_FP eth_get_card_info;
ETH_GET_CARD_INFO_SEARCH_FP eth_get_card_info_search;
ETH_SET_SEARCH_CARDS_TIMEOUT_FP eth_set_search_cards_timeout;
ETH_SEARCH_CARDS_FP eth_search_cards;
ETH_SEARCH_CARDS_RANGE_FP eth_search_cards_range;
ETH_ASSIGN_CARD_IP_FP eth_assign_card_ip;
ETH_ASSIGN_CARD_FP eth_assign_card;
ETH_CONVERT_STRING_TO_IP_FP eth_convert_string_to_ip;
ETH_CONVERT_IP_TO_STRING_FP eth_convert_ip_to_string;
ETH_GET_IP_FP eth_get_ip;
ETH_GET_IP_SEARCH_FP eth_get_ip_search;
ETH_GET_SERIAL_SEARCH_FP eth_get_serial_search;
N_ETH_GET_LAST_ERROR_FP n_eth_get_last_error;
N_ETH_GET_ERROR_FP n_eth_get_error;
N_ETH_ERROR_DUMP_FP n_eth_error_dump;
N_ETH_SET_STATIC_IP_FP n_eth_set_static_ip;
N_ETH_GET_STATIC_IP_FP n_eth_get_static_ip;
N_ETH_SET_PORT_NUMBERS_FP n_eth_set_port_numbers;
N_ETH_GET_PORT_NUMBERS_FP n_eth_get_port_numbers;
N_ETH_SET_COM_TIMEOUTS_FP n_eth_set_com_timeouts;
N_ETH_GET_COM_TIMEOUTS_FP n_eth_get_com_timeouts;
N_ETH_SET_COM_TIMEOUTS_AUTO_FP n_eth_set_com_timeouts_auto;
N_ETH_GET_COM_TIMEOUTS_AUTO_FP n_eth_get_com_timeouts_auto;
N_ETH_SET_HIGH_PERFORMANCE_MODE_FP n_eth_set_high_performance_mode;
N_ETH_CHECK_CONNECTION_FP n_eth_check_connection;
N_SET_ETH_BOOT_CONTROL_FP n_set_eth_boot_control;
N_ETH_BOOT_TIMEOUT_FP n_eth_boot_timeout;
N_ETH_SET_REMOTE_TGM_FORMAT_FP n_eth_set_remote_tgm_format;
N_ETH_BOOT_DCMD_FP n_eth_boot_dcmd;
N_STORE_PROGRAM_FP n_store_program;
N_READ_IMAGE_ETH_FP n_read_image_eth;
N_WRITE_IMAGE_ETH_FP n_write_image_eth;
N_ETH_CONFIGURE_LINK_LOSS_FP n_eth_configure_link_loss;
N_ETH_GET_STANDALONE_STATUS_FP n_eth_get_standalone_status;
N_ETH_CONFIG_WAVEFORM_STREAMING_CTRL_FP n_eth_config_waveform_streaming_ctrl;
ETH_GET_LAST_ERROR_FP eth_get_last_error;
ETH_GET_ERROR_FP eth_get_error;
ETH_ERROR_DUMP_FP eth_error_dump;
ETH_SET_STATIC_IP_FP eth_set_static_ip;
ETH_GET_STATIC_IP_FP eth_get_static_ip;
ETH_SET_PORT_NUMBERS_FP eth_set_port_numbers;
ETH_GET_PORT_NUMBERS_FP eth_get_port_numbers;
ETH_SET_COM_TIMEOUTS_FP eth_set_com_timeouts;
ETH_GET_COM_TIMEOUTS_FP eth_get_com_timeouts;
ETH_SET_COM_TIMEOUTS_AUTO_FP eth_set_com_timeouts_auto;
ETH_GET_COM_TIMEOUTS_AUTO_FP eth_get_com_timeouts_auto;
ETH_SET_HIGH_PERFORMANCE_MODE_FP eth_set_high_performance_mode;
ETH_CHECK_CONNECTION_FP eth_check_connection;
SET_ETH_BOOT_CONTROL_FP set_eth_boot_control;
ETH_BOOT_TIMEOUT_FP eth_boot_timeout;
ETH_SET_REMOTE_TGM_FORMAT_FP eth_set_remote_tgm_format;
ETH_BOOT_DCMD_FP eth_boot_dcmd;
STORE_PROGRAM_FP store_program;
READ_IMAGE_ETH_FP read_image_eth;
WRITE_IMAGE_ETH_FP write_image_eth;
ETH_CONFIGURE_LINK_LOSS_FP eth_configure_link_loss;
ETH_GET_STANDALONE_STATUS_FP eth_get_standalone_status;
ETH_CONFIG_WAVEFORM_STREAMING_CTRL_FP eth_config_waveform_streaming_ctrl;
READ_ABC_FROM_FILE_FP read_abc_from_file;
WRITE_ABC_TO_FILE_FP write_abc_to_file;
READ_ABC_FROM_FILE_20B_FP read_abc_from_file_20b;
WRITE_ABC_TO_FILE_20B_FP write_abc_to_file_20b;
N_CREATE_DAT_FILE_FP n_create_dat_file;
CREATE_DAT_FILE_FP create_dat_file;
TRANSFORM_FP transform;
RTC6_COUNT_CARDS_FP rtc6_count_cards;
ACQUIRE_RTC_FP acquire_rtc;
RELEASE_RTC_FP release_rtc;
SELECT_RTC_FP select_rtc;
GET_DLL_VERSION_FP get_dll_version;
N_GET_CARD_TYPE_FP n_get_card_type;
N_GET_SERIAL_NUMBER_FP n_get_serial_number;
N_GET_HEX_VERSION_FP n_get_hex_version;
N_GET_RTC_VERSION_FP n_get_rtc_version;
N_GET_BIOS_VERSION_FP n_get_bios_version;
GET_CARD_TYPE_FP get_card_type;
GET_SERIAL_NUMBER_FP get_serial_number;
GET_HEX_VERSION_FP get_hex_version;
GET_RTC_VERSION_FP get_rtc_version;
GET_BIOS_VERSION_FP get_bios_version;
N_LOAD_PROGRAM_FILE_FP n_load_program_file;
N_SYNC_SLAVES_FP n_sync_slaves;
N_GET_SYNC_STATUS_FP n_get_sync_status;
N_MASTER_SLAVE_CONFIG_FP n_master_slave_config;
N_LOAD_CORRECTION_FILE_FP n_load_correction_file;
N_LOAD_ZOOM_CORRECTION_FILE_FP n_load_zoom_correction_file;
N_LOAD_OCT_TABLE_NO_FP n_load_oct_table_no;
N_LOAD_Z_TABLE_NO_FP n_load_z_table_no;
N_LOAD_Z_TABLE_FP n_load_z_table;
N_SELECT_COR_TABLE_FP n_select_cor_table;
N_SET_DSP_MODE_FP n_set_dsp_mode;
N_LOAD_STRETCH_TABLE_FP n_load_stretch_table;
N_NUMBER_OF_CORRECTION_TABLES_FP n_number_of_correction_tables;
N_LOAD_Z_TABLE_NO_20B_FP n_load_z_table_no_20b;
N_LOAD_Z_TABLE_20B_FP n_load_z_table_20b;
N_GET_HEAD_PARA_FP n_get_head_para;
N_GET_TABLE_PARA_FP n_get_table_para;
LOAD_PROGRAM_FILE_FP load_program_file;
SYNC_SLAVES_FP sync_slaves;
GET_SYNC_STATUS_FP get_sync_status;
MASTER_SLAVE_CONFIG_FP master_slave_config;
LOAD_CORRECTION_FILE_FP load_correction_file;
LOAD_ZOOM_CORRECTION_FILE_FP load_zoom_correction_file;
LOAD_OCT_TABLE_NO_FP load_oct_table_no;
LOAD_Z_TABLE_NO_FP load_z_table_no;
LOAD_Z_TABLE_FP load_z_table;
SELECT_COR_TABLE_FP select_cor_table;
SET_DSP_MODE_FP set_dsp_mode;
LOAD_STRETCH_TABLE_FP load_stretch_table;
NUMBER_OF_CORRECTION_TABLES_FP number_of_correction_tables;
LOAD_Z_TABLE_NO_20B_FP load_z_table_no_20b;
LOAD_Z_TABLE_20B_FP load_z_table_20b;
GET_HEAD_PARA_FP get_head_para;
GET_TABLE_PARA_FP get_table_para;
N_CONFIG_LIST_FP n_config_list;
N_GET_CONFIG_LIST_FP n_get_config_list;
N_SAVE_DISK_FP n_save_disk;
N_LOAD_DISK_FP n_load_disk;
N_GET_LIST_SPACE_FP n_get_list_space;
CONFIG_LIST_FP config_list;
GET_CONFIG_LIST_FP get_config_list;
SAVE_DISK_FP save_disk;
LOAD_DISK_FP load_disk;
GET_LIST_SPACE_FP get_list_space;
N_SET_START_LIST_POS_FP n_set_start_list_pos;
N_SET_START_LIST_FP n_set_start_list;
N_SET_START_LIST_1_FP n_set_start_list_1;
N_SET_START_LIST_2_FP n_set_start_list_2;
N_SET_INPUT_POINTER_FP n_set_input_pointer;
N_LOAD_LIST_FP n_load_list;
N_LOAD_SUB_FP n_load_sub;
N_LOAD_CHAR_FP n_load_char;
N_LOAD_TEXT_TABLE_FP n_load_text_table;
N_GET_LIST_POINTER_FP n_get_list_pointer;
N_GET_INPUT_POINTER_FP n_get_input_pointer;
SET_START_LIST_POS_FP set_start_list_pos;
SET_START_LIST_FP set_start_list;
SET_START_LIST_1_FP set_start_list_1;
SET_START_LIST_2_FP set_start_list_2;
SET_INPUT_POINTER_FP set_input_pointer;
LOAD_LIST_FP load_list;
LOAD_SUB_FP load_sub;
LOAD_CHAR_FP load_char;
LOAD_TEXT_TABLE_FP load_text_table;
GET_LIST_POINTER_FP get_list_pointer;
GET_INPUT_POINTER_FP get_input_pointer;
N_EXECUTE_LIST_POS_FP n_execute_list_pos;
N_EXECUTE_AT_POINTER_FP n_execute_at_pointer;
N_EXECUTE_LIST_FP n_execute_list;
N_EXECUTE_LIST_1_FP n_execute_list_1;
N_EXECUTE_LIST_2_FP n_execute_list_2;
N_LIST_JUMP_REL_CTRL_FP n_list_jump_rel_ctrl;
N_GET_OUT_POINTER_FP n_get_out_pointer;
EXECUTE_LIST_POS_FP execute_list_pos;
EXECUTE_AT_POINTER_FP execute_at_pointer;
EXECUTE_LIST_FP execute_list;
EXECUTE_LIST_1_FP execute_list_1;
EXECUTE_LIST_2_FP execute_list_2;
LIST_JUMP_REL_CTRL_FP list_jump_rel_ctrl;
GET_OUT_POINTER_FP get_out_pointer;
N_AUTO_CHANGE_POS_FP n_auto_change_pos;
N_START_LOOP_FP n_start_loop;
N_QUIT_LOOP_FP n_quit_loop;
N_PAUSE_LIST_FP n_pause_list;
N_RESTART_LIST_FP n_restart_list;
N_RELEASE_WAIT_FP n_release_wait;
N_STOP_EXECUTION_FP n_stop_execution;
N_SET_PAUSE_LIST_COND_FP n_set_pause_list_cond;
N_SET_PAUSE_LIST_NOT_COND_FP n_set_pause_list_not_cond;
N_AUTO_CHANGE_FP n_auto_change;
N_STOP_LIST_FP n_stop_list;
N_GET_WAIT_STATUS_FP n_get_wait_status;
N_READ_STATUS_FP n_read_status;
N_GET_STATUS_FP n_get_status;
AUTO_CHANGE_POS_FP auto_change_pos;
START_LOOP_FP start_loop;
QUIT_LOOP_FP quit_loop;
PAUSE_LIST_FP pause_list;
RESTART_LIST_FP restart_list;
RELEASE_WAIT_FP release_wait;
STOP_EXECUTION_FP stop_execution;
SET_PAUSE_LIST_COND_FP set_pause_list_cond;
SET_PAUSE_LIST_NOT_COND_FP set_pause_list_not_cond;
AUTO_CHANGE_FP auto_change;
STOP_LIST_FP stop_list;
GET_WAIT_STATUS_FP get_wait_status;
READ_STATUS_FP read_status;
GET_STATUS_FP get_status;
N_SET_EXTSTARTPOS_FP n_set_extstartpos;
N_SET_MAX_COUNTS_FP n_set_max_counts;
N_SET_CONTROL_MODE_FP n_set_control_mode;
N_SIMULATE_EXT_STOP_FP n_simulate_ext_stop;
N_SIMULATE_EXT_START_CTRL_FP n_simulate_ext_start_ctrl;
N_STORE_TIMESTAMP_COUNTER_FP n_store_timestamp_counter;
N_GET_TIMESTAMP_LONG_FP n_get_timestamp_long;
N_GET_COUNTS_FP n_get_counts;
N_GET_STARTSTOP_INFO_FP n_get_startstop_info;
SET_EXTSTARTPOS_FP set_extstartpos;
SET_MAX_COUNTS_FP set_max_counts;
SET_CONTROL_MODE_FP set_control_mode;
SIMULATE_EXT_STOP_FP simulate_ext_stop;
SIMULATE_EXT_START_CTRL_FP simulate_ext_start_ctrl;
STORE_TIMESTAMP_COUNTER_FP store_timestamp_counter;
GET_TIMESTAMP_LONG_FP get_timestamp_long;
GET_COUNTS_FP get_counts;
GET_STARTSTOP_INFO_FP get_startstop_info;
N_COPY_DST_SRC_FP n_copy_dst_src;
N_SET_CHAR_POINTER_FP n_set_char_pointer;
N_SET_SUB_POINTER_FP n_set_sub_pointer;
N_SET_TEXT_TABLE_POINTER_FP n_set_text_table_pointer;
N_SET_CHAR_TABLE_FP n_set_char_table;
N_GET_CHAR_POINTER_FP n_get_char_pointer;
N_GET_SUB_POINTER_FP n_get_sub_pointer;
N_GET_TEXT_TABLE_POINTER_FP n_get_text_table_pointer;
COPY_DST_SRC_FP copy_dst_src;
SET_CHAR_POINTER_FP set_char_pointer;
SET_SUB_POINTER_FP set_sub_pointer;
SET_TEXT_TABLE_POINTER_FP set_text_table_pointer;
SET_CHAR_TABLE_FP set_char_table;
GET_CHAR_POINTER_FP get_char_pointer;
GET_SUB_POINTER_FP get_sub_pointer;
GET_TEXT_TABLE_POINTER_FP get_text_table_pointer;
N_TIME_UPDATE_FP n_time_update;
N_TIME_CONTROL_ETH_FP n_time_control_eth;
N_SET_SERIAL_STEP_FP n_set_serial_step;
N_SELECT_SERIAL_SET_FP n_select_serial_set;
N_SET_SERIAL_FP n_set_serial;
N_GET_SERIAL_FP n_get_serial;
N_GET_LIST_SERIAL_FP n_get_list_serial;
TIME_UPDATE_FP time_update;
TIME_CONTROL_ETH_FP time_control_eth;
SET_SERIAL_STEP_FP set_serial_step;
SELECT_SERIAL_SET_FP select_serial_set;
SET_SERIAL_FP set_serial;
GET_SERIAL_FP get_serial;
GET_LIST_SERIAL_FP get_list_serial;
N_WRITE_IO_PORT_MASK_FP n_write_io_port_mask;
N_WRITE_8BIT_PORT_FP n_write_8bit_port;
N_READ_IO_PORT_FP n_read_io_port;
N_READ_IO_PORT_BUFFER_FP n_read_io_port_buffer;
N_GET_IO_STATUS_FP n_get_io_status;
N_READ_ANALOG_IN_FP n_read_analog_in;
N_WRITE_DA_X_FP n_write_da_x;
N_SET_LASER_OFF_DEFAULT_FP n_set_laser_off_default;
N_SET_PORT_DEFAULT_FP n_set_port_default;
N_WRITE_IO_PORT_FP n_write_io_port;
N_WRITE_DA_1_FP n_write_da_1;
N_WRITE_DA_2_FP n_write_da_2;
WRITE_IO_PORT_MASK_FP write_io_port_mask;
WRITE_8BIT_PORT_FP write_8bit_port;
READ_IO_PORT_FP read_io_port;
READ_IO_PORT_BUFFER_FP read_io_port_buffer;
GET_IO_STATUS_FP get_io_status;
READ_ANALOG_IN_FP read_analog_in;
WRITE_DA_X_FP write_da_x;
SET_LASER_OFF_DEFAULT_FP set_laser_off_default;
SET_PORT_DEFAULT_FP set_port_default;
WRITE_IO_PORT_FP write_io_port;
WRITE_DA_1_FP write_da_1;
WRITE_DA_2_FP write_da_2;
N_DISABLE_LASER_FP n_disable_laser;
N_ENABLE_LASER_FP n_enable_laser;
N_LASER_SIGNAL_ON_FP n_laser_signal_on;
N_LASER_SIGNAL_OFF_FP n_laser_signal_off;
N_SET_STANDBY_FP n_set_standby;
N_SET_LASER_PULSES_CTRL_FP n_set_laser_pulses_ctrl;
N_SET_FIRSTPULSE_KILLER_FP n_set_firstpulse_killer;
N_SET_QSWITCH_DELAY_FP n_set_qswitch_delay;
N_SET_LASER_MODE_FP n_set_laser_mode;
N_SET_LASER_CONTROL_FP n_set_laser_control;
N_SET_LASER_PIN_OUT_FP n_set_laser_pin_out;
N_GET_LASER_PIN_IN_FP n_get_laser_pin_in;
N_SET_SOFTSTART_LEVEL_FP n_set_softstart_level;
N_SET_SOFTSTART_MODE_FP n_set_softstart_mode;
N_SET_AUTO_LASER_CONTROL_FP n_set_auto_laser_control;
N_SET_AUTO_LASER_PARAMS_FP n_set_auto_laser_params;
N_LOAD_AUTO_LASER_CONTROL_FP n_load_auto_laser_control;
N_LOAD_POSITION_CONTROL_FP n_load_position_control;
N_SET_DEFAULT_PIXEL_FP n_set_default_pixel;
N_GET_STANDBY_FP n_get_standby;
N_SET_PULSE_PICKING_FP n_set_pulse_picking;
N_SET_PULSE_PICKING_LENGTH_FP n_set_pulse_picking_length;
N_CONFIG_LASER_SIGNALS_FP n_config_laser_signals;
N_SPOT_DISTANCE_CTRL_FP n_spot_distance_ctrl;
N_SET_LASER_PULSE_FORM_FP n_set_laser_pulse_form;
N_SET_LASER_PULSE_SYNC_FP n_set_laser_pulse_sync;
N_SET_CONTROLPREVIEW_COMPENSATION_CTRL_FP n_set_controlpreview_compensation_ctrl;
DISABLE_LASER_FP disable_laser;
ENABLE_LASER_FP enable_laser;
LASER_SIGNAL_ON_FP laser_signal_on;
LASER_SIGNAL_OFF_FP laser_signal_off;
SET_STANDBY_FP set_standby;
SET_LASER_PULSES_CTRL_FP set_laser_pulses_ctrl;
SET_FIRSTPULSE_KILLER_FP set_firstpulse_killer;
SET_QSWITCH_DELAY_FP set_qswitch_delay;
SET_LASER_MODE_FP set_laser_mode;
SET_LASER_CONTROL_FP set_laser_control;
SET_LASER_PIN_OUT_FP set_laser_pin_out;
GET_LASER_PIN_IN_FP get_laser_pin_in;
SET_SOFTSTART_LEVEL_FP set_softstart_level;
SET_SOFTSTART_MODE_FP set_softstart_mode;
SET_AUTO_LASER_CONTROL_FP set_auto_laser_control;
SET_AUTO_LASER_PARAMS_FP set_auto_laser_params;
LOAD_AUTO_LASER_CONTROL_FP load_auto_laser_control;
LOAD_POSITION_CONTROL_FP load_position_control;
SET_DEFAULT_PIXEL_FP set_default_pixel;
GET_STANDBY_FP get_standby;
SET_PULSE_PICKING_FP set_pulse_picking;
SET_PULSE_PICKING_LENGTH_FP set_pulse_picking_length;
CONFIG_LASER_SIGNALS_FP config_laser_signals;
SPOT_DISTANCE_CTRL_FP spot_distance_ctrl;
SET_LASER_PULSE_FORM_FP set_laser_pulse_form;
SET_LASER_PULSE_SYNC_FP set_laser_pulse_sync;
SET_CONTROLPREVIEW_COMPENSATION_CTRL_FP set_controlpreview_compensation_ctrl;
N_SET_EXT_START_DELAY_FP n_set_ext_start_delay;
N_SET_ROT_CENTER_FP n_set_rot_center;
N_SIMULATE_ENCODER_FP n_simulate_encoder;
N_GET_MARKING_INFO_FP n_get_marking_info;
N_SET_ENCODER_SPEED_CTRL_FP n_set_encoder_speed_ctrl;
N_SET_MCBSP_X_FP n_set_mcbsp_x;
N_SET_MCBSP_Y_FP n_set_mcbsp_y;
N_SET_MCBSP_ROT_FP n_set_mcbsp_rot;
N_SET_MCBSP_MATRIX_FP n_set_mcbsp_matrix;
N_SET_MCBSP_GLOBAL_X_FP n_set_mcbsp_global_x;
N_SET_MCBSP_GLOBAL_Y_FP n_set_mcbsp_global_y;
N_SET_MCBSP_GLOBAL_ROT_FP n_set_mcbsp_global_rot;
N_SET_MCBSP_GLOBAL_MATRIX_FP n_set_mcbsp_global_matrix;
N_SET_MCBSP_IN_FP n_set_mcbsp_in;
N_SET_MULTI_MCBSP_IN_FP n_set_multi_mcbsp_in;
N_SET_FLY_TRACKING_ERROR_FP n_set_fly_tracking_error;
N_LOAD_FLY_2D_TABLE_FP n_load_fly_2d_table;
N_INIT_FLY_2D_FP n_init_fly_2d;
N_GET_FLY_2D_OFFSET_FP n_get_fly_2d_offset;
N_GET_ENCODER_FP n_get_encoder;
N_READ_ENCODER_FP n_read_encoder;
N_GET_MCBSP_FP n_get_mcbsp;
N_READ_MCBSP_FP n_read_mcbsp;
N_READ_MULTI_MCBSP_FP n_read_multi_mcbsp;
N_CLEAR_FLY_OVERFLOW_CTRL_FP n_clear_fly_overflow_ctrl;
N_SET_ENCODER_FILTER_CTRL_FP n_set_encoder_filter_ctrl;
SET_EXT_START_DELAY_FP set_ext_start_delay;
SET_ROT_CENTER_FP set_rot_center;
SIMULATE_ENCODER_FP simulate_encoder;
GET_MARKING_INFO_FP get_marking_info;
SET_ENCODER_SPEED_CTRL_FP set_encoder_speed_ctrl;
SET_MCBSP_X_FP set_mcbsp_x;
SET_MCBSP_Y_FP set_mcbsp_y;
SET_MCBSP_ROT_FP set_mcbsp_rot;
SET_MCBSP_MATRIX_FP set_mcbsp_matrix;
SET_MCBSP_GLOBAL_X_FP set_mcbsp_global_x;
SET_MCBSP_GLOBAL_Y_FP set_mcbsp_global_y;
SET_MCBSP_GLOBAL_ROT_FP set_mcbsp_global_rot;
SET_MCBSP_GLOBAL_MATRIX_FP set_mcbsp_global_matrix;
SET_MCBSP_IN_FP set_mcbsp_in;
SET_MULTI_MCBSP_IN_FP set_multi_mcbsp_in;
SET_FLY_TRACKING_ERROR_FP set_fly_tracking_error;
LOAD_FLY_2D_TABLE_FP load_fly_2d_table;
INIT_FLY_2D_FP init_fly_2d;
GET_FLY_2D_OFFSET_FP get_fly_2d_offset;
GET_ENCODER_FP get_encoder;
READ_ENCODER_FP read_encoder;
GET_MCBSP_FP get_mcbsp;
READ_MCBSP_FP read_mcbsp;
READ_MULTI_MCBSP_FP read_multi_mcbsp;
CLEAR_FLY_OVERFLOW_CTRL_FP clear_fly_overflow_ctrl;
SET_ENCODER_FILTER_CTRL_FP set_encoder_filter_ctrl;
N_GET_TIME_FP n_get_time;
N_GET_LAP_TIME_FP n_get_lap_time;
N_MEASUREMENT_STATUS_FP n_measurement_status;
N_GET_WAVEFORM_OFFSET_FP n_get_waveform_offset;
N_GET_WAVEFORM_FP n_get_waveform;
N_BOUNCE_SUPP_FP n_bounce_supp;
N_HOME_POSITION_4_FP n_home_position_4;
N_GET_HOME_POSITION_4_FP n_get_home_position_4;
N_SET_HOME_4_RETURN_TIME_FP n_set_home_4_return_time;
N_GET_HOME_4_RETURN_TIME_FP n_get_home_4_return_time;
N_HOME_POSITION_XYZ_FP n_home_position_xyz;
N_HOME_POSITION_FP n_home_position;
N_UART_CONFIG_FP n_uart_config;
N_RS232_CONFIG_FP n_rs232_config;
N_RS232_WRITE_DATA_FP n_rs232_write_data;
N_RS232_WRITE_TEXT_FP n_rs232_write_text;
N_RS232_READ_DATA_FP n_rs232_read_data;
N_SET_MCBSP_FREQ_FP n_set_mcbsp_freq;
N_MCBSP_INIT_FP n_mcbsp_init;
N_MCBSP_INIT_SPI_FP n_mcbsp_init_spi;
N_GET_OVERRUN_FP n_get_overrun;
N_GET_MASTER_SLAVE_FP n_get_master_slave;
N_GET_TRANSFORM_FP n_get_transform;
N_GET_TRANSFORM_OFFSET_FP n_get_transform_offset;
N_STOP_TRIGGER_FP n_stop_trigger;
N_MOVE_TO_FP n_move_to;
N_SET_ENDURING_WOBBEL_FP n_set_enduring_wobbel;
N_SET_ENDURING_WOBBEL_2_FP n_set_enduring_wobbel_2;
N_SET_FREE_VARIABLE_FP n_set_free_variable;
N_GET_FREE_VARIABLE_FP n_get_free_variable;
N_SET_MCBSP_OUT_PTR_FP n_set_mcbsp_out_ptr;
N_SET_MCBSP_OUT_OIE_CTRL_FP n_set_mcbsp_out_oie_ctrl;
N_PERIODIC_TOGGLE_FP n_periodic_toggle;
N_MULTI_AXIS_CONFIG_FP n_multi_axis_config;
N_QUAD_AXIS_INIT_FP n_quad_axis_init;
N_QUAD_AXIS_GET_STATUS_FP n_quad_axis_get_status;
N_QUAD_AXIS_GET_VALUES_FP n_quad_axis_get_values;
N_GET_TEMPERATURE_FP n_get_temperature;
GET_TIME_FP get_time;
GET_LAP_TIME_FP get_lap_time;
MEASUREMENT_STATUS_FP measurement_status;
GET_WAVEFORM_OFFSET_FP get_waveform_offset;
GET_WAVEFORM_FP get_waveform;
BOUNCE_SUPP_FP bounce_supp;
HOME_POSITION_4_FP home_position_4;
GET_HOME_POSITION_4_FP get_home_position_4;
SET_HOME_4_RETURN_TIME_FP set_home_4_return_time;
GET_HOME_4_RETURN_TIME_FP get_home_4_return_time;
HOME_POSITION_XYZ_FP home_position_xyz;
HOME_POSITION_FP home_position;
UART_CONFIG_FP uart_config;
RS232_CONFIG_FP rs232_config;
RS232_WRITE_DATA_FP rs232_write_data;
RS232_WRITE_TEXT_FP rs232_write_text;
RS232_READ_DATA_FP rs232_read_data;
SET_MCBSP_FREQ_FP set_mcbsp_freq;
MCBSP_INIT_FP mcbsp_init;
MCBSP_INIT_SPI_FP mcbsp_init_spi;
GET_OVERRUN_FP get_overrun;
GET_MASTER_SLAVE_FP get_master_slave;
GET_TRANSFORM_FP get_transform;
GET_TRANSFORM_OFFSET_FP get_transform_offset;
STOP_TRIGGER_FP stop_trigger;
MOVE_TO_FP move_to;
SET_ENDURING_WOBBEL_FP set_enduring_wobbel;
SET_ENDURING_WOBBEL_2_FP set_enduring_wobbel_2;
SET_FREE_VARIABLE_FP set_free_variable;
GET_FREE_VARIABLE_FP get_free_variable;
SET_MCBSP_OUT_PTR_FP set_mcbsp_out_ptr;
SET_MCBSP_OUT_OIE_CTRL_FP set_mcbsp_out_oie_ctrl;
PERIODIC_TOGGLE_FP periodic_toggle;
MULTI_AXIS_CONFIG_FP multi_axis_config;
QUAD_AXIS_INIT_FP quad_axis_init;
QUAD_AXIS_GET_STATUS_FP quad_axis_get_status;
QUAD_AXIS_GET_VALUES_FP quad_axis_get_values;
GET_TEMPERATURE_FP get_temperature;
N_SET_DEFOCUS_FP n_set_defocus;
N_SET_DEFOCUS_OFFSET_FP n_set_defocus_offset;
N_GOTO_XYZ_FP n_goto_xyz;
N_SET_ZOOM_FP n_set_zoom;
N_GOTO_XY_FP n_goto_xy;
N_GET_Z_DISTANCE_FP n_get_z_distance;
SET_DEFOCUS_FP set_defocus;
SET_DEFOCUS_OFFSET_FP set_defocus_offset;
GOTO_XYZ_FP goto_xyz;
GOTO_XY_FP goto_xy;
SET_ZOOM_FP set_zoom;
GET_Z_DISTANCE_FP get_z_distance;
N_SET_OFFSET_XYZ_FP n_set_offset_xyz;
N_SET_OFFSET_FP n_set_offset;
N_SET_MATRIX_FP n_set_matrix;
N_SET_ANGLE_FP n_set_angle;
N_SET_SCALE_FP n_set_scale;
N_APPLY_MCBSP_FP n_apply_mcbsp;
N_UPLOAD_TRANSFORM_FP n_upload_transform;
SET_OFFSET_XYZ_FP set_offset_xyz;
SET_OFFSET_FP set_offset;
SET_MATRIX_FP set_matrix;
SET_ANGLE_FP set_angle;
SET_SCALE_FP set_scale;
APPLY_MCBSP_FP apply_mcbsp;
UPLOAD_TRANSFORM_FP upload_transform;
N_SET_DELAY_MODE_FP n_set_delay_mode;
N_SET_JUMP_SPEED_CTRL_FP n_set_jump_speed_ctrl;
N_SET_MARK_SPEED_CTRL_FP n_set_mark_speed_ctrl;
N_SET_SKY_WRITING_PARA_FP n_set_sky_writing_para;
N_SET_SKY_WRITING_LIMIT_FP n_set_sky_writing_limit;
N_SET_SKY_WRITING_MODE_FP n_set_sky_writing_mode;
N_LOAD_VARPOLYDELAY_FP n_load_varpolydelay;
N_SET_HI_FP n_set_hi;
N_GET_HI_POS_FP n_get_hi_pos;
N_AUTO_CAL_FP n_auto_cal;
N_GET_AUTO_CAL_FP n_get_auto_cal;
N_WRITE_HI_POS_FP n_write_hi_pos;
N_SET_TIMELAG_COMPENSATION_FP n_set_timelag_compensation;
N_SET_SKY_WRITING_FP n_set_sky_writing;
N_GET_HI_DATA_FP n_get_hi_data;
SET_DELAY_MODE_FP set_delay_mode;
SET_JUMP_SPEED_CTRL_FP set_jump_speed_ctrl;
SET_MARK_SPEED_CTRL_FP set_mark_speed_ctrl;
SET_SKY_WRITING_PARA_FP set_sky_writing_para;
SET_SKY_WRITING_LIMIT_FP set_sky_writing_limit;
SET_SKY_WRITING_MODE_FP set_sky_writing_mode;
LOAD_VARPOLYDELAY_FP load_varpolydelay;
SET_HI_FP set_hi;
GET_HI_POS_FP get_hi_pos;
AUTO_CAL_FP auto_cal;
GET_AUTO_CAL_FP get_auto_cal;
WRITE_HI_POS_FP write_hi_pos;
SET_TIMELAG_COMPENSATION_FP set_timelag_compensation;
SET_SKY_WRITING_FP set_sky_writing;
GET_HI_DATA_FP get_hi_data;
N_SEND_USER_DATA_FP n_send_user_data;
N_READ_USER_DATA_FP n_read_user_data;
N_CONTROL_COMMAND_FP n_control_command;
N_GET_VALUE_FP n_get_value;
N_GET_VALUES_FP n_get_values;
N_GET_GALVO_CONTROLS_FP n_get_galvo_controls;
N_GET_HEAD_STATUS_FP n_get_head_status;
N_SET_JUMP_MODE_FP n_set_jump_mode;
N_LOAD_JUMP_TABLE_OFFSET_FP n_load_jump_table_offset;
N_GET_JUMP_TABLE_FP n_get_jump_table;
N_SET_JUMP_TABLE_FP n_set_jump_table;
N_LOAD_JUMP_TABLE_FP n_load_jump_table;
SEND_USER_DATA_FP send_user_data;
READ_USER_DATA_FP read_user_data;
CONTROL_COMMAND_FP control_command;
GET_VALUE_FP get_value;
GET_VALUES_FP get_values;
GET_GALVO_CONTROLS_FP get_galvo_controls;
GET_HEAD_STATUS_FP get_head_status;
SET_JUMP_MODE_FP set_jump_mode;
LOAD_JUMP_TABLE_OFFSET_FP load_jump_table_offset;
GET_JUMP_TABLE_FP get_jump_table;
SET_JUMP_TABLE_FP set_jump_table;
LOAD_JUMP_TABLE_FP load_jump_table;
N_GET_SCANAHEAD_PARAMS_FP n_get_scanahead_params;
N_ACTIVATE_SCANAHEAD_AUTODELAYS_FP n_activate_scanahead_autodelays;
N_SET_SCANAHEAD_LASER_SHIFTS_FP n_set_scanahead_laser_shifts;
N_SET_SCANAHEAD_LINE_PARAMS_FP n_set_scanahead_line_params;
N_SET_SCANAHEAD_LINE_PARAMS_EX_FP n_set_scanahead_line_params_ex;
N_SET_SCANAHEAD_PARAMS_FP n_set_scanahead_params;
N_SET_SCANAHEAD_SPEED_CONTROL_FP n_set_scanahead_speed_control;
GET_SCANAHEAD_PARAMS_FP get_scanahead_params;
ACTIVATE_SCANAHEAD_AUTODELAYS_FP activate_scanahead_autodelays;
SET_SCANAHEAD_LASER_SHIFTS_FP set_scanahead_laser_shifts;
SET_SCANAHEAD_LINE_PARAMS_FP set_scanahead_line_params;
SET_SCANAHEAD_LINE_PARAMS_EX_FP set_scanahead_line_params_ex;
SET_SCANAHEAD_PARAMS_FP set_scanahead_params;
SET_SCANAHEAD_SPEED_CONTROL_FP set_scanahead_speed_control;
N_STEPPER_INIT_FP n_stepper_init;
N_STEPPER_ENABLE_FP n_stepper_enable;
N_STEPPER_DISABLE_SWITCH_FP n_stepper_disable_switch;
N_STEPPER_CONTROL_FP n_stepper_control;
N_STEPPER_ABS_NO_FP n_stepper_abs_no;
N_STEPPER_REL_NO_FP n_stepper_rel_no;
N_STEPPER_ABS_FP n_stepper_abs;
N_STEPPER_REL_FP n_stepper_rel;
N_GET_STEPPER_STATUS_FP n_get_stepper_status;
STEPPER_INIT_FP stepper_init;
STEPPER_ENABLE_FP stepper_enable;
STEPPER_DISABLE_SWITCH_FP stepper_disable_switch;
STEPPER_CONTROL_FP stepper_control;
STEPPER_ABS_NO_FP stepper_abs_no;
STEPPER_REL_NO_FP stepper_rel_no;
STEPPER_ABS_FP stepper_abs;
STEPPER_REL_FP stepper_rel;
GET_STEPPER_STATUS_FP get_stepper_status;
N_SELECT_COR_TABLE_LIST_FP n_select_cor_table_list;
SELECT_COR_TABLE_LIST_FP select_cor_table_list;
N_LIST_NOP_FP n_list_nop;
N_LIST_CONTINUE_FP n_list_continue;
N_LIST_NEXT_FP n_list_next;
N_LONG_DELAY_FP n_long_delay;
N_SET_END_OF_LIST_FP n_set_end_of_list;
N_SET_WAIT_FP n_set_wait;
N_LIST_JUMP_POS_FP n_list_jump_pos;
N_LIST_JUMP_REL_FP n_list_jump_rel;
N_LIST_REPEAT_FP n_list_repeat;
N_LIST_UNTIL_FP n_list_until;
N_RANGE_CHECKING_FP n_range_checking;
N_STORE_TIMESTAMP_COUNTER_LIST_FP n_store_timestamp_counter_list;
N_WAIT_FOR_TIMESTAMP_COUNTER_FP n_wait_for_timestamp_counter;
N_WAIT_FOR_TIMESTAMP_COUNTER_MODE_FP n_wait_for_timestamp_counter_mode;
N_SET_LIST_JUMP_FP n_set_list_jump;
N_WAIT_FOR_TIMESTAMP_COUNTER_LONG_FP n_wait_for_timestamp_counter_long;
LIST_NOP_FP list_nop;
LIST_CONTINUE_FP list_continue;
LIST_NEXT_FP list_next;
LONG_DELAY_FP long_delay;
SET_END_OF_LIST_FP set_end_of_list;
SET_WAIT_FP set_wait;
LIST_JUMP_POS_FP list_jump_pos;
LIST_JUMP_REL_FP list_jump_rel;
LIST_REPEAT_FP list_repeat;
LIST_UNTIL_FP list_until;
RANGE_CHECKING_FP range_checking;
STORE_TIMESTAMP_COUNTER_LIST_FP store_timestamp_counter_list;
WAIT_FOR_TIMESTAMP_COUNTER_FP wait_for_timestamp_counter;
WAIT_FOR_TIMESTAMP_COUNTER_MODE_FP wait_for_timestamp_counter_mode;
WAIT_FOR_TIMESTAMP_COUNTER_LONG_FP wait_for_timestamp_counter_long;
SET_LIST_JUMP_FP set_list_jump;
N_SET_EXTSTARTPOS_LIST_FP n_set_extstartpos_list;
N_SET_CONTROL_MODE_LIST_FP n_set_control_mode_list;
N_SIMULATE_EXT_START_FP n_simulate_ext_start;
SET_EXTSTARTPOS_LIST_FP set_extstartpos_list;
SET_CONTROL_MODE_LIST_FP set_control_mode_list;
SIMULATE_EXT_START_FP simulate_ext_start;
N_LIST_RETURN_FP n_list_return;
N_LIST_CALL_REPEAT_FP n_list_call_repeat;
N_LIST_CALL_ABS_REPEAT_FP n_list_call_abs_repeat;
N_LIST_CALL_FP n_list_call;
N_LIST_CALL_ABS_FP n_list_call_abs;
N_SUB_CALL_REPEAT_FP n_sub_call_repeat;
N_SUB_CALL_ABS_REPEAT_FP n_sub_call_abs_repeat;
N_SUB_CALL_FP n_sub_call;
N_SUB_CALL_ABS_FP n_sub_call_abs;
LIST_RETURN_FP list_return;
LIST_CALL_REPEAT_FP list_call_repeat;
LIST_CALL_ABS_REPEAT_FP list_call_abs_repeat;
LIST_CALL_FP list_call;
LIST_CALL_ABS_FP list_call_abs;
SUB_CALL_REPEAT_FP sub_call_repeat;
SUB_CALL_ABS_REPEAT_FP sub_call_abs_repeat;
SUB_CALL_FP sub_call;
SUB_CALL_ABS_FP sub_call_abs;
N_LIST_CALL_COND_FP n_list_call_cond;
N_LIST_CALL_ABS_COND_FP n_list_call_abs_cond;
N_SUB_CALL_COND_FP n_sub_call_cond;
N_SUB_CALL_ABS_COND_FP n_sub_call_abs_cond;
N_LIST_JUMP_POS_COND_FP n_list_jump_pos_cond;
N_LIST_JUMP_REL_COND_FP n_list_jump_rel_cond;
N_IF_COND_FP n_if_cond;
N_IF_NOT_COND_FP n_if_not_cond;
N_IF_PIN_COND_FP n_if_pin_cond;
N_IF_NOT_PIN_COND_FP n_if_not_pin_cond;
N_SWITCH_IOPORT_FP n_switch_ioport;
N_LIST_JUMP_COND_FP n_list_jump_cond;
LIST_CALL_COND_FP list_call_cond;
LIST_CALL_ABS_COND_FP list_call_abs_cond;
SUB_CALL_COND_FP sub_call_cond;
SUB_CALL_ABS_COND_FP sub_call_abs_cond;
LIST_JUMP_POS_COND_FP list_jump_pos_cond;
LIST_JUMP_REL_COND_FP list_jump_rel_cond;
IF_COND_FP if_cond;
IF_NOT_COND_FP if_not_cond;
IF_PIN_COND_FP if_pin_cond;
IF_NOT_PIN_COND_FP if_not_pin_cond;
SWITCH_IOPORT_FP switch_ioport;
LIST_JUMP_COND_FP list_jump_cond;
N_SELECT_CHAR_SET_FP n_select_char_set;
N_MARK_TEXT_FP n_mark_text;
N_MARK_TEXT_ABS_FP n_mark_text_abs;
N_MARK_CHAR_FP n_mark_char;
N_MARK_CHAR_ABS_FP n_mark_char_abs;
SELECT_CHAR_SET_FP select_char_set;
MARK_TEXT_FP mark_text;
MARK_TEXT_ABS_FP mark_text_abs;
MARK_CHAR_FP mark_char;
MARK_CHAR_ABS_FP mark_char_abs;
N_MARK_SERIAL_FP n_mark_serial;
N_MARK_SERIAL_ABS_FP n_mark_serial_abs;
N_MARK_DATE_FP n_mark_date;
N_MARK_DATE_ABS_FP n_mark_date_abs;
N_MARK_TIME_FP n_mark_time;
N_MARK_TIME_ABS_FP n_mark_time_abs;
N_SELECT_SERIAL_SET_LIST_FP n_select_serial_set_list;
N_SET_SERIAL_STEP_LIST_FP n_set_serial_step_list;
N_TIME_FIX_F_OFF_FP n_time_fix_f_off;
N_TIME_FIX_F_FP n_time_fix_f;
N_TIME_FIX_FP n_time_fix;
MARK_SERIAL_FP mark_serial;
MARK_SERIAL_ABS_FP mark_serial_abs;
MARK_DATE_FP mark_date;
MARK_DATE_ABS_FP mark_date_abs;
MARK_TIME_FP mark_time;
MARK_TIME_ABS_FP mark_time_abs;
TIME_FIX_F_OFF_FP time_fix_f_off;
SELECT_SERIAL_SET_LIST_FP select_serial_set_list;
SET_SERIAL_STEP_LIST_FP set_serial_step_list;
TIME_FIX_F_FP time_fix_f;
TIME_FIX_FP time_fix;
N_CLEAR_IO_COND_LIST_FP n_clear_io_cond_list;
N_SET_IO_COND_LIST_FP n_set_io_cond_list;
N_WRITE_IO_PORT_MASK_LIST_FP n_write_io_port_mask_list;
N_WRITE_8BIT_PORT_LIST_FP n_write_8bit_port_list;
N_READ_IO_PORT_LIST_FP n_read_io_port_list;
N_WRITE_DA_X_LIST_FP n_write_da_x_list;
N_WRITE_IO_PORT_LIST_FP n_write_io_port_list;
N_WRITE_DA_1_LIST_FP n_write_da_1_list;
N_WRITE_DA_2_LIST_FP n_write_da_2_list;
N_WRITE_PORT_LIST_FP n_write_port_list;
CLEAR_IO_COND_LIST_FP clear_io_cond_list;
SET_IO_COND_LIST_FP set_io_cond_list;
WRITE_IO_PORT_MASK_LIST_FP write_io_port_mask_list;
WRITE_8BIT_PORT_LIST_FP write_8bit_port_list;
READ_IO_PORT_LIST_FP read_io_port_list;
WRITE_DA_X_LIST_FP write_da_x_list;
WRITE_IO_PORT_LIST_FP write_io_port_list;
WRITE_DA_1_LIST_FP write_da_1_list;
WRITE_DA_2_LIST_FP write_da_2_list;
WRITE_PORT_LIST_FP write_port_list;
N_LASER_SIGNAL_ON_LIST_FP n_laser_signal_on_list;
N_LASER_SIGNAL_OFF_LIST_FP n_laser_signal_off_list;
N_PARA_LASER_ON_PULSES_LIST_FP n_para_laser_on_pulses_list;
N_LASER_ON_PULSES_LIST_FP n_laser_on_pulses_list;
N_LASER_ON_LIST_FP n_laser_on_list;
N_SET_LASER_DELAYS_FP n_set_laser_delays;
N_SET_STANDBY_LIST_FP n_set_standby_list;
N_SET_LASER_PULSES_FP n_set_laser_pulses;
N_SET_FIRSTPULSE_KILLER_LIST_FP n_set_firstpulse_killer_list;
N_SET_QSWITCH_DELAY_LIST_FP n_set_qswitch_delay_list;
N_SET_LASER_PIN_OUT_LIST_FP n_set_laser_pin_out_list;
N_SET_VECTOR_CONTROL_FP n_set_vector_control;
N_SET_DEFAULT_PIXEL_LIST_FP n_set_default_pixel_list;
N_SET_AUTO_LASER_PARAMS_LIST_FP n_set_auto_laser_params_list;
N_SET_PULSE_PICKING_LIST_FP n_set_pulse_picking_list;
N_SET_SOFTSTART_LEVEL_LIST_FP n_set_softstart_level_list;
N_SET_SOFTSTART_MODE_LIST_FP n_set_softstart_mode_list;
N_CONFIG_LASER_SIGNALS_LIST_FP n_config_laser_signals_list;
N_SET_LASER_POWER_FP n_set_laser_power;
N_SET_PORT_DEFAULT_LIST_FP n_set_port_default_list;
N_SPOT_DISTANCE_FP n_spot_distance;
N_SET_LASER_TIMING_FP n_set_laser_timing;
LASER_SIGNAL_ON_LIST_FP laser_signal_on_list;
LASER_SIGNAL_OFF_LIST_FP laser_signal_off_list;
PARA_LASER_ON_PULSES_LIST_FP para_laser_on_pulses_list;
LASER_ON_PULSES_LIST_FP laser_on_pulses_list;
LASER_ON_LIST_FP laser_on_list;
SET_LASER_DELAYS_FP set_laser_delays;
SET_STANDBY_LIST_FP set_standby_list;
SET_LASER_PULSES_FP set_laser_pulses;
SET_FIRSTPULSE_KILLER_LIST_FP set_firstpulse_killer_list;
SET_QSWITCH_DELAY_LIST_FP set_qswitch_delay_list;
SET_LASER_PIN_OUT_LIST_FP set_laser_pin_out_list;
SET_VECTOR_CONTROL_FP set_vector_control;
SET_DEFAULT_PIXEL_LIST_FP set_default_pixel_list;
SET_AUTO_LASER_PARAMS_LIST_FP set_auto_laser_params_list;
SET_PULSE_PICKING_LIST_FP set_pulse_picking_list;
SET_SOFTSTART_LEVEL_LIST_FP set_softstart_level_list;
SET_SOFTSTART_MODE_LIST_FP set_softstart_mode_list;
CONFIG_LASER_SIGNALS_LIST_FP config_laser_signals_list;
SET_LASER_POWER_FP set_laser_power;
SET_PORT_DEFAULT_LIST_FP set_port_default_list;
SPOT_DISTANCE_FP spot_distance;
SET_LASER_TIMING_FP set_laser_timing;
N_FLY_RETURN_Z_FP n_fly_return_z;
N_FLY_RETURN_FP n_fly_return;
N_SET_ROT_CENTER_LIST_FP n_set_rot_center_list;
N_SET_EXT_START_DELAY_LIST_FP n_set_ext_start_delay_list;
N_SET_FLY_X_FP n_set_fly_x;
N_SET_FLY_Y_FP n_set_fly_y;
N_SET_FLY_Z_FP n_set_fly_z;
N_SET_FLY_ROT_FP n_set_fly_rot;
N_SET_FLY_2D_FP n_set_fly_2d;
N_SET_FLY_X_POS_FP n_set_fly_x_pos;
N_SET_FLY_Y_POS_FP n_set_fly_y_pos;
N_SET_FLY_ROT_POS_FP n_set_fly_rot_pos;
N_SET_FLY_LIMITS_FP n_set_fly_limits;
N_SET_FLY_LIMITS_Z_FP n_set_fly_limits_z;
N_IF_FLY_X_OVERFLOW_FP n_if_fly_x_overflow;
N_IF_FLY_Y_OVERFLOW_FP n_if_fly_y_overflow;
N_IF_FLY_Z_OVERFLOW_FP n_if_fly_z_overflow;
N_IF_NOT_FLY_X_OVERFLOW_FP n_if_not_fly_x_overflow;
N_IF_NOT_FLY_Y_OVERFLOW_FP n_if_not_fly_y_overflow;
N_IF_NOT_FLY_Z_OVERFLOW_FP n_if_not_fly_z_overflow;
N_CLEAR_FLY_OVERFLOW_FP n_clear_fly_overflow;
N_SET_MCBSP_X_LIST_FP n_set_mcbsp_x_list;
N_SET_MCBSP_Y_LIST_FP n_set_mcbsp_y_list;
N_SET_MCBSP_ROT_LIST_FP n_set_mcbsp_rot_list;
N_SET_MCBSP_MATRIX_LIST_FP n_set_mcbsp_matrix_list;
N_SET_MCBSP_GLOBAL_X_LIST_FP n_set_mcbsp_global_x_list;
N_SET_MCBSP_GLOBAL_Y_LIST_FP n_set_mcbsp_global_y_list;
N_SET_MCBSP_GLOBAL_ROT_LIST_FP n_set_mcbsp_global_rot_list;
N_SET_MCBSP_GLOBAL_MATRIX_LIST_FP n_set_mcbsp_global_matrix_list;
N_SET_MCBSP_IN_LIST_FP n_set_mcbsp_in_list;
N_SET_MULTI_MCBSP_IN_LIST_FP n_set_multi_mcbsp_in_list;
N_WAIT_FOR_ENCODER_MODE_FP n_wait_for_encoder_mode;
N_WAIT_FOR_MCBSP_FP n_wait_for_mcbsp;
N_SET_ENCODER_SPEED_FP n_set_encoder_speed;
N_GET_MCBSP_LIST_FP n_get_mcbsp_list;
N_STORE_ENCODER_FP n_store_encoder;
N_WAIT_FOR_ENCODER_IN_RANGE_MODE_FP n_wait_for_encoder_in_range_mode;
N_WAIT_FOR_ENCODER_IN_RANGE_FP n_wait_for_encoder_in_range;
N_ACTIVATE_FLY_XY_FP n_activate_fly_xy;
N_ACTIVATE_FLY_2D_FP n_activate_fly_2d;
N_ACTIVATE_FLY_XY_ENCODER_FP n_activate_fly_xy_encoder;
N_ACTIVATE_FLY_2D_ENCODER_FP n_activate_fly_2d_encoder;
N_IF_NOT_ACTIVATED_FP n_if_not_activated;
N_PARK_POSITION_FP n_park_position;
N_PARK_RETURN_FP n_park_return;
N_FLY_PREDICTION_FP n_fly_prediction;
N_SET_FLY_1_AXIS_FP n_set_fly_1_axis;
N_FLY_RETURN_1_AXIS_FP n_fly_return_1_axis;
N_WAIT_FOR_1_AXIS_FP n_wait_for_1_axis;
N_ACTIVATE_FLY_1_AXIS_FP n_activate_fly_1_axis;
N_PARK_POSITION_1_AXIS_FP n_park_position_1_axis;
N_PARK_RETURN_1_AXIS_FP n_park_return_1_axis;
N_SET_FLY_2_AXES_FP n_set_fly_2_axes;
N_FLY_RETURN_2_AXES_FP n_fly_return_2_axes;
N_WAIT_FOR_2_AXES_FP n_wait_for_2_axes;
N_ACTIVATE_FLY_2_AXES_FP n_activate_fly_2_axes;
N_PARK_POSITION_2_AXES_FP n_park_position_2_axes;
N_PARK_RETURN_2_AXES_FP n_park_return_2_axes;
N_SET_FLY_3_AXES_FP n_set_fly_3_axes;
N_FLY_RETURN_3_AXES_FP n_fly_return_3_axes;
N_INIT_FLY_2D_LIST_FP n_init_fly_2d_list;
N_WAIT_FOR_ENCODER_FP n_wait_for_encoder;
FLY_RETURN_Z_FP fly_return_z;
FLY_RETURN_FP fly_return;
SET_ROT_CENTER_LIST_FP set_rot_center_list;
SET_EXT_START_DELAY_LIST_FP set_ext_start_delay_list;
SET_FLY_X_FP set_fly_x;
SET_FLY_Y_FP set_fly_y;
SET_FLY_Z_FP set_fly_z;
SET_FLY_ROT_FP set_fly_rot;
SET_FLY_2D_FP set_fly_2d;
SET_FLY_X_POS_FP set_fly_x_pos;
SET_FLY_Y_POS_FP set_fly_y_pos;
SET_FLY_ROT_POS_FP set_fly_rot_pos;
SET_FLY_LIMITS_FP set_fly_limits;
SET_FLY_LIMITS_Z_FP set_fly_limits_z;
IF_FLY_X_OVERFLOW_FP if_fly_x_overflow;
IF_FLY_Y_OVERFLOW_FP if_fly_y_overflow;
IF_FLY_Z_OVERFLOW_FP if_fly_z_overflow;
IF_NOT_FLY_X_OVERFLOW_FP if_not_fly_x_overflow;
IF_NOT_FLY_Y_OVERFLOW_FP if_not_fly_y_overflow;
IF_NOT_FLY_Z_OVERFLOW_FP if_not_fly_z_overflow;
CLEAR_FLY_OVERFLOW_FP clear_fly_overflow;
SET_MCBSP_X_LIST_FP set_mcbsp_x_list;
SET_MCBSP_Y_LIST_FP set_mcbsp_y_list;
SET_MCBSP_ROT_LIST_FP set_mcbsp_rot_list;
SET_MCBSP_MATRIX_LIST_FP set_mcbsp_matrix_list;
SET_MCBSP_GLOBAL_X_LIST_FP set_mcbsp_global_x_list;
SET_MCBSP_GLOBAL_Y_LIST_FP set_mcbsp_global_y_list;
SET_MCBSP_GLOBAL_ROT_LIST_FP set_mcbsp_global_rot_list;
SET_MCBSP_GLOBAL_MATRIX_LIST_FP set_mcbsp_global_matrix_list;
SET_MCBSP_IN_LIST_FP set_mcbsp_in_list;
SET_MULTI_MCBSP_IN_LIST_FP set_multi_mcbsp_in_list;
WAIT_FOR_ENCODER_MODE_FP wait_for_encoder_mode;
WAIT_FOR_MCBSP_FP wait_for_mcbsp;
SET_ENCODER_SPEED_FP set_encoder_speed;
GET_MCBSP_LIST_FP get_mcbsp_list;
STORE_ENCODER_FP store_encoder;
WAIT_FOR_ENCODER_IN_RANGE_MODE_FP wait_for_encoder_in_range_mode;
WAIT_FOR_ENCODER_IN_RANGE_FP wait_for_encoder_in_range;
ACTIVATE_FLY_XY_FP activate_fly_xy;
ACTIVATE_FLY_2D_FP activate_fly_2d;
ACTIVATE_FLY_XY_ENCODER_FP activate_fly_xy_encoder;
ACTIVATE_FLY_2D_ENCODER_FP activate_fly_2d_encoder;
IF_NOT_ACTIVATED_FP if_not_activated;
PARK_POSITION_FP park_position;
PARK_RETURN_FP park_return;
FLY_PREDICTION_FP fly_prediction;
SET_FLY_1_AXIS_FP set_fly_1_axis;
FLY_RETURN_1_AXIS_FP fly_return_1_axis;
WAIT_FOR_1_AXIS_FP wait_for_1_axis;
ACTIVATE_FLY_1_AXIS_FP activate_fly_1_axis;
PARK_POSITION_1_AXIS_FP park_position_1_axis;
PARK_RETURN_1_AXIS_FP park_return_1_axis;
SET_FLY_2_AXES_FP set_fly_2_axes;
FLY_RETURN_2_AXES_FP fly_return_2_axes;
WAIT_FOR_2_AXES_FP wait_for_2_axes;
ACTIVATE_FLY_2_AXES_FP activate_fly_2_axes;
PARK_POSITION_2_AXES_FP park_position_2_axes;
PARK_RETURN_2_AXES_FP park_return_2_axes;
SET_FLY_3_AXES_FP set_fly_3_axes;
FLY_RETURN_3_AXES_FP fly_return_3_axes;
INIT_FLY_2D_LIST_FP init_fly_2d_list;
WAIT_FOR_ENCODER_FP wait_for_encoder;
N_SAVE_AND_RESTART_TIMER_FP n_save_and_restart_timer;
N_SET_WOBBEL_MODE_PHASE_FP n_set_wobbel_mode_phase;
N_SET_WOBBEL_MODE_FP n_set_wobbel_mode;
N_SET_WOBBEL_FP n_set_wobbel;
N_SET_WOBBEL_DIRECTION_FP n_set_wobbel_direction;
N_SET_WOBBEL_CONTROL_FP n_set_wobbel_control;
N_SET_WOBBEL_VECTOR_FP n_set_wobbel_vector;
N_SET_WOBBEL_VECTOR_2_FP n_set_wobbel_vector_2;
N_SET_WOBBEL_OFFSET_FP n_set_wobbel_offset;
N_SET_TRIGGER_FP n_set_trigger;
N_SET_TRIGGER4_FP n_set_trigger4;
N_SET_TRIGGER8_FP n_set_trigger8;
N_SET_PIXEL_LINE_3D_FP n_set_pixel_line_3d;
N_SET_PIXEL_LINE_FP n_set_pixel_line;
N_SET_N_PIXEL_FP n_set_n_pixel;
N_SET_PIXEL_FP n_set_pixel;
N_RS232_WRITE_TEXT_LIST_FP n_rs232_write_text_list;
N_SET_MCBSP_OUT_FP n_set_mcbsp_out;
N_SET_MCBSP_OUT_OIE_LIST_FP n_set_mcbsp_out_oie_list;
N_SET_MCBSP_OUT_PTR_LIST_FP n_set_mcbsp_out_ptr_list;
N_CAMMING_FP n_camming;
N_PERIODIC_TOGGLE_LIST_FP n_periodic_toggle_list;
N_MICRO_VECTOR_ABS_3D_FP n_micro_vector_abs_3d;
N_MICRO_VECTOR_REL_3D_FP n_micro_vector_rel_3d;
N_MICRO_VECTOR_ABS_FP n_micro_vector_abs;
N_MICRO_VECTOR_REL_FP n_micro_vector_rel;
N_MICRO_VECTOR_QUAD_AXIS_V_2_FP n_micro_vector_quad_axis_v_2;
N_MICRO_VECTOR_QUAD_AXIS_V_FP n_micro_vector_quad_axis_v;
N_MICRO_VECTOR_QUAD_AXIS_FP n_micro_vector_quad_axis;
N_MICRO_VECTOR_SET_POSITION_FP n_micro_vector_set_position;
N_MULTI_AXIS_FLAGS_FP n_multi_axis_flags;
N_SET_FREE_VARIABLE_LIST_FP n_set_free_variable_list;
N_JUMP_ABS_DRILL_2_FP n_jump_abs_drill_2;
N_JUMP_REL_DRILL_2_FP n_jump_rel_drill_2;
N_JUMP_ABS_DRILL_FP n_jump_abs_drill;
N_JUMP_REL_DRILL_FP n_jump_rel_drill;
SAVE_AND_RESTART_TIMER_FP save_and_restart_timer;
SET_WOBBEL_MODE_PHASE_FP set_wobbel_mode_phase;
SET_WOBBEL_MODE_FP set_wobbel_mode;
SET_WOBBEL_FP set_wobbel;
SET_WOBBEL_DIRECTION_FP set_wobbel_direction;
SET_WOBBEL_CONTROL_FP set_wobbel_control;
SET_WOBBEL_VECTOR_FP set_wobbel_vector;
SET_WOBBEL_VECTOR_2_FP set_wobbel_vector_2;
SET_WOBBEL_OFFSET_FP set_wobbel_offset;
SET_TRIGGER_FP set_trigger;
SET_TRIGGER4_FP set_trigger4;
SET_TRIGGER8_FP set_trigger8;
SET_PIXEL_LINE_3D_FP set_pixel_line_3d;
SET_PIXEL_LINE_FP set_pixel_line;
SET_N_PIXEL_FP set_n_pixel;
SET_PIXEL_FP set_pixel;
RS232_WRITE_TEXT_LIST_FP rs232_write_text_list;
SET_MCBSP_OUT_FP set_mcbsp_out;
SET_MCBSP_OUT_OIE_LIST_FP set_mcbsp_out_oie_list;
SET_MCBSP_OUT_PTR_LIST_FP set_mcbsp_out_ptr_list;
CAMMING_FP camming;
PERIODIC_TOGGLE_LIST_FP periodic_toggle_list;
MICRO_VECTOR_ABS_3D_FP micro_vector_abs_3d;
MICRO_VECTOR_REL_3D_FP micro_vector_rel_3d;
MICRO_VECTOR_ABS_FP micro_vector_abs;
MICRO_VECTOR_REL_FP micro_vector_rel;
MICRO_VECTOR_QUAD_AXIS_V_2_FP micro_vector_quad_axis_v_2;
MICRO_VECTOR_QUAD_AXIS_V_FP micro_vector_quad_axis_v;
MICRO_VECTOR_QUAD_AXIS_FP micro_vector_quad_axis;
MICRO_VECTOR_SET_POSITION_FP micro_vector_set_position;
MULTI_AXIS_FLAGS_FP multi_axis_flags;
SET_FREE_VARIABLE_LIST_FP set_free_variable_list;
JUMP_ABS_DRILL_2_FP jump_abs_drill_2;
JUMP_REL_DRILL_2_FP jump_rel_drill_2;
JUMP_ABS_DRILL_FP jump_abs_drill;
JUMP_REL_DRILL_FP jump_rel_drill;
N_TIMED_MARK_ABS_3D_FP n_timed_mark_abs_3d;
N_TIMED_MARK_REL_3D_FP n_timed_mark_rel_3d;
N_TIMED_MARK_ABS_FP n_timed_mark_abs;
N_TIMED_MARK_REL_FP n_timed_mark_rel;
TIMED_MARK_ABS_3D_FP timed_mark_abs_3d;
TIMED_MARK_REL_3D_FP timed_mark_rel_3d;
TIMED_MARK_ABS_FP timed_mark_abs;
TIMED_MARK_REL_FP timed_mark_rel;
N_MARK_ABS_3D_FP n_mark_abs_3d;
N_MARK_REL_3D_FP n_mark_rel_3d;
N_MARK_ABS_FP n_mark_abs;
N_MARK_REL_FP n_mark_rel;
MARK_ABS_3D_FP mark_abs_3d;
MARK_REL_3D_FP mark_rel_3d;
MARK_ABS_FP mark_abs;
MARK_REL_FP mark_rel;
N_TIMED_JUMP_ABS_3D_FP n_timed_jump_abs_3d;
N_TIMED_JUMP_REL_3D_FP n_timed_jump_rel_3d;
N_TIMED_JUMP_ABS_FP n_timed_jump_abs;
N_TIMED_JUMP_REL_FP n_timed_jump_rel;
TIMED_JUMP_ABS_3D_FP timed_jump_abs_3d;
TIMED_JUMP_REL_3D_FP timed_jump_rel_3d;
TIMED_JUMP_ABS_FP timed_jump_abs;
TIMED_JUMP_REL_FP timed_jump_rel;
N_JUMP_ABS_3D_FP n_jump_abs_3d;
N_JUMP_REL_3D_FP n_jump_rel_3d;
N_JUMP_ABS_FP n_jump_abs;
N_JUMP_REL_FP n_jump_rel;
JUMP_ABS_3D_FP jump_abs_3d;
JUMP_REL_3D_FP jump_rel_3d;
JUMP_ABS_FP jump_abs;
JUMP_REL_FP jump_rel;
N_PARA_MARK_ABS_3D_FP n_para_mark_abs_3d;
N_PARA_MARK_REL_3D_FP n_para_mark_rel_3d;
N_PARA_MARK_ABS_FP n_para_mark_abs;
N_PARA_MARK_REL_FP n_para_mark_rel;
PARA_MARK_ABS_3D_FP para_mark_abs_3d;
PARA_MARK_REL_3D_FP para_mark_rel_3d;
PARA_MARK_ABS_FP para_mark_abs;
PARA_MARK_REL_FP para_mark_rel;
N_PARA_JUMP_ABS_3D_FP n_para_jump_abs_3d;
N_PARA_JUMP_REL_3D_FP n_para_jump_rel_3d;
N_PARA_JUMP_ABS_FP n_para_jump_abs;
N_PARA_JUMP_REL_FP n_para_jump_rel;
PARA_JUMP_ABS_3D_FP para_jump_abs_3d;
PARA_JUMP_REL_3D_FP para_jump_rel_3d;
PARA_JUMP_ABS_FP para_jump_abs;
PARA_JUMP_REL_FP para_jump_rel;
N_TIMED_PARA_MARK_ABS_3D_FP n_timed_para_mark_abs_3d;
N_TIMED_PARA_MARK_REL_3D_FP n_timed_para_mark_rel_3d;
N_TIMED_PARA_JUMP_ABS_3D_FP n_timed_para_jump_abs_3d;
N_TIMED_PARA_JUMP_REL_3D_FP n_timed_para_jump_rel_3d;
N_TIMED_PARA_MARK_ABS_FP n_timed_para_mark_abs;
N_TIMED_PARA_MARK_REL_FP n_timed_para_mark_rel;
N_TIMED_PARA_JUMP_ABS_FP n_timed_para_jump_abs;
N_TIMED_PARA_JUMP_REL_FP n_timed_para_jump_rel;
TIMED_PARA_MARK_ABS_3D_FP timed_para_mark_abs_3d;
TIMED_PARA_MARK_REL_3D_FP timed_para_mark_rel_3d;
TIMED_PARA_JUMP_ABS_3D_FP timed_para_jump_abs_3d;
TIMED_PARA_JUMP_REL_3D_FP timed_para_jump_rel_3d;
TIMED_PARA_MARK_ABS_FP timed_para_mark_abs;
TIMED_PARA_MARK_REL_FP timed_para_mark_rel;
TIMED_PARA_JUMP_ABS_FP timed_para_jump_abs;
TIMED_PARA_JUMP_REL_FP timed_para_jump_rel;
N_SET_DEFOCUS_LIST_FP n_set_defocus_list;
N_SET_DEFOCUS_OFFSET_LIST_FP n_set_defocus_offset_list;
N_SET_ZOOM_LIST_FP n_set_zoom_list;
SET_DEFOCUS_LIST_FP set_defocus_list;
SET_DEFOCUS_OFFSET_LIST_FP set_defocus_offset_list;
SET_ZOOM_LIST_FP set_zoom_list;
N_TIMED_ARC_ABS_FP n_timed_arc_abs;
N_TIMED_ARC_REL_FP n_timed_arc_rel;
TIMED_ARC_ABS_FP timed_arc_abs;
TIMED_ARC_REL_FP timed_arc_rel;
N_ARC_ABS_3D_FP n_arc_abs_3d;
N_ARC_REL_3D_FP n_arc_rel_3d;
N_ARC_ABS_FP n_arc_abs;
N_ARC_REL_FP n_arc_rel;
N_SET_ELLIPSE_FP n_set_ellipse;
N_MARK_ELLIPSE_ABS_FP n_mark_ellipse_abs;
N_MARK_ELLIPSE_REL_FP n_mark_ellipse_rel;
ARC_ABS_3D_FP arc_abs_3d;
ARC_REL_3D_FP arc_rel_3d;
ARC_ABS_FP arc_abs;
ARC_REL_FP arc_rel;
SET_ELLIPSE_FP set_ellipse;
MARK_ELLIPSE_ABS_FP mark_ellipse_abs;
MARK_ELLIPSE_REL_FP mark_ellipse_rel;
N_SET_OFFSET_XYZ_LIST_FP n_set_offset_xyz_list;
N_SET_OFFSET_LIST_FP n_set_offset_list;
N_SET_MATRIX_LIST_FP n_set_matrix_list;
N_SET_ANGLE_LIST_FP n_set_angle_list;
N_SET_SCALE_LIST_FP n_set_scale_list;
N_APPLY_MCBSP_LIST_FP n_apply_mcbsp_list;
SET_OFFSET_XYZ_LIST_FP set_offset_xyz_list;
SET_OFFSET_LIST_FP set_offset_list;
SET_MATRIX_LIST_FP set_matrix_list;
SET_ANGLE_LIST_FP set_angle_list;
SET_SCALE_LIST_FP set_scale_list;
APPLY_MCBSP_LIST_FP apply_mcbsp_list;
N_SET_MARK_SPEED_FP n_set_mark_speed;
N_SET_JUMP_SPEED_FP n_set_jump_speed;
N_SET_SKY_WRITING_PARA_LIST_FP n_set_sky_writing_para_list;
N_SET_SKY_WRITING_LIST_FP n_set_sky_writing_list;
N_SET_SKY_WRITING_LIMIT_LIST_FP n_set_sky_writing_limit_list;
N_SET_SKY_WRITING_MODE_LIST_FP n_set_sky_writing_mode_list;
N_SET_SCANNER_DELAYS_FP n_set_scanner_delays;
N_SET_JUMP_MODE_LIST_FP n_set_jump_mode_list;
N_ENDURING_WOBBEL_FP n_enduring_wobbel;
N_SET_DELAY_MODE_LIST_FP n_set_delay_mode_list;
SET_MARK_SPEED_FP set_mark_speed;
SET_JUMP_SPEED_FP set_jump_speed;
SET_SKY_WRITING_PARA_LIST_FP set_sky_writing_para_list;
SET_SKY_WRITING_LIST_FP set_sky_writing_list;
SET_SKY_WRITING_LIMIT_LIST_FP set_sky_writing_limit_list;
SET_SKY_WRITING_MODE_LIST_FP set_sky_writing_mode_list;
SET_SCANNER_DELAYS_FP set_scanner_delays;
SET_JUMP_MODE_LIST_FP set_jump_mode_list;
ENDURING_WOBBEL_FP enduring_wobbel;
SET_DELAY_MODE_LIST_FP set_delay_mode_list;
N_ACTIVATE_SCANAHEAD_AUTODELAYS_LIST_FP n_activate_scanahead_autodelays_list;
N_SET_SCANAHEAD_LASER_SHIFTS_LIST_FP n_set_scanahead_laser_shifts_list;
N_SET_SCANAHEAD_LINE_PARAMS_LIST_FP n_set_scanahead_line_params_list;
N_SET_SCANAHEAD_LINE_PARAMS_EX_LIST_FP n_set_scanahead_line_params_ex_list;
ACTIVATE_SCANAHEAD_AUTODELAYS_LIST_FP activate_scanahead_autodelays_list;
SET_SCANAHEAD_LASER_SHIFTS_LIST_FP set_scanahead_laser_shifts_list;
SET_SCANAHEAD_LINE_PARAMS_LIST_FP set_scanahead_line_params_list;
SET_SCANAHEAD_LINE_PARAMS_EX_LIST_FP set_scanahead_line_params_ex_list;
N_STEPPER_ENABLE_LIST_FP n_stepper_enable_list;
N_STEPPER_CONTROL_LIST_FP n_stepper_control_list;
N_STEPPER_ABS_NO_LIST_FP n_stepper_abs_no_list;
N_STEPPER_REL_NO_LIST_FP n_stepper_rel_no_list;
N_STEPPER_ABS_LIST_FP n_stepper_abs_list;
N_STEPPER_REL_LIST_FP n_stepper_rel_list;
N_STEPPER_WAIT_FP n_stepper_wait;
STEPPER_ENABLE_LIST_FP stepper_enable_list;
STEPPER_CONTROL_LIST_FP stepper_control_list;
STEPPER_ABS_NO_LIST_FP stepper_abs_no_list;
STEPPER_REL_NO_LIST_FP stepper_rel_no_list;
STEPPER_ABS_LIST_FP stepper_abs_list;
STEPPER_REL_LIST_FP stepper_rel_list;
STEPPER_WAIT_FP stepper_wait;
N_SET_LASER_TIMING_TABLE_FP n_set_laser_timing_table;
N_SET_DUTY_CYCLE_TABLE_FP n_set_duty_cycle_table;
N_REGULATION3_FP n_regulation3;
SET_LASER_TIMING_TABLE_FP set_laser_timing_table;
SET_DUTY_CYCLE_TABLE_FP set_duty_cycle_table;
REGULATION3_FP regulation3;


//  RTC6open
//
//  This function explicitly or dynamically links to the RTC6DLL.DLL or libslrtc6.so.
//  Call it before using any RTC6 function.
//
//      Return      Meaning
//
//       0          Success. Using of the RTC6 functions is possible.
//      -1          Error: file RTC6DLL.DLL or libslrtc6.so not found. The RTC6 functions
//                  cannot be used.
//      -2          Error: file RTC6DLL.DLL or libslrtc6.so is already loaded.
long RTC6open(void) {
    if(gLibRTC6)
        return(-2);

#ifdef _WIN32
    #if !defined(_WIN64)
    gLibRTC6 = LoadLibraryA("RTC6DLL.DLL");
    #else
    gLibRTC6 = LoadLibraryA("RTC6DLLx64.DLL");
    #endif // !defined(_WIN64)
#else
    gLibRTC6 = dlopen("libslrtc6.so",  RTLD_NOW | RTLD_LOCAL );
#endif
     if(!gLibRTC6)
         return(-1);

     // Get the addresses of the DLL-Functions
     init_rtc6_dll = (INIT_RTC6_DLL_FP) GetProcAddress(gLibRTC6,"init_rtc6_dll");
     free_rtc6_dll = (FREE_RTC6_DLL_FP) GetProcAddress(gLibRTC6,"free_rtc6_dll");
     set_rtc4_mode = (SET_RTC4_MODE_FP) GetProcAddress(gLibRTC6,"set_rtc4_mode");
     set_rtc5_mode = (SET_RTC5_MODE_FP) GetProcAddress(gLibRTC6,"set_rtc5_mode");
     set_rtc6_mode = (SET_RTC6_MODE_FP) GetProcAddress(gLibRTC6,"set_rtc6_mode");
     get_rtc_mode = (GET_RTC_MODE_FP) GetProcAddress(gLibRTC6,"get_rtc_mode");
     n_get_error = (N_GET_ERROR_FP) GetProcAddress(gLibRTC6,"n_get_error");
     n_get_last_error = (N_GET_LAST_ERROR_FP) GetProcAddress(gLibRTC6,"n_get_last_error");
     n_reset_error = (N_RESET_ERROR_FP) GetProcAddress(gLibRTC6,"n_reset_error");
     n_set_verify = (N_SET_VERIFY_FP) GetProcAddress(gLibRTC6,"n_set_verify");
     get_error = (GET_ERROR_FP) GetProcAddress(gLibRTC6,"get_error");
     get_last_error = (GET_LAST_ERROR_FP) GetProcAddress(gLibRTC6,"get_last_error");
     reset_error = (RESET_ERROR_FP) GetProcAddress(gLibRTC6,"reset_error");
     set_verify = (SET_VERIFY_FP) GetProcAddress(gLibRTC6,"set_verify");
     verify_checksum = (VERIFY_CHECKSUM_FP) GetProcAddress(gLibRTC6,"verify_checksum");
     eth_count_cards = (ETH_COUNT_CARDS_FP) GetProcAddress(gLibRTC6,"eth_count_cards");
     eth_found_cards = (ETH_FOUND_CARDS_FP) GetProcAddress(gLibRTC6,"eth_found_cards");
     eth_max_card = (ETH_MAX_CARD_FP) GetProcAddress(gLibRTC6,"eth_max_card");
     eth_remove_card = (ETH_REMOVE_CARD_FP) GetProcAddress(gLibRTC6,"eth_remove_card");
     eth_get_card_info = (ETH_GET_CARD_INFO_FP) GetProcAddress(gLibRTC6,"eth_get_card_info");
     eth_get_card_info_search = (ETH_GET_CARD_INFO_SEARCH_FP) GetProcAddress(gLibRTC6,"eth_get_card_info_search");
     eth_set_search_cards_timeout = (ETH_SET_SEARCH_CARDS_TIMEOUT_FP) GetProcAddress(gLibRTC6,"eth_set_search_cards_timeout");
     eth_search_cards = (ETH_SEARCH_CARDS_FP) GetProcAddress(gLibRTC6,"eth_search_cards");
     eth_search_cards_range = (ETH_SEARCH_CARDS_RANGE_FP) GetProcAddress(gLibRTC6,"eth_search_cards_range");
     eth_assign_card_ip = (ETH_ASSIGN_CARD_IP_FP) GetProcAddress(gLibRTC6,"eth_assign_card_ip");
     eth_assign_card = (ETH_ASSIGN_CARD_FP) GetProcAddress(gLibRTC6,"eth_assign_card");
     eth_convert_string_to_ip = (ETH_CONVERT_STRING_TO_IP_FP) GetProcAddress(gLibRTC6,"eth_convert_string_to_ip");
     eth_convert_ip_to_string = (ETH_CONVERT_IP_TO_STRING_FP) GetProcAddress(gLibRTC6,"eth_convert_ip_to_string");
     eth_get_ip = (ETH_GET_IP_FP) GetProcAddress(gLibRTC6,"eth_get_ip");
     eth_get_ip_search = (ETH_GET_IP_SEARCH_FP) GetProcAddress(gLibRTC6,"eth_get_ip_search");
     eth_get_serial_search = (ETH_GET_SERIAL_SEARCH_FP) GetProcAddress(gLibRTC6,"eth_get_serial_search");
     n_eth_get_last_error = (N_ETH_GET_LAST_ERROR_FP) GetProcAddress(gLibRTC6,"n_eth_get_last_error");
     n_eth_get_error = (N_ETH_GET_ERROR_FP) GetProcAddress(gLibRTC6,"n_eth_get_error");
     n_eth_error_dump = (N_ETH_ERROR_DUMP_FP) GetProcAddress(gLibRTC6,"n_eth_error_dump");
     n_eth_set_static_ip = (N_ETH_SET_STATIC_IP_FP) GetProcAddress(gLibRTC6,"n_eth_set_static_ip");
     n_eth_get_static_ip = (N_ETH_GET_STATIC_IP_FP) GetProcAddress(gLibRTC6,"n_eth_get_static_ip");
     n_eth_set_port_numbers = (N_ETH_SET_PORT_NUMBERS_FP) GetProcAddress(gLibRTC6,"n_eth_set_port_numbers");
     n_eth_get_port_numbers = (N_ETH_GET_PORT_NUMBERS_FP) GetProcAddress(gLibRTC6,"n_eth_get_port_numbers");
     n_eth_set_com_timeouts = (N_ETH_SET_COM_TIMEOUTS_FP) GetProcAddress(gLibRTC6,"n_eth_set_com_timeouts");
     n_eth_get_com_timeouts = (N_ETH_GET_COM_TIMEOUTS_FP) GetProcAddress(gLibRTC6,"n_eth_get_com_timeouts");
     n_eth_set_com_timeouts_auto = (N_ETH_SET_COM_TIMEOUTS_AUTO_FP) GetProcAddress(gLibRTC6,"n_eth_set_com_timeouts_auto");
     n_eth_get_com_timeouts_auto = (N_ETH_GET_COM_TIMEOUTS_AUTO_FP) GetProcAddress(gLibRTC6,"n_eth_get_com_timeouts_auto");
     n_eth_set_high_performance_mode = (N_ETH_SET_HIGH_PERFORMANCE_MODE_FP) GetProcAddress(gLibRTC6,"n_eth_set_high_performance_mode");
     n_eth_check_connection = (N_ETH_CHECK_CONNECTION_FP) GetProcAddress(gLibRTC6,"n_eth_check_connection");
     n_set_eth_boot_control = (N_SET_ETH_BOOT_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_eth_boot_control");
     n_eth_boot_timeout = (N_ETH_BOOT_TIMEOUT_FP) GetProcAddress(gLibRTC6,"n_eth_boot_timeout");
     n_eth_set_remote_tgm_format = (N_ETH_SET_REMOTE_TGM_FORMAT_FP) GetProcAddress(gLibRTC6,"n_eth_set_remote_tgm_format");
     n_eth_boot_dcmd = (N_ETH_BOOT_DCMD_FP) GetProcAddress(gLibRTC6,"n_eth_boot_dcmd");
     n_store_program = (N_STORE_PROGRAM_FP) GetProcAddress(gLibRTC6,"n_store_program");
     n_read_image_eth = (N_READ_IMAGE_ETH_FP) GetProcAddress(gLibRTC6,"n_read_image_eth");
     n_write_image_eth = (N_WRITE_IMAGE_ETH_FP) GetProcAddress(gLibRTC6,"n_write_image_eth");
     n_eth_configure_link_loss = (N_ETH_CONFIGURE_LINK_LOSS_FP) GetProcAddress(gLibRTC6,"n_eth_configure_link_loss");
     n_eth_get_standalone_status = (N_ETH_GET_STANDALONE_STATUS_FP) GetProcAddress(gLibRTC6,"n_eth_get_standalone_status");
     n_eth_config_waveform_streaming_ctrl = (N_ETH_CONFIG_WAVEFORM_STREAMING_CTRL_FP) GetProcAddress(gLibRTC6,"n_eth_config_waveform_streaming_ctrl");
     eth_get_last_error = (ETH_GET_LAST_ERROR_FP) GetProcAddress(gLibRTC6,"eth_get_last_error");
     eth_get_error = (ETH_GET_ERROR_FP) GetProcAddress(gLibRTC6,"eth_get_error");
     eth_error_dump = (ETH_ERROR_DUMP_FP) GetProcAddress(gLibRTC6,"eth_error_dump");
     eth_set_static_ip = (ETH_SET_STATIC_IP_FP) GetProcAddress(gLibRTC6,"eth_set_static_ip");
     eth_get_static_ip = (ETH_GET_STATIC_IP_FP) GetProcAddress(gLibRTC6,"eth_get_static_ip");
     eth_set_port_numbers = (ETH_SET_PORT_NUMBERS_FP) GetProcAddress(gLibRTC6,"eth_set_port_numbers");
     eth_get_port_numbers = (ETH_GET_PORT_NUMBERS_FP) GetProcAddress(gLibRTC6,"eth_get_port_numbers");
     eth_set_com_timeouts = (ETH_SET_COM_TIMEOUTS_FP) GetProcAddress(gLibRTC6,"eth_set_com_timeouts");
     eth_get_com_timeouts = (ETH_GET_COM_TIMEOUTS_FP) GetProcAddress(gLibRTC6,"eth_get_com_timeouts");
     eth_set_com_timeouts_auto = (ETH_SET_COM_TIMEOUTS_AUTO_FP) GetProcAddress(gLibRTC6,"eth_set_com_timeouts_auto");
     eth_get_com_timeouts_auto = (ETH_GET_COM_TIMEOUTS_AUTO_FP) GetProcAddress(gLibRTC6,"eth_get_com_timeouts_auto");
     eth_set_high_performance_mode = (ETH_SET_HIGH_PERFORMANCE_MODE_FP) GetProcAddress(gLibRTC6,"eth_set_high_performance_mode");
     eth_check_connection = (ETH_CHECK_CONNECTION_FP) GetProcAddress(gLibRTC6,"eth_check_connection");
     set_eth_boot_control = (SET_ETH_BOOT_CONTROL_FP) GetProcAddress(gLibRTC6,"set_eth_boot_control");
     eth_boot_timeout = (ETH_BOOT_TIMEOUT_FP) GetProcAddress(gLibRTC6,"eth_boot_timeout");
     eth_set_remote_tgm_format = (ETH_SET_REMOTE_TGM_FORMAT_FP) GetProcAddress(gLibRTC6,"eth_set_remote_tgm_format");
     eth_boot_dcmd = (ETH_BOOT_DCMD_FP) GetProcAddress(gLibRTC6,"eth_boot_dcmd");
     store_program = (STORE_PROGRAM_FP) GetProcAddress(gLibRTC6,"store_program");
     read_image_eth = (READ_IMAGE_ETH_FP) GetProcAddress(gLibRTC6,"read_image_eth");
     write_image_eth = (WRITE_IMAGE_ETH_FP) GetProcAddress(gLibRTC6,"write_image_eth");
     eth_configure_link_loss = (ETH_CONFIGURE_LINK_LOSS_FP) GetProcAddress(gLibRTC6,"eth_configure_link_loss");
     eth_get_standalone_status = (ETH_GET_STANDALONE_STATUS_FP) GetProcAddress(gLibRTC6,"eth_get_standalone_status");
     eth_config_waveform_streaming_ctrl = (ETH_CONFIG_WAVEFORM_STREAMING_CTRL_FP) GetProcAddress(gLibRTC6,"eth_config_waveform_streaming_ctrl");
     read_abc_from_file = (READ_ABC_FROM_FILE_FP) GetProcAddress(gLibRTC6,"read_abc_from_file");
     write_abc_to_file = (WRITE_ABC_TO_FILE_FP) GetProcAddress(gLibRTC6,"write_abc_to_file");
     read_abc_from_file_20b = (READ_ABC_FROM_FILE_20B_FP) GetProcAddress(gLibRTC6,"read_abc_from_file_20b");
     write_abc_to_file_20b = (WRITE_ABC_TO_FILE_20B_FP) GetProcAddress(gLibRTC6,"write_abc_to_file_20b");
     n_create_dat_file = (N_CREATE_DAT_FILE_FP) GetProcAddress(gLibRTC6,"n_create_dat_file");
     create_dat_file = (CREATE_DAT_FILE_FP) GetProcAddress(gLibRTC6,"create_dat_file");
     transform = (TRANSFORM_FP) GetProcAddress(gLibRTC6,"transform");
     rtc6_count_cards = (RTC6_COUNT_CARDS_FP) GetProcAddress(gLibRTC6,"rtc6_count_cards");
     acquire_rtc = (ACQUIRE_RTC_FP) GetProcAddress(gLibRTC6,"acquire_rtc");
     release_rtc = (RELEASE_RTC_FP) GetProcAddress(gLibRTC6,"release_rtc");
     select_rtc = (SELECT_RTC_FP) GetProcAddress(gLibRTC6,"select_rtc");
     get_dll_version = (GET_DLL_VERSION_FP) GetProcAddress(gLibRTC6,"get_dll_version");
     n_get_card_type = (N_GET_CARD_TYPE_FP) GetProcAddress(gLibRTC6,"n_get_card_type");
     n_get_serial_number = (N_GET_SERIAL_NUMBER_FP) GetProcAddress(gLibRTC6,"n_get_serial_number");
     n_get_hex_version = (N_GET_HEX_VERSION_FP) GetProcAddress(gLibRTC6,"n_get_hex_version");
     n_get_rtc_version = (N_GET_RTC_VERSION_FP) GetProcAddress(gLibRTC6,"n_get_rtc_version");
     n_get_bios_version = (N_GET_BIOS_VERSION_FP) GetProcAddress(gLibRTC6,"n_get_bios_version");
     get_card_type = (GET_CARD_TYPE_FP) GetProcAddress(gLibRTC6,"get_card_type");
     get_serial_number = (GET_SERIAL_NUMBER_FP) GetProcAddress(gLibRTC6,"get_serial_number");
     get_hex_version = (GET_HEX_VERSION_FP) GetProcAddress(gLibRTC6,"get_hex_version");
     get_rtc_version = (GET_RTC_VERSION_FP) GetProcAddress(gLibRTC6,"get_rtc_version");
     get_bios_version = (GET_BIOS_VERSION_FP) GetProcAddress(gLibRTC6,"get_bios_version");
     n_load_program_file = (N_LOAD_PROGRAM_FILE_FP) GetProcAddress(gLibRTC6,"n_load_program_file");
     n_sync_slaves = (N_SYNC_SLAVES_FP) GetProcAddress(gLibRTC6,"n_sync_slaves");
     n_get_sync_status = (N_GET_SYNC_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_sync_status");
     n_master_slave_config = (N_MASTER_SLAVE_CONFIG_FP) GetProcAddress(gLibRTC6,"n_master_slave_config");
     n_load_correction_file = (N_LOAD_CORRECTION_FILE_FP) GetProcAddress(gLibRTC6,"n_load_correction_file");
     n_load_zoom_correction_file = (N_LOAD_ZOOM_CORRECTION_FILE_FP) GetProcAddress(gLibRTC6,"n_load_zoom_correction_file");
     n_load_oct_table_no = (N_LOAD_OCT_TABLE_NO_FP) GetProcAddress(gLibRTC6,"n_load_oct_table_no");
     n_load_z_table_no = (N_LOAD_Z_TABLE_NO_FP) GetProcAddress(gLibRTC6,"n_load_z_table_no");
     n_load_z_table = (N_LOAD_Z_TABLE_FP) GetProcAddress(gLibRTC6,"n_load_z_table");
     n_select_cor_table = (N_SELECT_COR_TABLE_FP) GetProcAddress(gLibRTC6,"n_select_cor_table");
     n_set_dsp_mode = (N_SET_DSP_MODE_FP) GetProcAddress(gLibRTC6,"n_set_dsp_mode");
     n_load_stretch_table = (N_LOAD_STRETCH_TABLE_FP) GetProcAddress(gLibRTC6,"n_load_stretch_table");
     n_number_of_correction_tables = (N_NUMBER_OF_CORRECTION_TABLES_FP) GetProcAddress(gLibRTC6,"n_number_of_correction_tables");
     n_load_z_table_no_20b = (N_LOAD_Z_TABLE_NO_20B_FP) GetProcAddress(gLibRTC6,"n_load_z_table_no_20b");
     n_load_z_table_20b = (N_LOAD_Z_TABLE_20B_FP) GetProcAddress(gLibRTC6,"n_load_z_table_20b");
     n_get_head_para = (N_GET_HEAD_PARA_FP) GetProcAddress(gLibRTC6,"n_get_head_para");
     n_get_table_para = (N_GET_TABLE_PARA_FP) GetProcAddress(gLibRTC6,"n_get_table_para");
     load_program_file = (LOAD_PROGRAM_FILE_FP) GetProcAddress(gLibRTC6,"load_program_file");
     sync_slaves = (SYNC_SLAVES_FP) GetProcAddress(gLibRTC6,"sync_slaves");
     get_sync_status = (GET_SYNC_STATUS_FP) GetProcAddress(gLibRTC6,"get_sync_status");
     master_slave_config = (MASTER_SLAVE_CONFIG_FP) GetProcAddress(gLibRTC6,"master_slave_config");
     load_correction_file = (LOAD_CORRECTION_FILE_FP) GetProcAddress(gLibRTC6,"load_correction_file");
     load_zoom_correction_file = (LOAD_ZOOM_CORRECTION_FILE_FP) GetProcAddress(gLibRTC6,"load_zoom_correction_file");
     load_oct_table_no = (LOAD_OCT_TABLE_NO_FP) GetProcAddress(gLibRTC6,"load_oct_table_no");
     load_z_table_no = (LOAD_Z_TABLE_NO_FP) GetProcAddress(gLibRTC6,"load_z_table_no");
     load_z_table = (LOAD_Z_TABLE_FP) GetProcAddress(gLibRTC6,"load_z_table");
     select_cor_table = (SELECT_COR_TABLE_FP) GetProcAddress(gLibRTC6,"select_cor_table");
     set_dsp_mode = (SET_DSP_MODE_FP) GetProcAddress(gLibRTC6,"set_dsp_mode");
     load_stretch_table = (LOAD_STRETCH_TABLE_FP) GetProcAddress(gLibRTC6,"load_stretch_table");
     number_of_correction_tables = (NUMBER_OF_CORRECTION_TABLES_FP) GetProcAddress(gLibRTC6,"number_of_correction_tables");
     load_z_table_no_20b = (LOAD_Z_TABLE_NO_20B_FP) GetProcAddress(gLibRTC6,"load_z_table_no_20b");
     load_z_table_20b = (LOAD_Z_TABLE_20B_FP) GetProcAddress(gLibRTC6,"load_z_table_20b");
     get_head_para = (GET_HEAD_PARA_FP) GetProcAddress(gLibRTC6,"get_head_para");
     get_table_para = (GET_TABLE_PARA_FP) GetProcAddress(gLibRTC6,"get_table_para");
     n_config_list = (N_CONFIG_LIST_FP) GetProcAddress(gLibRTC6,"n_config_list");
     n_get_config_list = (N_GET_CONFIG_LIST_FP) GetProcAddress(gLibRTC6,"n_get_config_list");
     n_save_disk = (N_SAVE_DISK_FP) GetProcAddress(gLibRTC6,"n_save_disk");
     n_load_disk = (N_LOAD_DISK_FP) GetProcAddress(gLibRTC6,"n_load_disk");
     n_get_list_space = (N_GET_LIST_SPACE_FP) GetProcAddress(gLibRTC6,"n_get_list_space");
     config_list = (CONFIG_LIST_FP) GetProcAddress(gLibRTC6,"config_list");
     get_config_list = (GET_CONFIG_LIST_FP) GetProcAddress(gLibRTC6,"get_config_list");
     save_disk = (SAVE_DISK_FP) GetProcAddress(gLibRTC6,"save_disk");
     load_disk = (LOAD_DISK_FP) GetProcAddress(gLibRTC6,"load_disk");
     get_list_space = (GET_LIST_SPACE_FP) GetProcAddress(gLibRTC6,"get_list_space");
     n_set_start_list_pos = (N_SET_START_LIST_POS_FP) GetProcAddress(gLibRTC6,"n_set_start_list_pos");
     n_set_start_list = (N_SET_START_LIST_FP) GetProcAddress(gLibRTC6,"n_set_start_list");
     n_set_start_list_1 = (N_SET_START_LIST_1_FP) GetProcAddress(gLibRTC6,"n_set_start_list_1");
     n_set_start_list_2 = (N_SET_START_LIST_2_FP) GetProcAddress(gLibRTC6,"n_set_start_list_2");
     n_set_input_pointer = (N_SET_INPUT_POINTER_FP) GetProcAddress(gLibRTC6,"n_set_input_pointer");
     n_load_list = (N_LOAD_LIST_FP) GetProcAddress(gLibRTC6,"n_load_list");
     n_load_sub = (N_LOAD_SUB_FP) GetProcAddress(gLibRTC6,"n_load_sub");
     n_load_char = (N_LOAD_CHAR_FP) GetProcAddress(gLibRTC6,"n_load_char");
     n_load_text_table = (N_LOAD_TEXT_TABLE_FP) GetProcAddress(gLibRTC6,"n_load_text_table");
     n_get_list_pointer = (N_GET_LIST_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_list_pointer");
     n_get_input_pointer = (N_GET_INPUT_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_input_pointer");
     set_start_list_pos = (SET_START_LIST_POS_FP) GetProcAddress(gLibRTC6,"set_start_list_pos");
     set_start_list = (SET_START_LIST_FP) GetProcAddress(gLibRTC6,"set_start_list");
     set_start_list_1 = (SET_START_LIST_1_FP) GetProcAddress(gLibRTC6,"set_start_list_1");
     set_start_list_2 = (SET_START_LIST_2_FP) GetProcAddress(gLibRTC6,"set_start_list_2");
     set_input_pointer = (SET_INPUT_POINTER_FP) GetProcAddress(gLibRTC6,"set_input_pointer");
     load_list = (LOAD_LIST_FP) GetProcAddress(gLibRTC6,"load_list");
     load_sub = (LOAD_SUB_FP) GetProcAddress(gLibRTC6,"load_sub");
     load_char = (LOAD_CHAR_FP) GetProcAddress(gLibRTC6,"load_char");
     load_text_table = (LOAD_TEXT_TABLE_FP) GetProcAddress(gLibRTC6,"load_text_table");
     get_list_pointer = (GET_LIST_POINTER_FP) GetProcAddress(gLibRTC6,"get_list_pointer");
     get_input_pointer = (GET_INPUT_POINTER_FP) GetProcAddress(gLibRTC6,"get_input_pointer");
     n_execute_list_pos = (N_EXECUTE_LIST_POS_FP) GetProcAddress(gLibRTC6,"n_execute_list_pos");
     n_execute_at_pointer = (N_EXECUTE_AT_POINTER_FP) GetProcAddress(gLibRTC6,"n_execute_at_pointer");
     n_execute_list = (N_EXECUTE_LIST_FP) GetProcAddress(gLibRTC6,"n_execute_list");
     n_execute_list_1 = (N_EXECUTE_LIST_1_FP) GetProcAddress(gLibRTC6,"n_execute_list_1");
     n_execute_list_2 = (N_EXECUTE_LIST_2_FP) GetProcAddress(gLibRTC6,"n_execute_list_2");
     n_list_jump_rel_ctrl = (N_LIST_JUMP_REL_CTRL_FP) GetProcAddress(gLibRTC6,"n_list_jump_rel_ctrl");
     n_get_out_pointer = (N_GET_OUT_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_out_pointer");
     execute_list_pos = (EXECUTE_LIST_POS_FP) GetProcAddress(gLibRTC6,"execute_list_pos");
     execute_at_pointer = (EXECUTE_AT_POINTER_FP) GetProcAddress(gLibRTC6,"execute_at_pointer");
     execute_list = (EXECUTE_LIST_FP) GetProcAddress(gLibRTC6,"execute_list");
     execute_list_1 = (EXECUTE_LIST_1_FP) GetProcAddress(gLibRTC6,"execute_list_1");
     execute_list_2 = (EXECUTE_LIST_2_FP) GetProcAddress(gLibRTC6,"execute_list_2");
     list_jump_rel_ctrl = (LIST_JUMP_REL_CTRL_FP) GetProcAddress(gLibRTC6,"list_jump_rel_ctrl");
     get_out_pointer = (GET_OUT_POINTER_FP) GetProcAddress(gLibRTC6,"get_out_pointer");
     n_auto_change_pos = (N_AUTO_CHANGE_POS_FP) GetProcAddress(gLibRTC6,"n_auto_change_pos");
     n_start_loop = (N_START_LOOP_FP) GetProcAddress(gLibRTC6,"n_start_loop");
     n_quit_loop = (N_QUIT_LOOP_FP) GetProcAddress(gLibRTC6,"n_quit_loop");
     n_pause_list = (N_PAUSE_LIST_FP) GetProcAddress(gLibRTC6,"n_pause_list");
     n_restart_list = (N_RESTART_LIST_FP) GetProcAddress(gLibRTC6,"n_restart_list");
     n_release_wait = (N_RELEASE_WAIT_FP) GetProcAddress(gLibRTC6,"n_release_wait");
     n_stop_execution = (N_STOP_EXECUTION_FP) GetProcAddress(gLibRTC6,"n_stop_execution");
     n_set_pause_list_cond = (N_SET_PAUSE_LIST_COND_FP) GetProcAddress(gLibRTC6,"n_set_pause_list_cond");
     n_set_pause_list_not_cond = (N_SET_PAUSE_LIST_NOT_COND_FP) GetProcAddress(gLibRTC6,"n_set_pause_list_not_cond");
     n_auto_change = (N_AUTO_CHANGE_FP) GetProcAddress(gLibRTC6,"n_auto_change");
     n_stop_list = (N_STOP_LIST_FP) GetProcAddress(gLibRTC6,"n_stop_list");
     n_get_wait_status = (N_GET_WAIT_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_wait_status");
     n_read_status = (N_READ_STATUS_FP) GetProcAddress(gLibRTC6,"n_read_status");
     n_get_status = (N_GET_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_status");
     auto_change_pos = (AUTO_CHANGE_POS_FP) GetProcAddress(gLibRTC6,"auto_change_pos");
     start_loop = (START_LOOP_FP) GetProcAddress(gLibRTC6,"start_loop");
     quit_loop = (QUIT_LOOP_FP) GetProcAddress(gLibRTC6,"quit_loop");
     pause_list = (PAUSE_LIST_FP) GetProcAddress(gLibRTC6,"pause_list");
     restart_list = (RESTART_LIST_FP) GetProcAddress(gLibRTC6,"restart_list");
     release_wait = (RELEASE_WAIT_FP) GetProcAddress(gLibRTC6,"release_wait");
     stop_execution = (STOP_EXECUTION_FP) GetProcAddress(gLibRTC6,"stop_execution");
     set_pause_list_cond = (SET_PAUSE_LIST_COND_FP) GetProcAddress(gLibRTC6,"set_pause_list_cond");
     set_pause_list_not_cond = (SET_PAUSE_LIST_NOT_COND_FP) GetProcAddress(gLibRTC6,"set_pause_list_not_cond");
     auto_change = (AUTO_CHANGE_FP) GetProcAddress(gLibRTC6,"auto_change");
     stop_list = (STOP_LIST_FP) GetProcAddress(gLibRTC6,"stop_list");
     get_wait_status = (GET_WAIT_STATUS_FP) GetProcAddress(gLibRTC6,"get_wait_status");
     read_status = (READ_STATUS_FP) GetProcAddress(gLibRTC6,"read_status");
     get_status = (GET_STATUS_FP) GetProcAddress(gLibRTC6,"get_status");
     n_set_extstartpos = (N_SET_EXTSTARTPOS_FP) GetProcAddress(gLibRTC6,"n_set_extstartpos");
     n_set_max_counts = (N_SET_MAX_COUNTS_FP) GetProcAddress(gLibRTC6,"n_set_max_counts");
     n_set_control_mode = (N_SET_CONTROL_MODE_FP) GetProcAddress(gLibRTC6,"n_set_control_mode");
     n_simulate_ext_stop = (N_SIMULATE_EXT_STOP_FP) GetProcAddress(gLibRTC6,"n_simulate_ext_stop");
     n_simulate_ext_start_ctrl = (N_SIMULATE_EXT_START_CTRL_FP) GetProcAddress(gLibRTC6,"n_simulate_ext_start_ctrl");
     n_store_timestamp_counter = (N_STORE_TIMESTAMP_COUNTER_FP) GetProcAddress(gLibRTC6,"n_store_timestamp_counter");
     n_get_timestamp_long = (N_GET_TIMESTAMP_LONG_FP) GetProcAddress(gLibRTC6,"n_get_timestamp_long");
     n_get_counts = (N_GET_COUNTS_FP) GetProcAddress(gLibRTC6,"n_get_counts");
     n_get_startstop_info = (N_GET_STARTSTOP_INFO_FP) GetProcAddress(gLibRTC6,"n_get_startstop_info");
     set_extstartpos = (SET_EXTSTARTPOS_FP) GetProcAddress(gLibRTC6,"set_extstartpos");
     set_max_counts = (SET_MAX_COUNTS_FP) GetProcAddress(gLibRTC6,"set_max_counts");
     set_control_mode = (SET_CONTROL_MODE_FP) GetProcAddress(gLibRTC6,"set_control_mode");
     simulate_ext_stop = (SIMULATE_EXT_STOP_FP) GetProcAddress(gLibRTC6,"simulate_ext_stop");
     simulate_ext_start_ctrl = (SIMULATE_EXT_START_CTRL_FP) GetProcAddress(gLibRTC6,"simulate_ext_start_ctrl");
     store_timestamp_counter = (STORE_TIMESTAMP_COUNTER_FP) GetProcAddress(gLibRTC6,"store_timestamp_counter");
     get_timestamp_long = (GET_TIMESTAMP_LONG_FP) GetProcAddress(gLibRTC6,"get_timestamp_long");
     get_counts = (GET_COUNTS_FP) GetProcAddress(gLibRTC6,"get_counts");
     get_startstop_info = (GET_STARTSTOP_INFO_FP) GetProcAddress(gLibRTC6,"get_startstop_info");
     n_copy_dst_src = (N_COPY_DST_SRC_FP) GetProcAddress(gLibRTC6,"n_copy_dst_src");
     n_set_char_pointer = (N_SET_CHAR_POINTER_FP) GetProcAddress(gLibRTC6,"n_set_char_pointer");
     n_set_sub_pointer = (N_SET_SUB_POINTER_FP) GetProcAddress(gLibRTC6,"n_set_sub_pointer");
     n_set_text_table_pointer = (N_SET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC6,"n_set_text_table_pointer");
     n_set_char_table = (N_SET_CHAR_TABLE_FP) GetProcAddress(gLibRTC6,"n_set_char_table");
     n_get_char_pointer = (N_GET_CHAR_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_char_pointer");
     n_get_sub_pointer = (N_GET_SUB_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_sub_pointer");
     n_get_text_table_pointer = (N_GET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC6,"n_get_text_table_pointer");
     copy_dst_src = (COPY_DST_SRC_FP) GetProcAddress(gLibRTC6,"copy_dst_src");
     set_char_pointer = (SET_CHAR_POINTER_FP) GetProcAddress(gLibRTC6,"set_char_pointer");
     set_sub_pointer = (SET_SUB_POINTER_FP) GetProcAddress(gLibRTC6,"set_sub_pointer");
     set_text_table_pointer = (SET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC6,"set_text_table_pointer");
     set_char_table = (SET_CHAR_TABLE_FP) GetProcAddress(gLibRTC6,"set_char_table");
     get_char_pointer = (GET_CHAR_POINTER_FP) GetProcAddress(gLibRTC6,"get_char_pointer");
     get_sub_pointer = (GET_SUB_POINTER_FP) GetProcAddress(gLibRTC6,"get_sub_pointer");
     get_text_table_pointer = (GET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC6,"get_text_table_pointer");
     n_time_update = (N_TIME_UPDATE_FP) GetProcAddress(gLibRTC6,"n_time_update");
     n_time_control_eth = (N_TIME_CONTROL_ETH_FP) GetProcAddress(gLibRTC6,"n_time_control_eth");
     n_set_serial_step = (N_SET_SERIAL_STEP_FP) GetProcAddress(gLibRTC6,"n_set_serial_step");
     n_select_serial_set = (N_SELECT_SERIAL_SET_FP) GetProcAddress(gLibRTC6,"n_select_serial_set");
     n_set_serial = (N_SET_SERIAL_FP) GetProcAddress(gLibRTC6,"n_set_serial");
     n_get_serial = (N_GET_SERIAL_FP) GetProcAddress(gLibRTC6,"n_get_serial");
     n_get_list_serial = (N_GET_LIST_SERIAL_FP) GetProcAddress(gLibRTC6,"n_get_list_serial");
     time_update = (TIME_UPDATE_FP) GetProcAddress(gLibRTC6,"time_update");
     time_control_eth = (TIME_CONTROL_ETH_FP) GetProcAddress(gLibRTC6,"time_control_eth");
     set_serial_step = (SET_SERIAL_STEP_FP) GetProcAddress(gLibRTC6,"set_serial_step");
     select_serial_set = (SELECT_SERIAL_SET_FP) GetProcAddress(gLibRTC6,"select_serial_set");
     set_serial = (SET_SERIAL_FP) GetProcAddress(gLibRTC6,"set_serial");
     get_serial = (GET_SERIAL_FP) GetProcAddress(gLibRTC6,"get_serial");
     get_list_serial = (GET_LIST_SERIAL_FP) GetProcAddress(gLibRTC6,"get_list_serial");
     n_write_io_port_mask = (N_WRITE_IO_PORT_MASK_FP) GetProcAddress(gLibRTC6,"n_write_io_port_mask");
     n_write_8bit_port = (N_WRITE_8BIT_PORT_FP) GetProcAddress(gLibRTC6,"n_write_8bit_port");
     n_read_io_port = (N_READ_IO_PORT_FP) GetProcAddress(gLibRTC6,"n_read_io_port");
     n_read_io_port_buffer = (N_READ_IO_PORT_BUFFER_FP) GetProcAddress(gLibRTC6,"n_read_io_port_buffer");
     n_get_io_status = (N_GET_IO_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_io_status");
     n_read_analog_in = (N_READ_ANALOG_IN_FP) GetProcAddress(gLibRTC6,"n_read_analog_in");
     n_write_da_x = (N_WRITE_DA_X_FP) GetProcAddress(gLibRTC6,"n_write_da_x");
     n_set_laser_off_default = (N_SET_LASER_OFF_DEFAULT_FP) GetProcAddress(gLibRTC6,"n_set_laser_off_default");
     n_set_port_default = (N_SET_PORT_DEFAULT_FP) GetProcAddress(gLibRTC6,"n_set_port_default");
     n_write_io_port = (N_WRITE_IO_PORT_FP) GetProcAddress(gLibRTC6,"n_write_io_port");
     n_write_da_1 = (N_WRITE_DA_1_FP) GetProcAddress(gLibRTC6,"n_write_da_1");
     n_write_da_2 = (N_WRITE_DA_2_FP) GetProcAddress(gLibRTC6,"n_write_da_2");
     write_io_port_mask = (WRITE_IO_PORT_MASK_FP) GetProcAddress(gLibRTC6,"write_io_port_mask");
     write_8bit_port = (WRITE_8BIT_PORT_FP) GetProcAddress(gLibRTC6,"write_8bit_port");
     read_io_port = (READ_IO_PORT_FP) GetProcAddress(gLibRTC6,"read_io_port");
     read_io_port_buffer = (READ_IO_PORT_BUFFER_FP) GetProcAddress(gLibRTC6,"read_io_port_buffer");
     get_io_status = (GET_IO_STATUS_FP) GetProcAddress(gLibRTC6,"get_io_status");
     read_analog_in = (READ_ANALOG_IN_FP) GetProcAddress(gLibRTC6,"read_analog_in");
     write_da_x = (WRITE_DA_X_FP) GetProcAddress(gLibRTC6,"write_da_x");
     set_laser_off_default = (SET_LASER_OFF_DEFAULT_FP) GetProcAddress(gLibRTC6,"set_laser_off_default");
     set_port_default = (SET_PORT_DEFAULT_FP) GetProcAddress(gLibRTC6,"set_port_default");
     write_io_port = (WRITE_IO_PORT_FP) GetProcAddress(gLibRTC6,"write_io_port");
     write_da_1 = (WRITE_DA_1_FP) GetProcAddress(gLibRTC6,"write_da_1");
     write_da_2 = (WRITE_DA_2_FP) GetProcAddress(gLibRTC6,"write_da_2");
     n_disable_laser = (N_DISABLE_LASER_FP) GetProcAddress(gLibRTC6,"n_disable_laser");
     n_enable_laser = (N_ENABLE_LASER_FP) GetProcAddress(gLibRTC6,"n_enable_laser");
     n_laser_signal_on = (N_LASER_SIGNAL_ON_FP) GetProcAddress(gLibRTC6,"n_laser_signal_on");
     n_laser_signal_off = (N_LASER_SIGNAL_OFF_FP) GetProcAddress(gLibRTC6,"n_laser_signal_off");
     n_set_standby = (N_SET_STANDBY_FP) GetProcAddress(gLibRTC6,"n_set_standby");
     n_set_laser_pulses_ctrl = (N_SET_LASER_PULSES_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_laser_pulses_ctrl");
     n_set_firstpulse_killer = (N_SET_FIRSTPULSE_KILLER_FP) GetProcAddress(gLibRTC6,"n_set_firstpulse_killer");
     n_set_qswitch_delay = (N_SET_QSWITCH_DELAY_FP) GetProcAddress(gLibRTC6,"n_set_qswitch_delay");
     n_set_laser_mode = (N_SET_LASER_MODE_FP) GetProcAddress(gLibRTC6,"n_set_laser_mode");
     n_set_laser_control = (N_SET_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_laser_control");
     n_set_laser_pin_out = (N_SET_LASER_PIN_OUT_FP) GetProcAddress(gLibRTC6,"n_set_laser_pin_out");
     n_get_laser_pin_in = (N_GET_LASER_PIN_IN_FP) GetProcAddress(gLibRTC6,"n_get_laser_pin_in");
     n_set_softstart_level = (N_SET_SOFTSTART_LEVEL_FP) GetProcAddress(gLibRTC6,"n_set_softstart_level");
     n_set_softstart_mode = (N_SET_SOFTSTART_MODE_FP) GetProcAddress(gLibRTC6,"n_set_softstart_mode");
     n_set_auto_laser_control = (N_SET_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_auto_laser_control");
     n_set_auto_laser_params = (N_SET_AUTO_LASER_PARAMS_FP) GetProcAddress(gLibRTC6,"n_set_auto_laser_params");
     n_load_auto_laser_control = (N_LOAD_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"n_load_auto_laser_control");
     n_load_position_control = (N_LOAD_POSITION_CONTROL_FP) GetProcAddress(gLibRTC6,"n_load_position_control");
     n_set_default_pixel = (N_SET_DEFAULT_PIXEL_FP) GetProcAddress(gLibRTC6,"n_set_default_pixel");
     n_get_standby = (N_GET_STANDBY_FP) GetProcAddress(gLibRTC6,"n_get_standby");
     n_set_pulse_picking = (N_SET_PULSE_PICKING_FP) GetProcAddress(gLibRTC6,"n_set_pulse_picking");
     n_set_pulse_picking_length = (N_SET_PULSE_PICKING_LENGTH_FP) GetProcAddress(gLibRTC6,"n_set_pulse_picking_length");
     n_config_laser_signals = (N_CONFIG_LASER_SIGNALS_FP) GetProcAddress(gLibRTC6,"n_config_laser_signals");
     n_spot_distance_ctrl = (N_SPOT_DISTANCE_CTRL_FP) GetProcAddress(gLibRTC6,"n_spot_distance_ctrl");
     n_set_laser_pulse_form = (N_SET_LASER_PULSE_FORM_FP) GetProcAddress(gLibRTC6,"n_set_laser_pulse_form");
     n_set_laser_pulse_sync = (N_SET_LASER_PULSE_SYNC_FP) GetProcAddress(gLibRTC6,"n_set_laser_pulse_sync");
     n_set_controlpreview_compensation_ctrl = (N_SET_CONTROLPREVIEW_COMPENSATION_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_controlpreview_compensation_ctrl");
     disable_laser = (DISABLE_LASER_FP) GetProcAddress(gLibRTC6,"disable_laser");
     enable_laser = (ENABLE_LASER_FP) GetProcAddress(gLibRTC6,"enable_laser");
     laser_signal_on = (LASER_SIGNAL_ON_FP) GetProcAddress(gLibRTC6,"laser_signal_on");
     laser_signal_off = (LASER_SIGNAL_OFF_FP) GetProcAddress(gLibRTC6,"laser_signal_off");
     set_standby = (SET_STANDBY_FP) GetProcAddress(gLibRTC6,"set_standby");
     set_laser_pulses_ctrl = (SET_LASER_PULSES_CTRL_FP) GetProcAddress(gLibRTC6,"set_laser_pulses_ctrl");
     set_firstpulse_killer = (SET_FIRSTPULSE_KILLER_FP) GetProcAddress(gLibRTC6,"set_firstpulse_killer");
     set_qswitch_delay = (SET_QSWITCH_DELAY_FP) GetProcAddress(gLibRTC6,"set_qswitch_delay");
     set_laser_mode = (SET_LASER_MODE_FP) GetProcAddress(gLibRTC6,"set_laser_mode");
     set_laser_control = (SET_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"set_laser_control");
     set_laser_pin_out = (SET_LASER_PIN_OUT_FP) GetProcAddress(gLibRTC6,"set_laser_pin_out");
     get_laser_pin_in = (GET_LASER_PIN_IN_FP) GetProcAddress(gLibRTC6,"get_laser_pin_in");
     set_softstart_level = (SET_SOFTSTART_LEVEL_FP) GetProcAddress(gLibRTC6,"set_softstart_level");
     set_softstart_mode = (SET_SOFTSTART_MODE_FP) GetProcAddress(gLibRTC6,"set_softstart_mode");
     set_auto_laser_control = (SET_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"set_auto_laser_control");
     set_auto_laser_params = (SET_AUTO_LASER_PARAMS_FP) GetProcAddress(gLibRTC6,"set_auto_laser_params");
     load_auto_laser_control = (LOAD_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC6,"load_auto_laser_control");
     load_position_control = (LOAD_POSITION_CONTROL_FP) GetProcAddress(gLibRTC6,"load_position_control");
     set_default_pixel = (SET_DEFAULT_PIXEL_FP) GetProcAddress(gLibRTC6,"set_default_pixel");
     get_standby = (GET_STANDBY_FP) GetProcAddress(gLibRTC6,"get_standby");
     set_pulse_picking = (SET_PULSE_PICKING_FP) GetProcAddress(gLibRTC6,"set_pulse_picking");
     set_pulse_picking_length = (SET_PULSE_PICKING_LENGTH_FP) GetProcAddress(gLibRTC6,"set_pulse_picking_length");
     config_laser_signals = (CONFIG_LASER_SIGNALS_FP) GetProcAddress(gLibRTC6,"config_laser_signals");
     spot_distance_ctrl = (SPOT_DISTANCE_CTRL_FP) GetProcAddress(gLibRTC6,"spot_distance_ctrl");
     set_laser_pulse_form = (SET_LASER_PULSE_FORM_FP) GetProcAddress(gLibRTC6,"set_laser_pulse_form");
     set_laser_pulse_sync = (SET_LASER_PULSE_SYNC_FP) GetProcAddress(gLibRTC6,"set_laser_pulse_sync");
     set_controlpreview_compensation_ctrl = (SET_CONTROLPREVIEW_COMPENSATION_CTRL_FP) GetProcAddress(gLibRTC6,"set_controlpreview_compensation_ctrl");
     n_set_ext_start_delay = (N_SET_EXT_START_DELAY_FP) GetProcAddress(gLibRTC6,"n_set_ext_start_delay");
     n_set_rot_center = (N_SET_ROT_CENTER_FP) GetProcAddress(gLibRTC6,"n_set_rot_center");
     n_simulate_encoder = (N_SIMULATE_ENCODER_FP) GetProcAddress(gLibRTC6,"n_simulate_encoder");
     n_get_marking_info = (N_GET_MARKING_INFO_FP) GetProcAddress(gLibRTC6,"n_get_marking_info");
     n_set_encoder_speed_ctrl = (N_SET_ENCODER_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_encoder_speed_ctrl");
     n_set_mcbsp_x = (N_SET_MCBSP_X_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_x");
     n_set_mcbsp_y = (N_SET_MCBSP_Y_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_y");
     n_set_mcbsp_rot = (N_SET_MCBSP_ROT_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_rot");
     n_set_mcbsp_matrix = (N_SET_MCBSP_MATRIX_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_matrix");
     n_set_mcbsp_global_x = (N_SET_MCBSP_GLOBAL_X_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_x");
     n_set_mcbsp_global_y = (N_SET_MCBSP_GLOBAL_Y_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_y");
     n_set_mcbsp_global_rot = (N_SET_MCBSP_GLOBAL_ROT_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_rot");
     n_set_mcbsp_global_matrix = (N_SET_MCBSP_GLOBAL_MATRIX_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_matrix");
     n_set_mcbsp_in = (N_SET_MCBSP_IN_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_in");
     n_set_multi_mcbsp_in = (N_SET_MULTI_MCBSP_IN_FP) GetProcAddress(gLibRTC6,"n_set_multi_mcbsp_in");
     n_set_fly_tracking_error = (N_SET_FLY_TRACKING_ERROR_FP) GetProcAddress(gLibRTC6,"n_set_fly_tracking_error");
     n_load_fly_2d_table = (N_LOAD_FLY_2D_TABLE_FP) GetProcAddress(gLibRTC6,"n_load_fly_2d_table");
     n_init_fly_2d = (N_INIT_FLY_2D_FP) GetProcAddress(gLibRTC6,"n_init_fly_2d");
     n_get_fly_2d_offset = (N_GET_FLY_2D_OFFSET_FP) GetProcAddress(gLibRTC6,"n_get_fly_2d_offset");
     n_get_encoder = (N_GET_ENCODER_FP) GetProcAddress(gLibRTC6,"n_get_encoder");
     n_read_encoder = (N_READ_ENCODER_FP) GetProcAddress(gLibRTC6,"n_read_encoder");
     n_get_mcbsp = (N_GET_MCBSP_FP) GetProcAddress(gLibRTC6,"n_get_mcbsp");
     n_read_mcbsp = (N_READ_MCBSP_FP) GetProcAddress(gLibRTC6,"n_read_mcbsp");
     n_read_multi_mcbsp = (N_READ_MULTI_MCBSP_FP) GetProcAddress(gLibRTC6,"n_read_multi_mcbsp");
     n_clear_fly_overflow_ctrl = (N_CLEAR_FLY_OVERFLOW_CTRL_FP) GetProcAddress(gLibRTC6,"n_clear_fly_overflow_ctrl");
     n_set_encoder_filter_ctrl = (N_SET_ENCODER_FILTER_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_encoder_filter_ctrl");
     set_ext_start_delay = (SET_EXT_START_DELAY_FP) GetProcAddress(gLibRTC6,"set_ext_start_delay");
     set_rot_center = (SET_ROT_CENTER_FP) GetProcAddress(gLibRTC6,"set_rot_center");
     simulate_encoder = (SIMULATE_ENCODER_FP) GetProcAddress(gLibRTC6,"simulate_encoder");
     get_marking_info = (GET_MARKING_INFO_FP) GetProcAddress(gLibRTC6,"get_marking_info");
     set_encoder_speed_ctrl = (SET_ENCODER_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"set_encoder_speed_ctrl");
     set_mcbsp_x = (SET_MCBSP_X_FP) GetProcAddress(gLibRTC6,"set_mcbsp_x");
     set_mcbsp_y = (SET_MCBSP_Y_FP) GetProcAddress(gLibRTC6,"set_mcbsp_y");
     set_mcbsp_rot = (SET_MCBSP_ROT_FP) GetProcAddress(gLibRTC6,"set_mcbsp_rot");
     set_mcbsp_matrix = (SET_MCBSP_MATRIX_FP) GetProcAddress(gLibRTC6,"set_mcbsp_matrix");
     set_mcbsp_global_x = (SET_MCBSP_GLOBAL_X_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_x");
     set_mcbsp_global_y = (SET_MCBSP_GLOBAL_Y_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_y");
     set_mcbsp_global_rot = (SET_MCBSP_GLOBAL_ROT_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_rot");
     set_mcbsp_global_matrix = (SET_MCBSP_GLOBAL_MATRIX_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_matrix");
     set_mcbsp_in = (SET_MCBSP_IN_FP) GetProcAddress(gLibRTC6,"set_mcbsp_in");
     set_multi_mcbsp_in = (SET_MULTI_MCBSP_IN_FP) GetProcAddress(gLibRTC6,"set_multi_mcbsp_in");
     set_fly_tracking_error = (SET_FLY_TRACKING_ERROR_FP) GetProcAddress(gLibRTC6,"set_fly_tracking_error");
     load_fly_2d_table = (LOAD_FLY_2D_TABLE_FP) GetProcAddress(gLibRTC6,"load_fly_2d_table");
     init_fly_2d = (INIT_FLY_2D_FP) GetProcAddress(gLibRTC6,"init_fly_2d");
     get_fly_2d_offset = (GET_FLY_2D_OFFSET_FP) GetProcAddress(gLibRTC6,"get_fly_2d_offset");
     get_encoder = (GET_ENCODER_FP) GetProcAddress(gLibRTC6,"get_encoder");
     read_encoder = (READ_ENCODER_FP) GetProcAddress(gLibRTC6,"read_encoder");
     get_mcbsp = (GET_MCBSP_FP) GetProcAddress(gLibRTC6,"get_mcbsp");
     read_mcbsp = (READ_MCBSP_FP) GetProcAddress(gLibRTC6,"read_mcbsp");
     read_multi_mcbsp = (READ_MULTI_MCBSP_FP) GetProcAddress(gLibRTC6,"read_multi_mcbsp");
     clear_fly_overflow_ctrl = (CLEAR_FLY_OVERFLOW_CTRL_FP) GetProcAddress(gLibRTC6,"clear_fly_overflow_ctrl");
     set_encoder_filter_ctrl = (SET_ENCODER_FILTER_CTRL_FP) GetProcAddress(gLibRTC6,"set_encoder_filter_ctrl");
     n_get_time = (N_GET_TIME_FP) GetProcAddress(gLibRTC6,"n_get_time");
     n_get_lap_time = (N_GET_LAP_TIME_FP) GetProcAddress(gLibRTC6,"n_get_lap_time");
     n_measurement_status = (N_MEASUREMENT_STATUS_FP) GetProcAddress(gLibRTC6,"n_measurement_status");
     n_get_waveform_offset = (N_GET_WAVEFORM_OFFSET_FP) GetProcAddress(gLibRTC6,"n_get_waveform_offset");
     n_get_waveform = (N_GET_WAVEFORM_FP) GetProcAddress(gLibRTC6,"n_get_waveform");
     n_bounce_supp = (N_BOUNCE_SUPP_FP) GetProcAddress(gLibRTC6,"n_bounce_supp");
     n_home_position_4 = (N_HOME_POSITION_4_FP) GetProcAddress(gLibRTC6,"n_home_position_4");
     n_get_home_position_4 = (N_GET_HOME_POSITION_4_FP) GetProcAddress(gLibRTC6,"n_get_home_position_4");
     n_set_home_4_return_time = (N_SET_HOME_4_RETURN_TIME_FP) GetProcAddress(gLibRTC6,"n_set_home_4_return_time");
     n_get_home_4_return_time = (N_GET_HOME_4_RETURN_TIME_FP) GetProcAddress(gLibRTC6,"n_get_home_4_return_time");
     n_home_position_xyz = (N_HOME_POSITION_XYZ_FP) GetProcAddress(gLibRTC6,"n_home_position_xyz");
     n_home_position = (N_HOME_POSITION_FP) GetProcAddress(gLibRTC6,"n_home_position");
     n_uart_config = (N_UART_CONFIG_FP) GetProcAddress(gLibRTC6,"n_uart_config");
     n_rs232_config = (N_RS232_CONFIG_FP) GetProcAddress(gLibRTC6,"n_rs232_config");
     n_rs232_write_data = (N_RS232_WRITE_DATA_FP) GetProcAddress(gLibRTC6,"n_rs232_write_data");
     n_rs232_write_text = (N_RS232_WRITE_TEXT_FP) GetProcAddress(gLibRTC6,"n_rs232_write_text");
     n_rs232_read_data = (N_RS232_READ_DATA_FP) GetProcAddress(gLibRTC6,"n_rs232_read_data");
     n_set_mcbsp_freq = (N_SET_MCBSP_FREQ_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_freq");
     n_mcbsp_init = (N_MCBSP_INIT_FP) GetProcAddress(gLibRTC6,"n_mcbsp_init");
     n_mcbsp_init_spi = (N_MCBSP_INIT_SPI_FP) GetProcAddress(gLibRTC6,"n_mcbsp_init_spi");
     n_get_overrun = (N_GET_OVERRUN_FP) GetProcAddress(gLibRTC6,"n_get_overrun");
     n_get_master_slave = (N_GET_MASTER_SLAVE_FP) GetProcAddress(gLibRTC6,"n_get_master_slave");
     n_get_transform = (N_GET_TRANSFORM_FP) GetProcAddress(gLibRTC6,"n_get_transform");
     n_get_transform_offset = (N_GET_TRANSFORM_OFFSET_FP) GetProcAddress(gLibRTC6,"n_get_transform_offset");
     n_stop_trigger = (N_STOP_TRIGGER_FP) GetProcAddress(gLibRTC6,"n_stop_trigger");
     n_move_to = (N_MOVE_TO_FP) GetProcAddress(gLibRTC6,"n_move_to");
     n_set_enduring_wobbel = (N_SET_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC6,"n_set_enduring_wobbel");
     n_set_enduring_wobbel_2 = (N_SET_ENDURING_WOBBEL_2_FP) GetProcAddress(gLibRTC6,"n_set_enduring_wobbel_2");
     n_set_free_variable = (N_SET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC6,"n_set_free_variable");
     n_get_free_variable = (N_GET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC6,"n_get_free_variable");
     n_set_mcbsp_out_ptr = (N_SET_MCBSP_OUT_PTR_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_out_ptr");
     n_set_mcbsp_out_oie_ctrl = (N_SET_MCBSP_OUT_OIE_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_out_oie_ctrl");
     n_periodic_toggle = (N_PERIODIC_TOGGLE_FP) GetProcAddress(gLibRTC6,"n_periodic_toggle");
     n_multi_axis_config = (N_MULTI_AXIS_CONFIG_FP) GetProcAddress(gLibRTC6,"n_multi_axis_config");
     n_quad_axis_init = (N_QUAD_AXIS_INIT_FP) GetProcAddress(gLibRTC6,"n_quad_axis_init");
     n_quad_axis_get_status = (N_QUAD_AXIS_GET_STATUS_FP) GetProcAddress(gLibRTC6,"n_quad_axis_get_status");
     n_quad_axis_get_values = (N_QUAD_AXIS_GET_VALUES_FP) GetProcAddress(gLibRTC6,"n_quad_axis_get_values");
     n_get_temperature = (N_GET_TEMPERATURE_FP) GetProcAddress(gLibRTC6,"n_get_temperature");
     get_time = (GET_TIME_FP) GetProcAddress(gLibRTC6,"get_time");
     get_lap_time = (GET_LAP_TIME_FP) GetProcAddress(gLibRTC6,"get_lap_time");
     measurement_status = (MEASUREMENT_STATUS_FP) GetProcAddress(gLibRTC6,"measurement_status");
     get_waveform_offset = (GET_WAVEFORM_OFFSET_FP) GetProcAddress(gLibRTC6,"get_waveform_offset");
     get_waveform = (GET_WAVEFORM_FP) GetProcAddress(gLibRTC6,"get_waveform");
     bounce_supp = (BOUNCE_SUPP_FP) GetProcAddress(gLibRTC6,"bounce_supp");
     home_position_4 = (HOME_POSITION_4_FP) GetProcAddress(gLibRTC6,"home_position_4");
     get_home_position_4 = (GET_HOME_POSITION_4_FP) GetProcAddress(gLibRTC6,"get_home_position_4");
     set_home_4_return_time = (SET_HOME_4_RETURN_TIME_FP) GetProcAddress(gLibRTC6,"set_home_4_return_time");
     get_home_4_return_time = (GET_HOME_4_RETURN_TIME_FP) GetProcAddress(gLibRTC6,"get_home_4_return_time");
     home_position_xyz = (HOME_POSITION_XYZ_FP) GetProcAddress(gLibRTC6,"home_position_xyz");
     home_position = (HOME_POSITION_FP) GetProcAddress(gLibRTC6,"home_position");
     uart_config = (UART_CONFIG_FP) GetProcAddress(gLibRTC6,"uart_config");
     rs232_config = (RS232_CONFIG_FP) GetProcAddress(gLibRTC6,"rs232_config");
     rs232_write_data = (RS232_WRITE_DATA_FP) GetProcAddress(gLibRTC6,"rs232_write_data");
     rs232_write_text = (RS232_WRITE_TEXT_FP) GetProcAddress(gLibRTC6,"rs232_write_text");
     rs232_read_data = (RS232_READ_DATA_FP) GetProcAddress(gLibRTC6,"rs232_read_data");
     set_mcbsp_freq = (SET_MCBSP_FREQ_FP) GetProcAddress(gLibRTC6,"set_mcbsp_freq");
     mcbsp_init = (MCBSP_INIT_FP) GetProcAddress(gLibRTC6,"mcbsp_init");
     mcbsp_init_spi = (MCBSP_INIT_SPI_FP) GetProcAddress(gLibRTC6,"mcbsp_init_spi");
     get_overrun = (GET_OVERRUN_FP) GetProcAddress(gLibRTC6,"get_overrun");
     get_master_slave = (GET_MASTER_SLAVE_FP) GetProcAddress(gLibRTC6,"get_master_slave");
     get_transform = (GET_TRANSFORM_FP) GetProcAddress(gLibRTC6,"get_transform");
     get_transform_offset = (GET_TRANSFORM_OFFSET_FP) GetProcAddress(gLibRTC6,"get_transform_offset");
     stop_trigger = (STOP_TRIGGER_FP) GetProcAddress(gLibRTC6,"stop_trigger");
     move_to = (MOVE_TO_FP) GetProcAddress(gLibRTC6,"move_to");
     set_enduring_wobbel = (SET_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC6,"set_enduring_wobbel");
     set_enduring_wobbel_2 = (SET_ENDURING_WOBBEL_2_FP) GetProcAddress(gLibRTC6,"set_enduring_wobbel_2");
     set_free_variable = (SET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC6,"set_free_variable");
     get_free_variable = (GET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC6,"get_free_variable");
     set_mcbsp_out_ptr = (SET_MCBSP_OUT_PTR_FP) GetProcAddress(gLibRTC6,"set_mcbsp_out_ptr");
     set_mcbsp_out_oie_ctrl = (SET_MCBSP_OUT_OIE_CTRL_FP) GetProcAddress(gLibRTC6,"set_mcbsp_out_oie_ctrl");
     periodic_toggle = (PERIODIC_TOGGLE_FP) GetProcAddress(gLibRTC6,"periodic_toggle");
     multi_axis_config = (MULTI_AXIS_CONFIG_FP) GetProcAddress(gLibRTC6,"multi_axis_config");
     quad_axis_init = (QUAD_AXIS_INIT_FP) GetProcAddress(gLibRTC6,"quad_axis_init");
     quad_axis_get_status = (QUAD_AXIS_GET_STATUS_FP) GetProcAddress(gLibRTC6,"quad_axis_get_status");
     quad_axis_get_values = (QUAD_AXIS_GET_VALUES_FP) GetProcAddress(gLibRTC6,"quad_axis_get_values");
     get_temperature = (GET_TEMPERATURE_FP) GetProcAddress(gLibRTC6,"get_temperature");
     n_set_defocus = (N_SET_DEFOCUS_FP) GetProcAddress(gLibRTC6,"n_set_defocus");
     n_set_defocus_offset = (N_SET_DEFOCUS_OFFSET_FP) GetProcAddress(gLibRTC6,"n_set_defocus_offset");
     n_goto_xyz = (N_GOTO_XYZ_FP) GetProcAddress(gLibRTC6,"n_goto_xyz");
     n_set_zoom = (N_SET_ZOOM_FP) GetProcAddress(gLibRTC6,"n_set_zoom");
     n_goto_xy = (N_GOTO_XY_FP) GetProcAddress(gLibRTC6,"n_goto_xy");
     n_get_z_distance = (N_GET_Z_DISTANCE_FP) GetProcAddress(gLibRTC6,"n_get_z_distance");
     set_defocus = (SET_DEFOCUS_FP) GetProcAddress(gLibRTC6,"set_defocus");
     set_defocus_offset = (SET_DEFOCUS_OFFSET_FP) GetProcAddress(gLibRTC6,"set_defocus_offset");
     goto_xyz = (GOTO_XYZ_FP) GetProcAddress(gLibRTC6,"goto_xyz");
     goto_xy = (GOTO_XY_FP) GetProcAddress(gLibRTC6,"goto_xy");
     set_zoom = (SET_ZOOM_FP) GetProcAddress(gLibRTC6,"set_zoom");
     get_z_distance = (GET_Z_DISTANCE_FP) GetProcAddress(gLibRTC6,"get_z_distance");
     n_set_offset_xyz = (N_SET_OFFSET_XYZ_FP) GetProcAddress(gLibRTC6,"n_set_offset_xyz");
     n_set_offset = (N_SET_OFFSET_FP) GetProcAddress(gLibRTC6,"n_set_offset");
     n_set_matrix = (N_SET_MATRIX_FP) GetProcAddress(gLibRTC6,"n_set_matrix");
     n_set_angle = (N_SET_ANGLE_FP) GetProcAddress(gLibRTC6,"n_set_angle");
     n_set_scale = (N_SET_SCALE_FP) GetProcAddress(gLibRTC6,"n_set_scale");
     n_apply_mcbsp = (N_APPLY_MCBSP_FP) GetProcAddress(gLibRTC6,"n_apply_mcbsp");
     n_upload_transform = (N_UPLOAD_TRANSFORM_FP) GetProcAddress(gLibRTC6,"n_upload_transform");
     set_offset_xyz = (SET_OFFSET_XYZ_FP) GetProcAddress(gLibRTC6,"set_offset_xyz");
     set_offset = (SET_OFFSET_FP) GetProcAddress(gLibRTC6,"set_offset");
     set_matrix = (SET_MATRIX_FP) GetProcAddress(gLibRTC6,"set_matrix");
     set_angle = (SET_ANGLE_FP) GetProcAddress(gLibRTC6,"set_angle");
     set_scale = (SET_SCALE_FP) GetProcAddress(gLibRTC6,"set_scale");
     apply_mcbsp = (APPLY_MCBSP_FP) GetProcAddress(gLibRTC6,"apply_mcbsp");
     upload_transform = (UPLOAD_TRANSFORM_FP) GetProcAddress(gLibRTC6,"upload_transform");
     n_set_delay_mode = (N_SET_DELAY_MODE_FP) GetProcAddress(gLibRTC6,"n_set_delay_mode");
     n_set_jump_speed_ctrl = (N_SET_JUMP_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_jump_speed_ctrl");
     n_set_mark_speed_ctrl = (N_SET_MARK_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"n_set_mark_speed_ctrl");
     n_set_sky_writing_para = (N_SET_SKY_WRITING_PARA_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_para");
     n_set_sky_writing_limit = (N_SET_SKY_WRITING_LIMIT_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_limit");
     n_set_sky_writing_mode = (N_SET_SKY_WRITING_MODE_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_mode");
     n_load_varpolydelay = (N_LOAD_VARPOLYDELAY_FP) GetProcAddress(gLibRTC6,"n_load_varpolydelay");
     n_set_hi = (N_SET_HI_FP) GetProcAddress(gLibRTC6,"n_set_hi");
     n_get_hi_pos = (N_GET_HI_POS_FP) GetProcAddress(gLibRTC6,"n_get_hi_pos");
     n_auto_cal = (N_AUTO_CAL_FP) GetProcAddress(gLibRTC6,"n_auto_cal");
     n_get_auto_cal = (N_GET_AUTO_CAL_FP) GetProcAddress(gLibRTC6,"n_get_auto_cal");
     n_write_hi_pos = (N_WRITE_HI_POS_FP) GetProcAddress(gLibRTC6,"n_write_hi_pos");
     n_set_timelag_compensation = (N_SET_TIMELAG_COMPENSATION_FP) GetProcAddress(gLibRTC6,"n_set_timelag_compensation");
     n_set_sky_writing = (N_SET_SKY_WRITING_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing");
     n_get_hi_data = (N_GET_HI_DATA_FP) GetProcAddress(gLibRTC6,"n_get_hi_data");
     set_delay_mode = (SET_DELAY_MODE_FP) GetProcAddress(gLibRTC6,"set_delay_mode");
     set_jump_speed_ctrl = (SET_JUMP_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"set_jump_speed_ctrl");
     set_mark_speed_ctrl = (SET_MARK_SPEED_CTRL_FP) GetProcAddress(gLibRTC6,"set_mark_speed_ctrl");
     set_sky_writing_para = (SET_SKY_WRITING_PARA_FP) GetProcAddress(gLibRTC6,"set_sky_writing_para");
     set_sky_writing_limit = (SET_SKY_WRITING_LIMIT_FP) GetProcAddress(gLibRTC6,"set_sky_writing_limit");
     set_sky_writing_mode = (SET_SKY_WRITING_MODE_FP) GetProcAddress(gLibRTC6,"set_sky_writing_mode");
     load_varpolydelay = (LOAD_VARPOLYDELAY_FP) GetProcAddress(gLibRTC6,"load_varpolydelay");
     set_hi = (SET_HI_FP) GetProcAddress(gLibRTC6,"set_hi");
     get_hi_pos = (GET_HI_POS_FP) GetProcAddress(gLibRTC6,"get_hi_pos");
     auto_cal = (AUTO_CAL_FP) GetProcAddress(gLibRTC6,"auto_cal");
     get_auto_cal = (GET_AUTO_CAL_FP) GetProcAddress(gLibRTC6,"get_auto_cal");
     write_hi_pos = (WRITE_HI_POS_FP) GetProcAddress(gLibRTC6,"write_hi_pos");
     set_timelag_compensation = (SET_TIMELAG_COMPENSATION_FP) GetProcAddress(gLibRTC6,"set_timelag_compensation");
     set_sky_writing = (SET_SKY_WRITING_FP) GetProcAddress(gLibRTC6,"set_sky_writing");
     get_hi_data = (GET_HI_DATA_FP) GetProcAddress(gLibRTC6,"get_hi_data");
     n_send_user_data = (N_SEND_USER_DATA_FP) GetProcAddress(gLibRTC6,"n_send_user_data");
     n_read_user_data = (N_READ_USER_DATA_FP) GetProcAddress(gLibRTC6,"n_read_user_data");
     n_control_command = (N_CONTROL_COMMAND_FP) GetProcAddress(gLibRTC6,"n_control_command");
     n_get_value = (N_GET_VALUE_FP) GetProcAddress(gLibRTC6,"n_get_value");
     n_get_values = (N_GET_VALUES_FP) GetProcAddress(gLibRTC6,"n_get_values");
     n_get_galvo_controls = (N_GET_GALVO_CONTROLS_FP) GetProcAddress(gLibRTC6,"n_get_galvo_controls");
     n_get_head_status = (N_GET_HEAD_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_head_status");
     n_set_jump_mode = (N_SET_JUMP_MODE_FP) GetProcAddress(gLibRTC6,"n_set_jump_mode");
     n_load_jump_table_offset = (N_LOAD_JUMP_TABLE_OFFSET_FP) GetProcAddress(gLibRTC6,"n_load_jump_table_offset");
     n_get_jump_table = (N_GET_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"n_get_jump_table");
     n_set_jump_table = (N_SET_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"n_set_jump_table");
     n_load_jump_table = (N_LOAD_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"n_load_jump_table");
     send_user_data = (SEND_USER_DATA_FP) GetProcAddress(gLibRTC6,"send_user_data");
     read_user_data = (READ_USER_DATA_FP) GetProcAddress(gLibRTC6,"read_user_data");
     control_command = (CONTROL_COMMAND_FP) GetProcAddress(gLibRTC6,"control_command");
     get_value = (GET_VALUE_FP) GetProcAddress(gLibRTC6,"get_value");
     get_values = (GET_VALUES_FP) GetProcAddress(gLibRTC6,"get_values");
     get_galvo_controls = (GET_GALVO_CONTROLS_FP) GetProcAddress(gLibRTC6,"get_galvo_controls");
     get_head_status = (GET_HEAD_STATUS_FP) GetProcAddress(gLibRTC6,"get_head_status");
     set_jump_mode = (SET_JUMP_MODE_FP) GetProcAddress(gLibRTC6,"set_jump_mode");
     load_jump_table_offset = (LOAD_JUMP_TABLE_OFFSET_FP) GetProcAddress(gLibRTC6,"load_jump_table_offset");
     get_jump_table = (GET_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"get_jump_table");
     set_jump_table = (SET_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"set_jump_table");
     load_jump_table = (LOAD_JUMP_TABLE_FP) GetProcAddress(gLibRTC6,"load_jump_table");
     n_get_scanahead_params = (N_GET_SCANAHEAD_PARAMS_FP) GetProcAddress(gLibRTC6,"n_get_scanahead_params");
     n_activate_scanahead_autodelays = (N_ACTIVATE_SCANAHEAD_AUTODELAYS_FP) GetProcAddress(gLibRTC6,"n_activate_scanahead_autodelays");
     n_set_scanahead_laser_shifts = (N_SET_SCANAHEAD_LASER_SHIFTS_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_laser_shifts");
     n_set_scanahead_line_params = (N_SET_SCANAHEAD_LINE_PARAMS_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_line_params");
     n_set_scanahead_line_params_ex = (N_SET_SCANAHEAD_LINE_PARAMS_EX_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_line_params_ex");
     n_set_scanahead_params = (N_SET_SCANAHEAD_PARAMS_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_params");
     n_set_scanahead_speed_control = (N_SET_SCANAHEAD_SPEED_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_speed_control");
     get_scanahead_params = (GET_SCANAHEAD_PARAMS_FP) GetProcAddress(gLibRTC6,"get_scanahead_params");
     activate_scanahead_autodelays = (ACTIVATE_SCANAHEAD_AUTODELAYS_FP) GetProcAddress(gLibRTC6,"activate_scanahead_autodelays");
     set_scanahead_laser_shifts = (SET_SCANAHEAD_LASER_SHIFTS_FP) GetProcAddress(gLibRTC6,"set_scanahead_laser_shifts");
     set_scanahead_line_params = (SET_SCANAHEAD_LINE_PARAMS_FP) GetProcAddress(gLibRTC6,"set_scanahead_line_params");
     set_scanahead_line_params_ex = (SET_SCANAHEAD_LINE_PARAMS_EX_FP) GetProcAddress(gLibRTC6,"set_scanahead_line_params_ex");
     set_scanahead_params = (SET_SCANAHEAD_PARAMS_FP) GetProcAddress(gLibRTC6,"set_scanahead_params");
     set_scanahead_speed_control = (SET_SCANAHEAD_SPEED_CONTROL_FP) GetProcAddress(gLibRTC6,"set_scanahead_speed_control");
     n_stepper_init = (N_STEPPER_INIT_FP) GetProcAddress(gLibRTC6,"n_stepper_init");
     n_stepper_enable = (N_STEPPER_ENABLE_FP) GetProcAddress(gLibRTC6,"n_stepper_enable");
     n_stepper_disable_switch = (N_STEPPER_DISABLE_SWITCH_FP) GetProcAddress(gLibRTC6,"n_stepper_disable_switch");
     n_stepper_control = (N_STEPPER_CONTROL_FP) GetProcAddress(gLibRTC6,"n_stepper_control");
     n_stepper_abs_no = (N_STEPPER_ABS_NO_FP) GetProcAddress(gLibRTC6,"n_stepper_abs_no");
     n_stepper_rel_no = (N_STEPPER_REL_NO_FP) GetProcAddress(gLibRTC6,"n_stepper_rel_no");
     n_stepper_abs = (N_STEPPER_ABS_FP) GetProcAddress(gLibRTC6,"n_stepper_abs");
     n_stepper_rel = (N_STEPPER_REL_FP) GetProcAddress(gLibRTC6,"n_stepper_rel");
     n_get_stepper_status = (N_GET_STEPPER_STATUS_FP) GetProcAddress(gLibRTC6,"n_get_stepper_status");
     stepper_init = (STEPPER_INIT_FP) GetProcAddress(gLibRTC6,"stepper_init");
     stepper_enable = (STEPPER_ENABLE_FP) GetProcAddress(gLibRTC6,"stepper_enable");
     stepper_disable_switch = (STEPPER_DISABLE_SWITCH_FP) GetProcAddress(gLibRTC6,"stepper_disable_switch");
     stepper_control = (STEPPER_CONTROL_FP) GetProcAddress(gLibRTC6,"stepper_control");
     stepper_abs_no = (STEPPER_ABS_NO_FP) GetProcAddress(gLibRTC6,"stepper_abs_no");
     stepper_rel_no = (STEPPER_REL_NO_FP) GetProcAddress(gLibRTC6,"stepper_rel_no");
     stepper_abs = (STEPPER_ABS_FP) GetProcAddress(gLibRTC6,"stepper_abs");
     stepper_rel = (STEPPER_REL_FP) GetProcAddress(gLibRTC6,"stepper_rel");
     get_stepper_status = (GET_STEPPER_STATUS_FP) GetProcAddress(gLibRTC6,"get_stepper_status");
     n_select_cor_table_list = (N_SELECT_COR_TABLE_LIST_FP) GetProcAddress(gLibRTC6,"n_select_cor_table_list");
     select_cor_table_list = (SELECT_COR_TABLE_LIST_FP) GetProcAddress(gLibRTC6,"select_cor_table_list");
     n_list_nop = (N_LIST_NOP_FP) GetProcAddress(gLibRTC6,"n_list_nop");
     n_list_continue = (N_LIST_CONTINUE_FP) GetProcAddress(gLibRTC6,"n_list_continue");
     n_list_next = (N_LIST_NEXT_FP) GetProcAddress(gLibRTC6,"n_list_next");
     n_long_delay = (N_LONG_DELAY_FP) GetProcAddress(gLibRTC6,"n_long_delay");
     n_set_end_of_list = (N_SET_END_OF_LIST_FP) GetProcAddress(gLibRTC6,"n_set_end_of_list");
     n_set_wait = (N_SET_WAIT_FP) GetProcAddress(gLibRTC6,"n_set_wait");
     n_list_jump_pos = (N_LIST_JUMP_POS_FP) GetProcAddress(gLibRTC6,"n_list_jump_pos");
     n_list_jump_rel = (N_LIST_JUMP_REL_FP) GetProcAddress(gLibRTC6,"n_list_jump_rel");
     n_list_repeat = (N_LIST_REPEAT_FP) GetProcAddress(gLibRTC6,"n_list_repeat");
     n_list_until = (N_LIST_UNTIL_FP) GetProcAddress(gLibRTC6,"n_list_until");
     n_range_checking = (N_RANGE_CHECKING_FP) GetProcAddress(gLibRTC6,"n_range_checking");
     n_store_timestamp_counter_list = (N_STORE_TIMESTAMP_COUNTER_LIST_FP) GetProcAddress(gLibRTC6,"n_store_timestamp_counter_list");
     n_wait_for_timestamp_counter = (N_WAIT_FOR_TIMESTAMP_COUNTER_FP) GetProcAddress(gLibRTC6,"n_wait_for_timestamp_counter");
     n_wait_for_timestamp_counter_mode = (N_WAIT_FOR_TIMESTAMP_COUNTER_MODE_FP) GetProcAddress(gLibRTC6,"n_wait_for_timestamp_counter_mode");
     n_set_list_jump = (N_SET_LIST_JUMP_FP) GetProcAddress(gLibRTC6,"n_set_list_jump");
     n_wait_for_timestamp_counter_long = (N_WAIT_FOR_TIMESTAMP_COUNTER_LONG_FP) GetProcAddress(gLibRTC6,"n_wait_for_timestamp_counter_long");
     list_nop = (LIST_NOP_FP) GetProcAddress(gLibRTC6,"list_nop");
     list_continue = (LIST_CONTINUE_FP) GetProcAddress(gLibRTC6,"list_continue");
     list_next = (LIST_NEXT_FP) GetProcAddress(gLibRTC6,"list_next");
     long_delay = (LONG_DELAY_FP) GetProcAddress(gLibRTC6,"long_delay");
     set_end_of_list = (SET_END_OF_LIST_FP) GetProcAddress(gLibRTC6,"set_end_of_list");
     set_wait = (SET_WAIT_FP) GetProcAddress(gLibRTC6,"set_wait");
     list_jump_pos = (LIST_JUMP_POS_FP) GetProcAddress(gLibRTC6,"list_jump_pos");
     list_jump_rel = (LIST_JUMP_REL_FP) GetProcAddress(gLibRTC6,"list_jump_rel");
     list_repeat = (LIST_REPEAT_FP) GetProcAddress(gLibRTC6,"list_repeat");
     list_until = (LIST_UNTIL_FP) GetProcAddress(gLibRTC6,"list_until");
     range_checking = (RANGE_CHECKING_FP) GetProcAddress(gLibRTC6,"range_checking");
     store_timestamp_counter_list = (STORE_TIMESTAMP_COUNTER_LIST_FP) GetProcAddress(gLibRTC6,"store_timestamp_counter_list");
     wait_for_timestamp_counter = (WAIT_FOR_TIMESTAMP_COUNTER_FP) GetProcAddress(gLibRTC6,"wait_for_timestamp_counter");
     wait_for_timestamp_counter_mode = (WAIT_FOR_TIMESTAMP_COUNTER_MODE_FP) GetProcAddress(gLibRTC6,"wait_for_timestamp_counter_mode");
     wait_for_timestamp_counter_long = (WAIT_FOR_TIMESTAMP_COUNTER_LONG_FP) GetProcAddress(gLibRTC6,"wait_for_timestamp_counter_long");
     set_list_jump = (SET_LIST_JUMP_FP) GetProcAddress(gLibRTC6,"set_list_jump");
     n_set_extstartpos_list = (N_SET_EXTSTARTPOS_LIST_FP) GetProcAddress(gLibRTC6,"n_set_extstartpos_list");
     n_set_control_mode_list = (N_SET_CONTROL_MODE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_control_mode_list");
     n_simulate_ext_start = (N_SIMULATE_EXT_START_FP) GetProcAddress(gLibRTC6,"n_simulate_ext_start");
     set_extstartpos_list = (SET_EXTSTARTPOS_LIST_FP) GetProcAddress(gLibRTC6,"set_extstartpos_list");
     set_control_mode_list = (SET_CONTROL_MODE_LIST_FP) GetProcAddress(gLibRTC6,"set_control_mode_list");
     simulate_ext_start = (SIMULATE_EXT_START_FP) GetProcAddress(gLibRTC6,"simulate_ext_start");
     n_list_return = (N_LIST_RETURN_FP) GetProcAddress(gLibRTC6,"n_list_return");
     n_list_call_repeat = (N_LIST_CALL_REPEAT_FP) GetProcAddress(gLibRTC6,"n_list_call_repeat");
     n_list_call_abs_repeat = (N_LIST_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC6,"n_list_call_abs_repeat");
     n_list_call = (N_LIST_CALL_FP) GetProcAddress(gLibRTC6,"n_list_call");
     n_list_call_abs = (N_LIST_CALL_ABS_FP) GetProcAddress(gLibRTC6,"n_list_call_abs");
     n_sub_call_repeat = (N_SUB_CALL_REPEAT_FP) GetProcAddress(gLibRTC6,"n_sub_call_repeat");
     n_sub_call_abs_repeat = (N_SUB_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC6,"n_sub_call_abs_repeat");
     n_sub_call = (N_SUB_CALL_FP) GetProcAddress(gLibRTC6,"n_sub_call");
     n_sub_call_abs = (N_SUB_CALL_ABS_FP) GetProcAddress(gLibRTC6,"n_sub_call_abs");
     list_return = (LIST_RETURN_FP) GetProcAddress(gLibRTC6,"list_return");
     list_call_repeat = (LIST_CALL_REPEAT_FP) GetProcAddress(gLibRTC6,"list_call_repeat");
     list_call_abs_repeat = (LIST_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC6,"list_call_abs_repeat");
     list_call = (LIST_CALL_FP) GetProcAddress(gLibRTC6,"list_call");
     list_call_abs = (LIST_CALL_ABS_FP) GetProcAddress(gLibRTC6,"list_call_abs");
     sub_call_repeat = (SUB_CALL_REPEAT_FP) GetProcAddress(gLibRTC6,"sub_call_repeat");
     sub_call_abs_repeat = (SUB_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC6,"sub_call_abs_repeat");
     sub_call = (SUB_CALL_FP) GetProcAddress(gLibRTC6,"sub_call");
     sub_call_abs = (SUB_CALL_ABS_FP) GetProcAddress(gLibRTC6,"sub_call_abs");
     n_list_call_cond = (N_LIST_CALL_COND_FP) GetProcAddress(gLibRTC6,"n_list_call_cond");
     n_list_call_abs_cond = (N_LIST_CALL_ABS_COND_FP) GetProcAddress(gLibRTC6,"n_list_call_abs_cond");
     n_sub_call_cond = (N_SUB_CALL_COND_FP) GetProcAddress(gLibRTC6,"n_sub_call_cond");
     n_sub_call_abs_cond = (N_SUB_CALL_ABS_COND_FP) GetProcAddress(gLibRTC6,"n_sub_call_abs_cond");
     n_list_jump_pos_cond = (N_LIST_JUMP_POS_COND_FP) GetProcAddress(gLibRTC6,"n_list_jump_pos_cond");
     n_list_jump_rel_cond = (N_LIST_JUMP_REL_COND_FP) GetProcAddress(gLibRTC6,"n_list_jump_rel_cond");
     n_if_cond = (N_IF_COND_FP) GetProcAddress(gLibRTC6,"n_if_cond");
     n_if_not_cond = (N_IF_NOT_COND_FP) GetProcAddress(gLibRTC6,"n_if_not_cond");
     n_if_pin_cond = (N_IF_PIN_COND_FP) GetProcAddress(gLibRTC6,"n_if_pin_cond");
     n_if_not_pin_cond = (N_IF_NOT_PIN_COND_FP) GetProcAddress(gLibRTC6,"n_if_not_pin_cond");
     n_switch_ioport = (N_SWITCH_IOPORT_FP) GetProcAddress(gLibRTC6,"n_switch_ioport");
     n_list_jump_cond = (N_LIST_JUMP_COND_FP) GetProcAddress(gLibRTC6,"n_list_jump_cond");
     list_call_cond = (LIST_CALL_COND_FP) GetProcAddress(gLibRTC6,"list_call_cond");
     list_call_abs_cond = (LIST_CALL_ABS_COND_FP) GetProcAddress(gLibRTC6,"list_call_abs_cond");
     sub_call_cond = (SUB_CALL_COND_FP) GetProcAddress(gLibRTC6,"sub_call_cond");
     sub_call_abs_cond = (SUB_CALL_ABS_COND_FP) GetProcAddress(gLibRTC6,"sub_call_abs_cond");
     list_jump_pos_cond = (LIST_JUMP_POS_COND_FP) GetProcAddress(gLibRTC6,"list_jump_pos_cond");
     list_jump_rel_cond = (LIST_JUMP_REL_COND_FP) GetProcAddress(gLibRTC6,"list_jump_rel_cond");
     if_cond = (IF_COND_FP) GetProcAddress(gLibRTC6,"if_cond");
     if_not_cond = (IF_NOT_COND_FP) GetProcAddress(gLibRTC6,"if_not_cond");
     if_pin_cond = (IF_PIN_COND_FP) GetProcAddress(gLibRTC6,"if_pin_cond");
     if_not_pin_cond = (IF_NOT_PIN_COND_FP) GetProcAddress(gLibRTC6,"if_not_pin_cond");
     switch_ioport = (SWITCH_IOPORT_FP) GetProcAddress(gLibRTC6,"switch_ioport");
     list_jump_cond = (LIST_JUMP_COND_FP) GetProcAddress(gLibRTC6,"list_jump_cond");
     n_select_char_set = (N_SELECT_CHAR_SET_FP) GetProcAddress(gLibRTC6,"n_select_char_set");
     n_mark_text = (N_MARK_TEXT_FP) GetProcAddress(gLibRTC6,"n_mark_text");
     n_mark_text_abs = (N_MARK_TEXT_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_text_abs");
     n_mark_char = (N_MARK_CHAR_FP) GetProcAddress(gLibRTC6,"n_mark_char");
     n_mark_char_abs = (N_MARK_CHAR_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_char_abs");
     select_char_set = (SELECT_CHAR_SET_FP) GetProcAddress(gLibRTC6,"select_char_set");
     mark_text = (MARK_TEXT_FP) GetProcAddress(gLibRTC6,"mark_text");
     mark_text_abs = (MARK_TEXT_ABS_FP) GetProcAddress(gLibRTC6,"mark_text_abs");
     mark_char = (MARK_CHAR_FP) GetProcAddress(gLibRTC6,"mark_char");
     mark_char_abs = (MARK_CHAR_ABS_FP) GetProcAddress(gLibRTC6,"mark_char_abs");
     n_mark_serial = (N_MARK_SERIAL_FP) GetProcAddress(gLibRTC6,"n_mark_serial");
     n_mark_serial_abs = (N_MARK_SERIAL_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_serial_abs");
     n_mark_date = (N_MARK_DATE_FP) GetProcAddress(gLibRTC6,"n_mark_date");
     n_mark_date_abs = (N_MARK_DATE_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_date_abs");
     n_mark_time = (N_MARK_TIME_FP) GetProcAddress(gLibRTC6,"n_mark_time");
     n_mark_time_abs = (N_MARK_TIME_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_time_abs");
     n_select_serial_set_list = (N_SELECT_SERIAL_SET_LIST_FP) GetProcAddress(gLibRTC6,"n_select_serial_set_list");
     n_set_serial_step_list = (N_SET_SERIAL_STEP_LIST_FP) GetProcAddress(gLibRTC6,"n_set_serial_step_list");
     n_time_fix_f_off = (N_TIME_FIX_F_OFF_FP) GetProcAddress(gLibRTC6,"n_time_fix_f_off");
     n_time_fix_f = (N_TIME_FIX_F_FP) GetProcAddress(gLibRTC6,"n_time_fix_f");
     n_time_fix = (N_TIME_FIX_FP) GetProcAddress(gLibRTC6,"n_time_fix");
     mark_serial = (MARK_SERIAL_FP) GetProcAddress(gLibRTC6,"mark_serial");
     mark_serial_abs = (MARK_SERIAL_ABS_FP) GetProcAddress(gLibRTC6,"mark_serial_abs");
     mark_date = (MARK_DATE_FP) GetProcAddress(gLibRTC6,"mark_date");
     mark_date_abs = (MARK_DATE_ABS_FP) GetProcAddress(gLibRTC6,"mark_date_abs");
     mark_time = (MARK_TIME_FP) GetProcAddress(gLibRTC6,"mark_time");
     mark_time_abs = (MARK_TIME_ABS_FP) GetProcAddress(gLibRTC6,"mark_time_abs");
     time_fix_f_off = (TIME_FIX_F_OFF_FP) GetProcAddress(gLibRTC6,"time_fix_f_off");
     select_serial_set_list = (SELECT_SERIAL_SET_LIST_FP) GetProcAddress(gLibRTC6,"select_serial_set_list");
     set_serial_step_list = (SET_SERIAL_STEP_LIST_FP) GetProcAddress(gLibRTC6,"set_serial_step_list");
     time_fix_f = (TIME_FIX_F_FP) GetProcAddress(gLibRTC6,"time_fix_f");
     time_fix = (TIME_FIX_FP) GetProcAddress(gLibRTC6,"time_fix");
     n_clear_io_cond_list = (N_CLEAR_IO_COND_LIST_FP) GetProcAddress(gLibRTC6,"n_clear_io_cond_list");
     n_set_io_cond_list = (N_SET_IO_COND_LIST_FP) GetProcAddress(gLibRTC6,"n_set_io_cond_list");
     n_write_io_port_mask_list = (N_WRITE_IO_PORT_MASK_LIST_FP) GetProcAddress(gLibRTC6,"n_write_io_port_mask_list");
     n_write_8bit_port_list = (N_WRITE_8BIT_PORT_LIST_FP) GetProcAddress(gLibRTC6,"n_write_8bit_port_list");
     n_read_io_port_list = (N_READ_IO_PORT_LIST_FP) GetProcAddress(gLibRTC6,"n_read_io_port_list");
     n_write_da_x_list = (N_WRITE_DA_X_LIST_FP) GetProcAddress(gLibRTC6,"n_write_da_x_list");
     n_write_io_port_list = (N_WRITE_IO_PORT_LIST_FP) GetProcAddress(gLibRTC6,"n_write_io_port_list");
     n_write_da_1_list = (N_WRITE_DA_1_LIST_FP) GetProcAddress(gLibRTC6,"n_write_da_1_list");
     n_write_da_2_list = (N_WRITE_DA_2_LIST_FP) GetProcAddress(gLibRTC6,"n_write_da_2_list");
     n_write_port_list = (N_WRITE_PORT_LIST_FP) GetProcAddress(gLibRTC6,"n_write_port_list");
     clear_io_cond_list = (CLEAR_IO_COND_LIST_FP) GetProcAddress(gLibRTC6,"clear_io_cond_list");
     set_io_cond_list = (SET_IO_COND_LIST_FP) GetProcAddress(gLibRTC6,"set_io_cond_list");
     write_io_port_mask_list = (WRITE_IO_PORT_MASK_LIST_FP) GetProcAddress(gLibRTC6,"write_io_port_mask_list");
     write_8bit_port_list = (WRITE_8BIT_PORT_LIST_FP) GetProcAddress(gLibRTC6,"write_8bit_port_list");
     read_io_port_list = (READ_IO_PORT_LIST_FP) GetProcAddress(gLibRTC6,"read_io_port_list");
     write_da_x_list = (WRITE_DA_X_LIST_FP) GetProcAddress(gLibRTC6,"write_da_x_list");
     write_io_port_list = (WRITE_IO_PORT_LIST_FP) GetProcAddress(gLibRTC6,"write_io_port_list");
     write_da_1_list = (WRITE_DA_1_LIST_FP) GetProcAddress(gLibRTC6,"write_da_1_list");
     write_da_2_list = (WRITE_DA_2_LIST_FP) GetProcAddress(gLibRTC6,"write_da_2_list");
     write_port_list = (WRITE_PORT_LIST_FP) GetProcAddress(gLibRTC6,"write_port_list");
     n_laser_signal_on_list = (N_LASER_SIGNAL_ON_LIST_FP) GetProcAddress(gLibRTC6,"n_laser_signal_on_list");
     n_laser_signal_off_list = (N_LASER_SIGNAL_OFF_LIST_FP) GetProcAddress(gLibRTC6,"n_laser_signal_off_list");
     n_para_laser_on_pulses_list = (N_PARA_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC6,"n_para_laser_on_pulses_list");
     n_laser_on_pulses_list = (N_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC6,"n_laser_on_pulses_list");
     n_laser_on_list = (N_LASER_ON_LIST_FP) GetProcAddress(gLibRTC6,"n_laser_on_list");
     n_set_laser_delays = (N_SET_LASER_DELAYS_FP) GetProcAddress(gLibRTC6,"n_set_laser_delays");
     n_set_standby_list = (N_SET_STANDBY_LIST_FP) GetProcAddress(gLibRTC6,"n_set_standby_list");
     n_set_laser_pulses = (N_SET_LASER_PULSES_FP) GetProcAddress(gLibRTC6,"n_set_laser_pulses");
     n_set_firstpulse_killer_list = (N_SET_FIRSTPULSE_KILLER_LIST_FP) GetProcAddress(gLibRTC6,"n_set_firstpulse_killer_list");
     n_set_qswitch_delay_list = (N_SET_QSWITCH_DELAY_LIST_FP) GetProcAddress(gLibRTC6,"n_set_qswitch_delay_list");
     n_set_laser_pin_out_list = (N_SET_LASER_PIN_OUT_LIST_FP) GetProcAddress(gLibRTC6,"n_set_laser_pin_out_list");
     n_set_vector_control = (N_SET_VECTOR_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_vector_control");
     n_set_default_pixel_list = (N_SET_DEFAULT_PIXEL_LIST_FP) GetProcAddress(gLibRTC6,"n_set_default_pixel_list");
     n_set_auto_laser_params_list = (N_SET_AUTO_LASER_PARAMS_LIST_FP) GetProcAddress(gLibRTC6,"n_set_auto_laser_params_list");
     n_set_pulse_picking_list = (N_SET_PULSE_PICKING_LIST_FP) GetProcAddress(gLibRTC6,"n_set_pulse_picking_list");
     n_set_softstart_level_list = (N_SET_SOFTSTART_LEVEL_LIST_FP) GetProcAddress(gLibRTC6,"n_set_softstart_level_list");
     n_set_softstart_mode_list = (N_SET_SOFTSTART_MODE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_softstart_mode_list");
     n_config_laser_signals_list = (N_CONFIG_LASER_SIGNALS_LIST_FP) GetProcAddress(gLibRTC6,"n_config_laser_signals_list");
     n_set_laser_power = (N_SET_LASER_POWER_FP) GetProcAddress(gLibRTC6,"n_set_laser_power");
     n_set_port_default_list = (N_SET_PORT_DEFAULT_LIST_FP) GetProcAddress(gLibRTC6,"n_set_port_default_list");
     n_spot_distance = (N_SPOT_DISTANCE_FP) GetProcAddress(gLibRTC6,"n_spot_distance");
     n_set_laser_timing = (N_SET_LASER_TIMING_FP) GetProcAddress(gLibRTC6,"n_set_laser_timing");
     laser_signal_on_list = (LASER_SIGNAL_ON_LIST_FP) GetProcAddress(gLibRTC6,"laser_signal_on_list");
     laser_signal_off_list = (LASER_SIGNAL_OFF_LIST_FP) GetProcAddress(gLibRTC6,"laser_signal_off_list");
     para_laser_on_pulses_list = (PARA_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC6,"para_laser_on_pulses_list");
     laser_on_pulses_list = (LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC6,"laser_on_pulses_list");
     laser_on_list = (LASER_ON_LIST_FP) GetProcAddress(gLibRTC6,"laser_on_list");
     set_laser_delays = (SET_LASER_DELAYS_FP) GetProcAddress(gLibRTC6,"set_laser_delays");
     set_standby_list = (SET_STANDBY_LIST_FP) GetProcAddress(gLibRTC6,"set_standby_list");
     set_laser_pulses = (SET_LASER_PULSES_FP) GetProcAddress(gLibRTC6,"set_laser_pulses");
     set_firstpulse_killer_list = (SET_FIRSTPULSE_KILLER_LIST_FP) GetProcAddress(gLibRTC6,"set_firstpulse_killer_list");
     set_qswitch_delay_list = (SET_QSWITCH_DELAY_LIST_FP) GetProcAddress(gLibRTC6,"set_qswitch_delay_list");
     set_laser_pin_out_list = (SET_LASER_PIN_OUT_LIST_FP) GetProcAddress(gLibRTC6,"set_laser_pin_out_list");
     set_vector_control = (SET_VECTOR_CONTROL_FP) GetProcAddress(gLibRTC6,"set_vector_control");
     set_default_pixel_list = (SET_DEFAULT_PIXEL_LIST_FP) GetProcAddress(gLibRTC6,"set_default_pixel_list");
     set_auto_laser_params_list = (SET_AUTO_LASER_PARAMS_LIST_FP) GetProcAddress(gLibRTC6,"set_auto_laser_params_list");
     set_pulse_picking_list = (SET_PULSE_PICKING_LIST_FP) GetProcAddress(gLibRTC6,"set_pulse_picking_list");
     set_softstart_level_list = (SET_SOFTSTART_LEVEL_LIST_FP) GetProcAddress(gLibRTC6,"set_softstart_level_list");
     set_softstart_mode_list = (SET_SOFTSTART_MODE_LIST_FP) GetProcAddress(gLibRTC6,"set_softstart_mode_list");
     config_laser_signals_list = (CONFIG_LASER_SIGNALS_LIST_FP) GetProcAddress(gLibRTC6,"config_laser_signals_list");
     set_laser_power = (SET_LASER_POWER_FP) GetProcAddress(gLibRTC6,"set_laser_power");
     set_port_default_list = (SET_PORT_DEFAULT_LIST_FP) GetProcAddress(gLibRTC6,"set_port_default_list");
     spot_distance = (SPOT_DISTANCE_FP) GetProcAddress(gLibRTC6,"spot_distance");
     set_laser_timing = (SET_LASER_TIMING_FP) GetProcAddress(gLibRTC6,"set_laser_timing");
     n_fly_return_z = (N_FLY_RETURN_Z_FP) GetProcAddress(gLibRTC6,"n_fly_return_z");
     n_fly_return = (N_FLY_RETURN_FP) GetProcAddress(gLibRTC6,"n_fly_return");
     n_set_rot_center_list = (N_SET_ROT_CENTER_LIST_FP) GetProcAddress(gLibRTC6,"n_set_rot_center_list");
     n_set_ext_start_delay_list = (N_SET_EXT_START_DELAY_LIST_FP) GetProcAddress(gLibRTC6,"n_set_ext_start_delay_list");
     n_set_fly_x = (N_SET_FLY_X_FP) GetProcAddress(gLibRTC6,"n_set_fly_x");
     n_set_fly_y = (N_SET_FLY_Y_FP) GetProcAddress(gLibRTC6,"n_set_fly_y");
     n_set_fly_z = (N_SET_FLY_Z_FP) GetProcAddress(gLibRTC6,"n_set_fly_z");
     n_set_fly_rot = (N_SET_FLY_ROT_FP) GetProcAddress(gLibRTC6,"n_set_fly_rot");
     n_set_fly_2d = (N_SET_FLY_2D_FP) GetProcAddress(gLibRTC6,"n_set_fly_2d");
     n_set_fly_x_pos = (N_SET_FLY_X_POS_FP) GetProcAddress(gLibRTC6,"n_set_fly_x_pos");
     n_set_fly_y_pos = (N_SET_FLY_Y_POS_FP) GetProcAddress(gLibRTC6,"n_set_fly_y_pos");
     n_set_fly_rot_pos = (N_SET_FLY_ROT_POS_FP) GetProcAddress(gLibRTC6,"n_set_fly_rot_pos");
     n_set_fly_limits = (N_SET_FLY_LIMITS_FP) GetProcAddress(gLibRTC6,"n_set_fly_limits");
     n_set_fly_limits_z = (N_SET_FLY_LIMITS_Z_FP) GetProcAddress(gLibRTC6,"n_set_fly_limits_z");
     n_if_fly_x_overflow = (N_IF_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_fly_x_overflow");
     n_if_fly_y_overflow = (N_IF_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_fly_y_overflow");
     n_if_fly_z_overflow = (N_IF_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_fly_z_overflow");
     n_if_not_fly_x_overflow = (N_IF_NOT_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_not_fly_x_overflow");
     n_if_not_fly_y_overflow = (N_IF_NOT_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_not_fly_y_overflow");
     n_if_not_fly_z_overflow = (N_IF_NOT_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_if_not_fly_z_overflow");
     n_clear_fly_overflow = (N_CLEAR_FLY_OVERFLOW_FP) GetProcAddress(gLibRTC6,"n_clear_fly_overflow");
     n_set_mcbsp_x_list = (N_SET_MCBSP_X_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_x_list");
     n_set_mcbsp_y_list = (N_SET_MCBSP_Y_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_y_list");
     n_set_mcbsp_rot_list = (N_SET_MCBSP_ROT_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_rot_list");
     n_set_mcbsp_matrix_list = (N_SET_MCBSP_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_matrix_list");
     n_set_mcbsp_global_x_list = (N_SET_MCBSP_GLOBAL_X_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_x_list");
     n_set_mcbsp_global_y_list = (N_SET_MCBSP_GLOBAL_Y_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_y_list");
     n_set_mcbsp_global_rot_list = (N_SET_MCBSP_GLOBAL_ROT_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_rot_list");
     n_set_mcbsp_global_matrix_list = (N_SET_MCBSP_GLOBAL_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_global_matrix_list");
     n_set_mcbsp_in_list = (N_SET_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_in_list");
     n_set_multi_mcbsp_in_list = (N_SET_MULTI_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC6,"n_set_multi_mcbsp_in_list");
     n_wait_for_encoder_mode = (N_WAIT_FOR_ENCODER_MODE_FP) GetProcAddress(gLibRTC6,"n_wait_for_encoder_mode");
     n_wait_for_mcbsp = (N_WAIT_FOR_MCBSP_FP) GetProcAddress(gLibRTC6,"n_wait_for_mcbsp");
     n_set_encoder_speed = (N_SET_ENCODER_SPEED_FP) GetProcAddress(gLibRTC6,"n_set_encoder_speed");
     n_get_mcbsp_list = (N_GET_MCBSP_LIST_FP) GetProcAddress(gLibRTC6,"n_get_mcbsp_list");
     n_store_encoder = (N_STORE_ENCODER_FP) GetProcAddress(gLibRTC6,"n_store_encoder");
     n_wait_for_encoder_in_range_mode = (N_WAIT_FOR_ENCODER_IN_RANGE_MODE_FP) GetProcAddress(gLibRTC6,"n_wait_for_encoder_in_range_mode");
     n_wait_for_encoder_in_range = (N_WAIT_FOR_ENCODER_IN_RANGE_FP) GetProcAddress(gLibRTC6,"n_wait_for_encoder_in_range");
     n_activate_fly_xy = (N_ACTIVATE_FLY_XY_FP) GetProcAddress(gLibRTC6,"n_activate_fly_xy");
     n_activate_fly_2d = (N_ACTIVATE_FLY_2D_FP) GetProcAddress(gLibRTC6,"n_activate_fly_2d");
     n_activate_fly_xy_encoder = (N_ACTIVATE_FLY_XY_ENCODER_FP) GetProcAddress(gLibRTC6,"n_activate_fly_xy_encoder");
     n_activate_fly_2d_encoder = (N_ACTIVATE_FLY_2D_ENCODER_FP) GetProcAddress(gLibRTC6,"n_activate_fly_2d_encoder");
     n_if_not_activated = (N_IF_NOT_ACTIVATED_FP) GetProcAddress(gLibRTC6,"n_if_not_activated");
     n_park_position = (N_PARK_POSITION_FP) GetProcAddress(gLibRTC6,"n_park_position");
     n_park_return = (N_PARK_RETURN_FP) GetProcAddress(gLibRTC6,"n_park_return");
     n_fly_prediction = (N_FLY_PREDICTION_FP) GetProcAddress(gLibRTC6,"n_fly_prediction");
     n_set_fly_1_axis = (N_SET_FLY_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_set_fly_1_axis");
     n_fly_return_1_axis = (N_FLY_RETURN_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_fly_return_1_axis");
     n_wait_for_1_axis = (N_WAIT_FOR_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_wait_for_1_axis");
     n_activate_fly_1_axis = (N_ACTIVATE_FLY_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_activate_fly_1_axis");
     n_park_position_1_axis = (N_PARK_POSITION_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_park_position_1_axis");
     n_park_return_1_axis = (N_PARK_RETURN_1_AXIS_FP) GetProcAddress(gLibRTC6,"n_park_return_1_axis");
     n_set_fly_2_axes = (N_SET_FLY_2_AXES_FP) GetProcAddress(gLibRTC6,"n_set_fly_2_axes");
     n_fly_return_2_axes = (N_FLY_RETURN_2_AXES_FP) GetProcAddress(gLibRTC6,"n_fly_return_2_axes");
     n_wait_for_2_axes = (N_WAIT_FOR_2_AXES_FP) GetProcAddress(gLibRTC6,"n_wait_for_2_axes");
     n_activate_fly_2_axes = (N_ACTIVATE_FLY_2_AXES_FP) GetProcAddress(gLibRTC6,"n_activate_fly_2_axes");
     n_park_position_2_axes = (N_PARK_POSITION_2_AXES_FP) GetProcAddress(gLibRTC6,"n_park_position_2_axes");
     n_park_return_2_axes = (N_PARK_RETURN_2_AXES_FP) GetProcAddress(gLibRTC6,"n_park_return_2_axes");
     n_set_fly_3_axes = (N_SET_FLY_3_AXES_FP) GetProcAddress(gLibRTC6,"n_set_fly_3_axes");
     n_fly_return_3_axes = (N_FLY_RETURN_3_AXES_FP) GetProcAddress(gLibRTC6,"n_fly_return_3_axes");
     n_init_fly_2d_list = (N_INIT_FLY_2D_LIST_FP) GetProcAddress(gLibRTC6,"n_init_fly_2d_list");
     n_wait_for_encoder = (N_WAIT_FOR_ENCODER_FP) GetProcAddress(gLibRTC6,"n_wait_for_encoder");
     fly_return_z = (FLY_RETURN_Z_FP) GetProcAddress(gLibRTC6,"fly_return_z");
     fly_return = (FLY_RETURN_FP) GetProcAddress(gLibRTC6,"fly_return");
     set_rot_center_list = (SET_ROT_CENTER_LIST_FP) GetProcAddress(gLibRTC6,"set_rot_center_list");
     set_ext_start_delay_list = (SET_EXT_START_DELAY_LIST_FP) GetProcAddress(gLibRTC6,"set_ext_start_delay_list");
     set_fly_x = (SET_FLY_X_FP) GetProcAddress(gLibRTC6,"set_fly_x");
     set_fly_y = (SET_FLY_Y_FP) GetProcAddress(gLibRTC6,"set_fly_y");
     set_fly_z = (SET_FLY_Z_FP) GetProcAddress(gLibRTC6,"set_fly_z");
     set_fly_rot = (SET_FLY_ROT_FP) GetProcAddress(gLibRTC6,"set_fly_rot");
     set_fly_2d = (SET_FLY_2D_FP) GetProcAddress(gLibRTC6,"set_fly_2d");
     set_fly_x_pos = (SET_FLY_X_POS_FP) GetProcAddress(gLibRTC6,"set_fly_x_pos");
     set_fly_y_pos = (SET_FLY_Y_POS_FP) GetProcAddress(gLibRTC6,"set_fly_y_pos");
     set_fly_rot_pos = (SET_FLY_ROT_POS_FP) GetProcAddress(gLibRTC6,"set_fly_rot_pos");
     set_fly_limits = (SET_FLY_LIMITS_FP) GetProcAddress(gLibRTC6,"set_fly_limits");
     set_fly_limits_z = (SET_FLY_LIMITS_Z_FP) GetProcAddress(gLibRTC6,"set_fly_limits_z");
     if_fly_x_overflow = (IF_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_fly_x_overflow");
     if_fly_y_overflow = (IF_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_fly_y_overflow");
     if_fly_z_overflow = (IF_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_fly_z_overflow");
     if_not_fly_x_overflow = (IF_NOT_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_not_fly_x_overflow");
     if_not_fly_y_overflow = (IF_NOT_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_not_fly_y_overflow");
     if_not_fly_z_overflow = (IF_NOT_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC6,"if_not_fly_z_overflow");
     clear_fly_overflow = (CLEAR_FLY_OVERFLOW_FP) GetProcAddress(gLibRTC6,"clear_fly_overflow");
     set_mcbsp_x_list = (SET_MCBSP_X_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_x_list");
     set_mcbsp_y_list = (SET_MCBSP_Y_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_y_list");
     set_mcbsp_rot_list = (SET_MCBSP_ROT_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_rot_list");
     set_mcbsp_matrix_list = (SET_MCBSP_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_matrix_list");
     set_mcbsp_global_x_list = (SET_MCBSP_GLOBAL_X_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_x_list");
     set_mcbsp_global_y_list = (SET_MCBSP_GLOBAL_Y_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_y_list");
     set_mcbsp_global_rot_list = (SET_MCBSP_GLOBAL_ROT_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_rot_list");
     set_mcbsp_global_matrix_list = (SET_MCBSP_GLOBAL_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_global_matrix_list");
     set_mcbsp_in_list = (SET_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_in_list");
     set_multi_mcbsp_in_list = (SET_MULTI_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC6,"set_multi_mcbsp_in_list");
     wait_for_encoder_mode = (WAIT_FOR_ENCODER_MODE_FP) GetProcAddress(gLibRTC6,"wait_for_encoder_mode");
     wait_for_mcbsp = (WAIT_FOR_MCBSP_FP) GetProcAddress(gLibRTC6,"wait_for_mcbsp");
     set_encoder_speed = (SET_ENCODER_SPEED_FP) GetProcAddress(gLibRTC6,"set_encoder_speed");
     get_mcbsp_list = (GET_MCBSP_LIST_FP) GetProcAddress(gLibRTC6,"get_mcbsp_list");
     store_encoder = (STORE_ENCODER_FP) GetProcAddress(gLibRTC6,"store_encoder");
     wait_for_encoder_in_range_mode = (WAIT_FOR_ENCODER_IN_RANGE_MODE_FP) GetProcAddress(gLibRTC6,"wait_for_encoder_in_range_mode");
     wait_for_encoder_in_range = (WAIT_FOR_ENCODER_IN_RANGE_FP) GetProcAddress(gLibRTC6,"wait_for_encoder_in_range");
     activate_fly_xy = (ACTIVATE_FLY_XY_FP) GetProcAddress(gLibRTC6,"activate_fly_xy");
     activate_fly_2d = (ACTIVATE_FLY_2D_FP) GetProcAddress(gLibRTC6,"activate_fly_2d");
     activate_fly_xy_encoder = (ACTIVATE_FLY_XY_ENCODER_FP) GetProcAddress(gLibRTC6,"activate_fly_xy_encoder");
     activate_fly_2d_encoder = (ACTIVATE_FLY_2D_ENCODER_FP) GetProcAddress(gLibRTC6,"activate_fly_2d_encoder");
     if_not_activated = (IF_NOT_ACTIVATED_FP) GetProcAddress(gLibRTC6,"if_not_activated");
     park_position = (PARK_POSITION_FP) GetProcAddress(gLibRTC6,"park_position");
     park_return = (PARK_RETURN_FP) GetProcAddress(gLibRTC6,"park_return");
     fly_prediction = (FLY_PREDICTION_FP) GetProcAddress(gLibRTC6,"fly_prediction");
     set_fly_1_axis = (SET_FLY_1_AXIS_FP) GetProcAddress(gLibRTC6,"set_fly_1_axis");
     fly_return_1_axis = (FLY_RETURN_1_AXIS_FP) GetProcAddress(gLibRTC6,"fly_return_1_axis");
     wait_for_1_axis = (WAIT_FOR_1_AXIS_FP) GetProcAddress(gLibRTC6,"wait_for_1_axis");
     activate_fly_1_axis = (ACTIVATE_FLY_1_AXIS_FP) GetProcAddress(gLibRTC6,"activate_fly_1_axis");
     park_position_1_axis = (PARK_POSITION_1_AXIS_FP) GetProcAddress(gLibRTC6,"park_position_1_axis");
     park_return_1_axis = (PARK_RETURN_1_AXIS_FP) GetProcAddress(gLibRTC6,"park_return_1_axis");
     set_fly_2_axes = (SET_FLY_2_AXES_FP) GetProcAddress(gLibRTC6,"set_fly_2_axes");
     fly_return_2_axes = (FLY_RETURN_2_AXES_FP) GetProcAddress(gLibRTC6,"fly_return_2_axes");
     wait_for_2_axes = (WAIT_FOR_2_AXES_FP) GetProcAddress(gLibRTC6,"wait_for_2_axes");
     activate_fly_2_axes = (ACTIVATE_FLY_2_AXES_FP) GetProcAddress(gLibRTC6,"activate_fly_2_axes");
     park_position_2_axes = (PARK_POSITION_2_AXES_FP) GetProcAddress(gLibRTC6,"park_position_2_axes");
     park_return_2_axes = (PARK_RETURN_2_AXES_FP) GetProcAddress(gLibRTC6,"park_return_2_axes");
     set_fly_3_axes = (SET_FLY_3_AXES_FP) GetProcAddress(gLibRTC6,"set_fly_3_axes");
     fly_return_3_axes = (FLY_RETURN_3_AXES_FP) GetProcAddress(gLibRTC6,"fly_return_3_axes");
     init_fly_2d_list = (INIT_FLY_2D_LIST_FP) GetProcAddress(gLibRTC6,"init_fly_2d_list");
     wait_for_encoder = (WAIT_FOR_ENCODER_FP) GetProcAddress(gLibRTC6,"wait_for_encoder");
     n_save_and_restart_timer = (N_SAVE_AND_RESTART_TIMER_FP) GetProcAddress(gLibRTC6,"n_save_and_restart_timer");
     n_set_wobbel_mode_phase = (N_SET_WOBBEL_MODE_PHASE_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_mode_phase");
     n_set_wobbel_mode = (N_SET_WOBBEL_MODE_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_mode");
     n_set_wobbel = (N_SET_WOBBEL_FP) GetProcAddress(gLibRTC6,"n_set_wobbel");
     n_set_wobbel_direction = (N_SET_WOBBEL_DIRECTION_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_direction");
     n_set_wobbel_control = (N_SET_WOBBEL_CONTROL_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_control");
     n_set_wobbel_vector = (N_SET_WOBBEL_VECTOR_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_vector");
     n_set_wobbel_vector_2 = (N_SET_WOBBEL_VECTOR_2_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_vector_2");
     n_set_wobbel_offset = (N_SET_WOBBEL_OFFSET_FP) GetProcAddress(gLibRTC6,"n_set_wobbel_offset");
     n_set_trigger = (N_SET_TRIGGER_FP) GetProcAddress(gLibRTC6,"n_set_trigger");
     n_set_trigger4 = (N_SET_TRIGGER4_FP) GetProcAddress(gLibRTC6,"n_set_trigger4");
     n_set_trigger8 = (N_SET_TRIGGER8_FP) GetProcAddress(gLibRTC6,"n_set_trigger8");
     n_set_pixel_line_3d = (N_SET_PIXEL_LINE_3D_FP) GetProcAddress(gLibRTC6,"n_set_pixel_line_3d");
     n_set_pixel_line = (N_SET_PIXEL_LINE_FP) GetProcAddress(gLibRTC6,"n_set_pixel_line");
     n_set_n_pixel = (N_SET_N_PIXEL_FP) GetProcAddress(gLibRTC6,"n_set_n_pixel");
     n_set_pixel = (N_SET_PIXEL_FP) GetProcAddress(gLibRTC6,"n_set_pixel");
     n_rs232_write_text_list = (N_RS232_WRITE_TEXT_LIST_FP) GetProcAddress(gLibRTC6,"n_rs232_write_text_list");
     n_set_mcbsp_out = (N_SET_MCBSP_OUT_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_out");
     n_set_mcbsp_out_oie_list = (N_SET_MCBSP_OUT_OIE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_out_oie_list");
     n_set_mcbsp_out_ptr_list = (N_SET_MCBSP_OUT_PTR_LIST_FP) GetProcAddress(gLibRTC6,"n_set_mcbsp_out_ptr_list");
     n_camming = (N_CAMMING_FP) GetProcAddress(gLibRTC6,"n_camming");
     n_periodic_toggle_list = (N_PERIODIC_TOGGLE_LIST_FP) GetProcAddress(gLibRTC6,"n_periodic_toggle_list");
     n_micro_vector_abs_3d = (N_MICRO_VECTOR_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_micro_vector_abs_3d");
     n_micro_vector_rel_3d = (N_MICRO_VECTOR_REL_3D_FP) GetProcAddress(gLibRTC6,"n_micro_vector_rel_3d");
     n_micro_vector_abs = (N_MICRO_VECTOR_ABS_FP) GetProcAddress(gLibRTC6,"n_micro_vector_abs");
     n_micro_vector_rel = (N_MICRO_VECTOR_REL_FP) GetProcAddress(gLibRTC6,"n_micro_vector_rel");
     n_micro_vector_quad_axis_v_2 = (N_MICRO_VECTOR_QUAD_AXIS_V_2_FP) GetProcAddress(gLibRTC6,"n_micro_vector_quad_axis_v_2");
     n_micro_vector_quad_axis_v = (N_MICRO_VECTOR_QUAD_AXIS_V_FP) GetProcAddress(gLibRTC6,"n_micro_vector_quad_axis_v");
     n_micro_vector_quad_axis = (N_MICRO_VECTOR_QUAD_AXIS_FP) GetProcAddress(gLibRTC6,"n_micro_vector_quad_axis");
     n_micro_vector_set_position = (N_MICRO_VECTOR_SET_POSITION_FP) GetProcAddress(gLibRTC6,"n_micro_vector_set_position");
     n_multi_axis_flags = (N_MULTI_AXIS_FLAGS_FP) GetProcAddress(gLibRTC6,"n_multi_axis_flags");
     n_set_free_variable_list = (N_SET_FREE_VARIABLE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_free_variable_list");
     n_jump_abs_drill_2 = (N_JUMP_ABS_DRILL_2_FP) GetProcAddress(gLibRTC6,"n_jump_abs_drill_2");
     n_jump_rel_drill_2 = (N_JUMP_REL_DRILL_2_FP) GetProcAddress(gLibRTC6,"n_jump_rel_drill_2");
     n_jump_abs_drill = (N_JUMP_ABS_DRILL_FP) GetProcAddress(gLibRTC6,"n_jump_abs_drill");
     n_jump_rel_drill = (N_JUMP_REL_DRILL_FP) GetProcAddress(gLibRTC6,"n_jump_rel_drill");
     save_and_restart_timer = (SAVE_AND_RESTART_TIMER_FP) GetProcAddress(gLibRTC6,"save_and_restart_timer");
     set_wobbel_mode_phase = (SET_WOBBEL_MODE_PHASE_FP) GetProcAddress(gLibRTC6,"set_wobbel_mode_phase");
     set_wobbel_mode = (SET_WOBBEL_MODE_FP) GetProcAddress(gLibRTC6,"set_wobbel_mode");
     set_wobbel = (SET_WOBBEL_FP) GetProcAddress(gLibRTC6,"set_wobbel");
     set_wobbel_direction = (SET_WOBBEL_DIRECTION_FP) GetProcAddress(gLibRTC6,"set_wobbel_direction");
     set_wobbel_control = (SET_WOBBEL_CONTROL_FP) GetProcAddress(gLibRTC6,"set_wobbel_control");
     set_wobbel_vector = (SET_WOBBEL_VECTOR_FP) GetProcAddress(gLibRTC6,"set_wobbel_vector");
     set_wobbel_vector_2 = (SET_WOBBEL_VECTOR_2_FP) GetProcAddress(gLibRTC6,"set_wobbel_vector_2");
     set_wobbel_offset = (SET_WOBBEL_OFFSET_FP) GetProcAddress(gLibRTC6,"set_wobbel_offset");
     set_trigger = (SET_TRIGGER_FP) GetProcAddress(gLibRTC6,"set_trigger");
     set_trigger4 = (SET_TRIGGER4_FP) GetProcAddress(gLibRTC6,"set_trigger4");
     set_trigger8 = (SET_TRIGGER8_FP) GetProcAddress(gLibRTC6,"set_trigger8");
     set_pixel_line_3d = (SET_PIXEL_LINE_3D_FP) GetProcAddress(gLibRTC6,"set_pixel_line_3d");
     set_pixel_line = (SET_PIXEL_LINE_FP) GetProcAddress(gLibRTC6,"set_pixel_line");
     set_n_pixel = (SET_N_PIXEL_FP) GetProcAddress(gLibRTC6,"set_n_pixel");
     set_pixel = (SET_PIXEL_FP) GetProcAddress(gLibRTC6,"set_pixel");
     rs232_write_text_list = (RS232_WRITE_TEXT_LIST_FP) GetProcAddress(gLibRTC6,"rs232_write_text_list");
     set_mcbsp_out = (SET_MCBSP_OUT_FP) GetProcAddress(gLibRTC6,"set_mcbsp_out");
     set_mcbsp_out_oie_list = (SET_MCBSP_OUT_OIE_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_out_oie_list");
     set_mcbsp_out_ptr_list = (SET_MCBSP_OUT_PTR_LIST_FP) GetProcAddress(gLibRTC6,"set_mcbsp_out_ptr_list");
     camming = (CAMMING_FP) GetProcAddress(gLibRTC6,"camming");
     periodic_toggle_list = (PERIODIC_TOGGLE_LIST_FP) GetProcAddress(gLibRTC6,"periodic_toggle_list");
     micro_vector_abs_3d = (MICRO_VECTOR_ABS_3D_FP) GetProcAddress(gLibRTC6,"micro_vector_abs_3d");
     micro_vector_rel_3d = (MICRO_VECTOR_REL_3D_FP) GetProcAddress(gLibRTC6,"micro_vector_rel_3d");
     micro_vector_abs = (MICRO_VECTOR_ABS_FP) GetProcAddress(gLibRTC6,"micro_vector_abs");
     micro_vector_rel = (MICRO_VECTOR_REL_FP) GetProcAddress(gLibRTC6,"micro_vector_rel");
     micro_vector_quad_axis_v_2 = (MICRO_VECTOR_QUAD_AXIS_V_2_FP) GetProcAddress(gLibRTC6,"micro_vector_quad_axis_v_2");
     micro_vector_quad_axis_v = (MICRO_VECTOR_QUAD_AXIS_V_FP) GetProcAddress(gLibRTC6,"micro_vector_quad_axis_v");
     micro_vector_quad_axis = (MICRO_VECTOR_QUAD_AXIS_FP) GetProcAddress(gLibRTC6,"micro_vector_quad_axis");
     micro_vector_set_position = (MICRO_VECTOR_SET_POSITION_FP) GetProcAddress(gLibRTC6,"micro_vector_set_position");
     multi_axis_flags = (MULTI_AXIS_FLAGS_FP) GetProcAddress(gLibRTC6,"multi_axis_flags");
     set_free_variable_list = (SET_FREE_VARIABLE_LIST_FP) GetProcAddress(gLibRTC6,"set_free_variable_list");
     jump_abs_drill_2 = (JUMP_ABS_DRILL_2_FP) GetProcAddress(gLibRTC6,"jump_abs_drill_2");
     jump_rel_drill_2 = (JUMP_REL_DRILL_2_FP) GetProcAddress(gLibRTC6,"jump_rel_drill_2");
     jump_abs_drill = (JUMP_ABS_DRILL_FP) GetProcAddress(gLibRTC6,"jump_abs_drill");
     jump_rel_drill = (JUMP_REL_DRILL_FP) GetProcAddress(gLibRTC6,"jump_rel_drill");
     n_timed_mark_abs_3d = (N_TIMED_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_timed_mark_abs_3d");
     n_timed_mark_rel_3d = (N_TIMED_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"n_timed_mark_rel_3d");
     n_timed_mark_abs = (N_TIMED_MARK_ABS_FP) GetProcAddress(gLibRTC6,"n_timed_mark_abs");
     n_timed_mark_rel = (N_TIMED_MARK_REL_FP) GetProcAddress(gLibRTC6,"n_timed_mark_rel");
     timed_mark_abs_3d = (TIMED_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"timed_mark_abs_3d");
     timed_mark_rel_3d = (TIMED_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"timed_mark_rel_3d");
     timed_mark_abs = (TIMED_MARK_ABS_FP) GetProcAddress(gLibRTC6,"timed_mark_abs");
     timed_mark_rel = (TIMED_MARK_REL_FP) GetProcAddress(gLibRTC6,"timed_mark_rel");
     n_mark_abs_3d = (N_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_mark_abs_3d");
     n_mark_rel_3d = (N_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"n_mark_rel_3d");
     n_mark_abs = (N_MARK_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_abs");
     n_mark_rel = (N_MARK_REL_FP) GetProcAddress(gLibRTC6,"n_mark_rel");
     mark_abs_3d = (MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"mark_abs_3d");
     mark_rel_3d = (MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"mark_rel_3d");
     mark_abs = (MARK_ABS_FP) GetProcAddress(gLibRTC6,"mark_abs");
     mark_rel = (MARK_REL_FP) GetProcAddress(gLibRTC6,"mark_rel");
     n_timed_jump_abs_3d = (N_TIMED_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_timed_jump_abs_3d");
     n_timed_jump_rel_3d = (N_TIMED_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"n_timed_jump_rel_3d");
     n_timed_jump_abs = (N_TIMED_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"n_timed_jump_abs");
     n_timed_jump_rel = (N_TIMED_JUMP_REL_FP) GetProcAddress(gLibRTC6,"n_timed_jump_rel");
     timed_jump_abs_3d = (TIMED_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"timed_jump_abs_3d");
     timed_jump_rel_3d = (TIMED_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"timed_jump_rel_3d");
     timed_jump_abs = (TIMED_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"timed_jump_abs");
     timed_jump_rel = (TIMED_JUMP_REL_FP) GetProcAddress(gLibRTC6,"timed_jump_rel");
     n_jump_abs_3d = (N_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_jump_abs_3d");
     n_jump_rel_3d = (N_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"n_jump_rel_3d");
     n_jump_abs = (N_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"n_jump_abs");
     n_jump_rel = (N_JUMP_REL_FP) GetProcAddress(gLibRTC6,"n_jump_rel");
     jump_abs_3d = (JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"jump_abs_3d");
     jump_rel_3d = (JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"jump_rel_3d");
     jump_abs = (JUMP_ABS_FP) GetProcAddress(gLibRTC6,"jump_abs");
     jump_rel = (JUMP_REL_FP) GetProcAddress(gLibRTC6,"jump_rel");
     n_para_mark_abs_3d = (N_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_para_mark_abs_3d");
     n_para_mark_rel_3d = (N_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"n_para_mark_rel_3d");
     n_para_mark_abs = (N_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC6,"n_para_mark_abs");
     n_para_mark_rel = (N_PARA_MARK_REL_FP) GetProcAddress(gLibRTC6,"n_para_mark_rel");
     para_mark_abs_3d = (PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"para_mark_abs_3d");
     para_mark_rel_3d = (PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"para_mark_rel_3d");
     para_mark_abs = (PARA_MARK_ABS_FP) GetProcAddress(gLibRTC6,"para_mark_abs");
     para_mark_rel = (PARA_MARK_REL_FP) GetProcAddress(gLibRTC6,"para_mark_rel");
     n_para_jump_abs_3d = (N_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_para_jump_abs_3d");
     n_para_jump_rel_3d = (N_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"n_para_jump_rel_3d");
     n_para_jump_abs = (N_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"n_para_jump_abs");
     n_para_jump_rel = (N_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC6,"n_para_jump_rel");
     para_jump_abs_3d = (PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"para_jump_abs_3d");
     para_jump_rel_3d = (PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"para_jump_rel_3d");
     para_jump_abs = (PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"para_jump_abs");
     para_jump_rel = (PARA_JUMP_REL_FP) GetProcAddress(gLibRTC6,"para_jump_rel");
     n_timed_para_mark_abs_3d = (N_TIMED_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_timed_para_mark_abs_3d");
     n_timed_para_mark_rel_3d = (N_TIMED_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"n_timed_para_mark_rel_3d");
     n_timed_para_jump_abs_3d = (N_TIMED_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_timed_para_jump_abs_3d");
     n_timed_para_jump_rel_3d = (N_TIMED_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"n_timed_para_jump_rel_3d");
     n_timed_para_mark_abs = (N_TIMED_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC6,"n_timed_para_mark_abs");
     n_timed_para_mark_rel = (N_TIMED_PARA_MARK_REL_FP) GetProcAddress(gLibRTC6,"n_timed_para_mark_rel");
     n_timed_para_jump_abs = (N_TIMED_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"n_timed_para_jump_abs");
     n_timed_para_jump_rel = (N_TIMED_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC6,"n_timed_para_jump_rel");
     timed_para_mark_abs_3d = (TIMED_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC6,"timed_para_mark_abs_3d");
     timed_para_mark_rel_3d = (TIMED_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC6,"timed_para_mark_rel_3d");
     timed_para_jump_abs_3d = (TIMED_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC6,"timed_para_jump_abs_3d");
     timed_para_jump_rel_3d = (TIMED_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC6,"timed_para_jump_rel_3d");
     timed_para_mark_abs = (TIMED_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC6,"timed_para_mark_abs");
     timed_para_mark_rel = (TIMED_PARA_MARK_REL_FP) GetProcAddress(gLibRTC6,"timed_para_mark_rel");
     timed_para_jump_abs = (TIMED_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC6,"timed_para_jump_abs");
     timed_para_jump_rel = (TIMED_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC6,"timed_para_jump_rel");
     n_set_defocus_list = (N_SET_DEFOCUS_LIST_FP) GetProcAddress(gLibRTC6,"n_set_defocus_list");
     n_set_defocus_offset_list = (N_SET_DEFOCUS_OFFSET_LIST_FP) GetProcAddress(gLibRTC6,"n_set_defocus_offset_list");
     n_set_zoom_list = (N_SET_ZOOM_LIST_FP) GetProcAddress(gLibRTC6,"n_set_zoom_list");
     set_defocus_list = (SET_DEFOCUS_LIST_FP) GetProcAddress(gLibRTC6,"set_defocus_list");
     set_defocus_offset_list = (SET_DEFOCUS_OFFSET_LIST_FP) GetProcAddress(gLibRTC6,"set_defocus_offset_list");
     set_zoom_list = (SET_ZOOM_LIST_FP) GetProcAddress(gLibRTC6,"set_zoom_list");
     n_timed_arc_abs = (N_TIMED_ARC_ABS_FP) GetProcAddress(gLibRTC6,"n_timed_arc_abs");
     n_timed_arc_rel = (N_TIMED_ARC_REL_FP) GetProcAddress(gLibRTC6,"n_timed_arc_rel");
     timed_arc_abs = (TIMED_ARC_ABS_FP) GetProcAddress(gLibRTC6,"timed_arc_abs");
     timed_arc_rel = (TIMED_ARC_REL_FP) GetProcAddress(gLibRTC6,"timed_arc_rel");
     n_arc_abs_3d = (N_ARC_ABS_3D_FP) GetProcAddress(gLibRTC6,"n_arc_abs_3d");
     n_arc_rel_3d = (N_ARC_REL_3D_FP) GetProcAddress(gLibRTC6,"n_arc_rel_3d");
     n_arc_abs = (N_ARC_ABS_FP) GetProcAddress(gLibRTC6,"n_arc_abs");
     n_arc_rel = (N_ARC_REL_FP) GetProcAddress(gLibRTC6,"n_arc_rel");
     n_set_ellipse = (N_SET_ELLIPSE_FP) GetProcAddress(gLibRTC6,"n_set_ellipse");
     n_mark_ellipse_abs = (N_MARK_ELLIPSE_ABS_FP) GetProcAddress(gLibRTC6,"n_mark_ellipse_abs");
     n_mark_ellipse_rel = (N_MARK_ELLIPSE_REL_FP) GetProcAddress(gLibRTC6,"n_mark_ellipse_rel");
     arc_abs_3d = (ARC_ABS_3D_FP) GetProcAddress(gLibRTC6,"arc_abs_3d");
     arc_rel_3d = (ARC_REL_3D_FP) GetProcAddress(gLibRTC6,"arc_rel_3d");
     arc_abs = (ARC_ABS_FP) GetProcAddress(gLibRTC6,"arc_abs");
     arc_rel = (ARC_REL_FP) GetProcAddress(gLibRTC6,"arc_rel");
     set_ellipse = (SET_ELLIPSE_FP) GetProcAddress(gLibRTC6,"set_ellipse");
     mark_ellipse_abs = (MARK_ELLIPSE_ABS_FP) GetProcAddress(gLibRTC6,"mark_ellipse_abs");
     mark_ellipse_rel = (MARK_ELLIPSE_REL_FP) GetProcAddress(gLibRTC6,"mark_ellipse_rel");
     n_set_offset_xyz_list = (N_SET_OFFSET_XYZ_LIST_FP) GetProcAddress(gLibRTC6,"n_set_offset_xyz_list");
     n_set_offset_list = (N_SET_OFFSET_LIST_FP) GetProcAddress(gLibRTC6,"n_set_offset_list");
     n_set_matrix_list = (N_SET_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"n_set_matrix_list");
     n_set_angle_list = (N_SET_ANGLE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_angle_list");
     n_set_scale_list = (N_SET_SCALE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_scale_list");
     n_apply_mcbsp_list = (N_APPLY_MCBSP_LIST_FP) GetProcAddress(gLibRTC6,"n_apply_mcbsp_list");
     set_offset_xyz_list = (SET_OFFSET_XYZ_LIST_FP) GetProcAddress(gLibRTC6,"set_offset_xyz_list");
     set_offset_list = (SET_OFFSET_LIST_FP) GetProcAddress(gLibRTC6,"set_offset_list");
     set_matrix_list = (SET_MATRIX_LIST_FP) GetProcAddress(gLibRTC6,"set_matrix_list");
     set_angle_list = (SET_ANGLE_LIST_FP) GetProcAddress(gLibRTC6,"set_angle_list");
     set_scale_list = (SET_SCALE_LIST_FP) GetProcAddress(gLibRTC6,"set_scale_list");
     apply_mcbsp_list = (APPLY_MCBSP_LIST_FP) GetProcAddress(gLibRTC6,"apply_mcbsp_list");
     n_set_mark_speed = (N_SET_MARK_SPEED_FP) GetProcAddress(gLibRTC6,"n_set_mark_speed");
     n_set_jump_speed = (N_SET_JUMP_SPEED_FP) GetProcAddress(gLibRTC6,"n_set_jump_speed");
     n_set_sky_writing_para_list = (N_SET_SKY_WRITING_PARA_LIST_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_para_list");
     n_set_sky_writing_list = (N_SET_SKY_WRITING_LIST_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_list");
     n_set_sky_writing_limit_list = (N_SET_SKY_WRITING_LIMIT_LIST_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_limit_list");
     n_set_sky_writing_mode_list = (N_SET_SKY_WRITING_MODE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_sky_writing_mode_list");
     n_set_scanner_delays = (N_SET_SCANNER_DELAYS_FP) GetProcAddress(gLibRTC6,"n_set_scanner_delays");
     n_set_jump_mode_list = (N_SET_JUMP_MODE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_jump_mode_list");
     n_enduring_wobbel = (N_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC6,"n_enduring_wobbel");
     n_set_delay_mode_list = (N_SET_DELAY_MODE_LIST_FP) GetProcAddress(gLibRTC6,"n_set_delay_mode_list");
     set_mark_speed = (SET_MARK_SPEED_FP) GetProcAddress(gLibRTC6,"set_mark_speed");
     set_jump_speed = (SET_JUMP_SPEED_FP) GetProcAddress(gLibRTC6,"set_jump_speed");
     set_sky_writing_para_list = (SET_SKY_WRITING_PARA_LIST_FP) GetProcAddress(gLibRTC6,"set_sky_writing_para_list");
     set_sky_writing_list = (SET_SKY_WRITING_LIST_FP) GetProcAddress(gLibRTC6,"set_sky_writing_list");
     set_sky_writing_limit_list = (SET_SKY_WRITING_LIMIT_LIST_FP) GetProcAddress(gLibRTC6,"set_sky_writing_limit_list");
     set_sky_writing_mode_list = (SET_SKY_WRITING_MODE_LIST_FP) GetProcAddress(gLibRTC6,"set_sky_writing_mode_list");
     set_scanner_delays = (SET_SCANNER_DELAYS_FP) GetProcAddress(gLibRTC6,"set_scanner_delays");
     set_jump_mode_list = (SET_JUMP_MODE_LIST_FP) GetProcAddress(gLibRTC6,"set_jump_mode_list");
     enduring_wobbel = (ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC6,"enduring_wobbel");
     set_delay_mode_list = (SET_DELAY_MODE_LIST_FP) GetProcAddress(gLibRTC6,"set_delay_mode_list");
     n_activate_scanahead_autodelays_list = (N_ACTIVATE_SCANAHEAD_AUTODELAYS_LIST_FP) GetProcAddress(gLibRTC6,"n_activate_scanahead_autodelays_list");
     n_set_scanahead_laser_shifts_list = (N_SET_SCANAHEAD_LASER_SHIFTS_LIST_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_laser_shifts_list");
     n_set_scanahead_line_params_list = (N_SET_SCANAHEAD_LINE_PARAMS_LIST_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_line_params_list");
     n_set_scanahead_line_params_ex_list = (N_SET_SCANAHEAD_LINE_PARAMS_EX_LIST_FP) GetProcAddress(gLibRTC6,"n_set_scanahead_line_params_ex_list");
     activate_scanahead_autodelays_list = (ACTIVATE_SCANAHEAD_AUTODELAYS_LIST_FP) GetProcAddress(gLibRTC6,"activate_scanahead_autodelays_list");
     set_scanahead_laser_shifts_list = (SET_SCANAHEAD_LASER_SHIFTS_LIST_FP) GetProcAddress(gLibRTC6,"set_scanahead_laser_shifts_list");
     set_scanahead_line_params_list = (SET_SCANAHEAD_LINE_PARAMS_LIST_FP) GetProcAddress(gLibRTC6,"set_scanahead_line_params_list");
     set_scanahead_line_params_ex_list = (SET_SCANAHEAD_LINE_PARAMS_EX_LIST_FP) GetProcAddress(gLibRTC6,"set_scanahead_line_params_ex_list");
     n_stepper_enable_list = (N_STEPPER_ENABLE_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_enable_list");
     n_stepper_control_list = (N_STEPPER_CONTROL_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_control_list");
     n_stepper_abs_no_list = (N_STEPPER_ABS_NO_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_abs_no_list");
     n_stepper_rel_no_list = (N_STEPPER_REL_NO_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_rel_no_list");
     n_stepper_abs_list = (N_STEPPER_ABS_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_abs_list");
     n_stepper_rel_list = (N_STEPPER_REL_LIST_FP) GetProcAddress(gLibRTC6,"n_stepper_rel_list");
     n_stepper_wait = (N_STEPPER_WAIT_FP) GetProcAddress(gLibRTC6,"n_stepper_wait");
     stepper_enable_list = (STEPPER_ENABLE_LIST_FP) GetProcAddress(gLibRTC6,"stepper_enable_list");
     stepper_control_list = (STEPPER_CONTROL_LIST_FP) GetProcAddress(gLibRTC6,"stepper_control_list");
     stepper_abs_no_list = (STEPPER_ABS_NO_LIST_FP) GetProcAddress(gLibRTC6,"stepper_abs_no_list");
     stepper_rel_no_list = (STEPPER_REL_NO_LIST_FP) GetProcAddress(gLibRTC6,"stepper_rel_no_list");
     stepper_abs_list = (STEPPER_ABS_LIST_FP) GetProcAddress(gLibRTC6,"stepper_abs_list");
     stepper_rel_list = (STEPPER_REL_LIST_FP) GetProcAddress(gLibRTC6,"stepper_rel_list");
     stepper_wait = (STEPPER_WAIT_FP) GetProcAddress(gLibRTC6,"stepper_wait");
     n_set_laser_timing_table = (N_SET_LASER_TIMING_TABLE_FP) GetProcAddress(gLibRTC6,"n_set_laser_timing_table");
     n_set_duty_cycle_table = (N_SET_DUTY_CYCLE_TABLE_FP) GetProcAddress(gLibRTC6,"n_set_duty_cycle_table");
     n_regulation3 = (N_REGULATION3_FP) GetProcAddress(gLibRTC6,"n_regulation3");
     set_laser_timing_table = (SET_LASER_TIMING_TABLE_FP) GetProcAddress(gLibRTC6,"set_laser_timing_table");
     set_duty_cycle_table = (SET_DUTY_CYCLE_TABLE_FP) GetProcAddress(gLibRTC6,"set_duty_cycle_table");
     regulation3 = (REGULATION3_FP) GetProcAddress(gLibRTC6,"regulation3");
     return(0);
}


//  RTC6close
//
//  This function terminates the explicit linking to the RTC6DLL.DLL or libslrtc6.so.
//  Call it when the use of the RTC6 functions is finished.
void RTC6close(void) {
    if (gLibRTC6) {
#ifdef _WIN32
        (void)FreeLibrary(gLibRTC6);
#else
        (void)dlclose(gLibRTC6);
#endif
    }
    if (gLibRTC6) {
        gLibRTC6 = NULL;
    }
}
